import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Activity } from '../model/activity';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class ActivityService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * List of a bill IDs that were created or modified since the given date.
     *
     * @param date Created or modified datetime; Defaults to yesterday at the current time
     */
    getBillActivity(date?: Date, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<Activity>>;
    /**
     * List of a bill IDs that were created or modified since the given date.
     *
     * @param date Created or modified datetime; Defaults to yesterday at the current time
     */
    getBillActivityWithHttpInfo(date?: Date, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<Activity>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActivityService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActivityService>;
}
