import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AuditSettingsRequest } from '../model/auditSettingsRequest';
import { AuditSettingsResponse } from '../model/auditSettingsResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class AuditService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Run audits on a bill list
     *
     * @param listId The list of bills to audit
     */
    execAuditEngine(listId?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Gets all audit settings
     *
     */
    getAuditSettings(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AuditSettingsResponse>;
    /**
     * Update audit settings
     *  __Setting Status Descriptions:__    | Setting Status | Description |  | -------------- | ----------- |  | Check          | If this audit fails affected bills are flagged  |  | Hold           | If this audit fails affected bills are flagged and held from export  |  | Skip           | This audit is skipped  |
     * @param body The new state of the audit settings
     */
    updateAuditSettings(body?: AuditSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AuditSettingsResponse>;
    /**
     * Run audits on a bill list
     *
     * @param listId The list of bills to audit
     */
    execAuditEngineWithHttpInfo(listId?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Gets all audit settings
     *
     */
    getAuditSettingsWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AuditSettingsResponse>>;
    /**
     * Update audit settings
     *  __Setting Status Descriptions:__    | Setting Status | Description |  | -------------- | ----------- |  | Check          | If this audit fails affected bills are flagged  |  | Hold           | If this audit fails affected bills are flagged and held from export  |  | Skip           | This audit is skipped  |
     * @param body The new state of the audit settings
     */
    updateAuditSettingsWithHttpInfo(body?: AuditSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AuditSettingsResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuditService>;
}
