import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CommodityCategoryRequest } from '../model/commodityCategoryRequest';
import { CommodityCategoryResponse } from '../model/commodityCategoryResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class CommodityCategoryService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates a commodity category
     *
     * @param body Data representing the commodity category being created
     */
    createCommodityCategory(body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityCategoryResponse>;
    /**
     * Deletes a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     */
    deleteCommodityCategory(commodityCategoryId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Edits a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     * @param body Data representing the commodity category being created
     */
    editCommodityCategory(commodityCategoryId: number, body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityCategoryResponse>;
    /**
     * Gets the commodity categories
     *
     */
    getCommodityCategories(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CommodityCategoryResponse>>;
    /**
     * Gets a commodity category by ID
     *
     * @param commodityCategoryId The commodity category identifier
     */
    getCommodityCategory(commodityCategoryId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityCategoryResponse>;
    /**
     * Creates a commodity category
     *
     * @param body Data representing the commodity category being created
     */
    createCommodityCategoryWithHttpInfo(body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityCategoryResponse>>;
    /**
     * Deletes a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     */
    deleteCommodityCategoryWithHttpInfo(commodityCategoryId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Edits a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     * @param body Data representing the commodity category being created
     */
    editCommodityCategoryWithHttpInfo(commodityCategoryId: number, body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityCategoryResponse>>;
    /**
     * Gets the commodity categories
     *
     */
    getCommodityCategoriesWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CommodityCategoryResponse>>>;
    /**
     * Gets a commodity category by ID
     *
     * @param commodityCategoryId The commodity category identifier
     */
    getCommodityCategoryWithHttpInfo(commodityCategoryId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityCategoryResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommodityCategoryService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommodityCategoryService>;
}
