import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CommodityDigestActualYearlyResponse } from '../model/commodityDigestActualYearlyResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class CommodityDigestService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Retrieves rolled up actual billing data by commodities for a given number of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param commodityId The commodity to retrieve data for
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     */
    getCommodityActualYearly(commodityId: number, numberOfYears?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityDigestActualYearlyResponse>;
    /**
     * Retrieves rolled up actual billing data by commodities for a given number of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param commodityId The commodity to retrieve data for
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     */
    getCommodityActualYearlyWithHttpInfo(commodityId: number, numberOfYears?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityDigestActualYearlyResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommodityDigestService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommodityDigestService>;
}
