import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CostCategoryEdit } from '../model/costCategoryEdit';
import { CostCategoryResponse } from '../model/costCategoryResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class CostCategoryService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edits a cost category
     *
     * @param costCategoryId The identifier of the cost category to edit
     * @param body Object containing settings to change
     */
    editCostCategory(costCategoryId: number, body?: CostCategoryEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CostCategoryResponse>;
    /**
     * Get all cost categories
     *
     */
    getCostCategories(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CostCategoryResponse>>;
    /**
     * Edits a cost category
     *
     * @param costCategoryId The identifier of the cost category to edit
     * @param body Object containing settings to change
     */
    editCostCategoryWithHttpInfo(costCategoryId: number, body?: CostCategoryEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CostCategoryResponse>>;
    /**
     * Get all cost categories
     *
     */
    getCostCategoriesWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CostCategoryResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CostCategoryService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CostCategoryService>;
}
