import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FormulaValidationRequest } from '../model/formulaValidationRequest';
import { FormulaValidationResponse } from '../model/formulaValidationResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class FormulaService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Check if a formula is valid in the context of the provided datapoint.  A formula is valid if the following are all true:  &lt;list type&#x3D;\&quot;bullet\&quot;&gt;&lt;item&gt;&lt;description&gt;          It is syntactically correct      &lt;/description&gt;&lt;/item&gt;&lt;item&gt;&lt;description&gt;          It only calls allowed functions (including the custom function &#x60;channel()&#x60;\&quot;)      &lt;/description&gt;&lt;/item&gt;&lt;item&gt;&lt;description&gt;          All channels referenced (using the &#x60;channel()&#x60; function) belong to this datapoint          and are real (not calculated) channels.      &lt;/description&gt;&lt;/item&gt;&lt;/list&gt;
     *
     * @param body Formula to validate
     */
    validateFormula(body?: FormulaValidationRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<FormulaValidationResponse>;
    /**
     * Check if a formula is valid in the context of the provided datapoint.  A formula is valid if the following are all true:  &lt;list type&#x3D;\&quot;bullet\&quot;&gt;&lt;item&gt;&lt;description&gt;          It is syntactically correct      &lt;/description&gt;&lt;/item&gt;&lt;item&gt;&lt;description&gt;          It only calls allowed functions (including the custom function &#x60;channel()&#x60;\&quot;)      &lt;/description&gt;&lt;/item&gt;&lt;item&gt;&lt;description&gt;          All channels referenced (using the &#x60;channel()&#x60; function) belong to this datapoint          and are real (not calculated) channels.      &lt;/description&gt;&lt;/item&gt;&lt;/list&gt;
     *
     * @param body Formula to validate
     */
    validateFormulaWithHttpInfo(body?: FormulaValidationRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<FormulaValidationResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormulaService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormulaService>;
}
