import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Me } from '../model/me';
import { MeRequest } from '../model/meRequest';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class MeService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Initial session starting point. Support authorization via a api key, bearer token, or session cookie
     *
     */
    me(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Me>;
    /**
     *
     *
     * @param body
     */
    updateMe(body?: MeRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Me>;
    /**
     * Run all actions that happen before login such as system upgrades and report installation by default to provide maximum compatibility with   the latest application code.
     *
     * @param upgradesOnly Set to true to limit to only system data upgrades which improves performance   but may not guarantee maximum compatibility with the latest application logic.
     */
    upgrade(upgradesOnly?: boolean, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Initial session starting point. Support authorization via a api key, bearer token, or session cookie
     *
     */
    meWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Me>>;
    /**
     *
     *
     * @param body
     */
    updateMeWithHttpInfo(body?: MeRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Me>>;
    /**
     * Run all actions that happen before login such as system upgrades and report installation by default to provide maximum compatibility with   the latest application code.
     *
     * @param upgradesOnly Set to true to limit to only system data upgrades which improves performance   but may not guarantee maximum compatibility with the latest application logic.
     */
    upgradeWithHttpInfo(upgradesOnly?: boolean, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MeService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MeService>;
}
