import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ObservationTypeChild } from '../model/observationTypeChild';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class ObservationTypeService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Get the observation types for a given noun class code and/or noun code.
     *
     * @param filter
     */
    getObservationTypes(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<ObservationTypeChild>>;
    /**
     * Get the observation types for a given noun class code and/or noun code.
     *
     * @param filter
     */
    getObservationTypesWithHttpInfo(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<ObservationTypeChild>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObservationTypeService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ObservationTypeService>;
}
