import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { PostalCodeResponse } from '../model/postalCodeResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class PostalCodeService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Retrieves the city, state, country, and weather station for a postal code
     *
     * @param postalCode
     */
    getPostalCode(postalCode: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<PostalCodeResponse>;
    /**
     * Retrieves the city, state, country, and weather station for a postal code
     *
     * @param postalCode
     */
    getPostalCodeWithHttpInfo(postalCode: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<PostalCodeResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PostalCodeService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PostalCodeService>;
}
