import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { RateDigestActualYearlyResponse } from '../model/rateDigestActualYearlyResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class RateDigestService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Retrieves rolled up actual billing data by rate for a given number of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param rateId The rate to retrieve data for
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     */
    getRateActualYearly(rateId: number, numberOfYears?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<RateDigestActualYearlyResponse>;
    /**
     * Retrieves rolled up actual billing data by rate for a given number of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param rateId The rate to retrieve data for
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     */
    getRateActualYearlyWithHttpInfo(rateId: number, numberOfYears?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<RateDigestActualYearlyResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RateDigestService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RateDigestService>;
}
