import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AccountDigestActualMonthlyResponse } from '../model/accountDigestActualMonthlyResponse';
import { AccountDigestActualYearlyResponse } from '../model/accountDigestActualYearlyResponse';
import { AccountResponse } from '../model/accountResponse';
import { AccountUDFResponse } from '../model/accountUDFResponse';
import { AddressLookup } from '../model/addressLookup';
import { BatchResponse } from '../model/batchResponse';
import { BillAccountChargeSplitSettingsResponse } from '../model/billAccountChargeSplitSettingsResponse';
import { BillAccountMeterResponse } from '../model/billAccountMeterResponse';
import { BillAccountMeterStatisticsResponse } from '../model/billAccountMeterStatisticsResponse';
import { BillResponse } from '../model/billResponse';
import { BillsOverdueFromVendorResponse } from '../model/billsOverdueFromVendorResponse';
import { BodylineResponse } from '../model/bodylineResponse';
import { ChargebackTaskResponse } from '../model/chargebackTaskResponse';
import { CollectionResponse } from '../model/collectionResponse';
import { CostAvoidanceTask } from '../model/costAvoidanceTask';
import { CostCenterDigestActualMonthlyResponse } from '../model/costCenterDigestActualMonthlyResponse';
import { CostCenterDigestActualYearlyResponse } from '../model/costCenterDigestActualYearlyResponse';
import { CostCenterResponse } from '../model/costCenterResponse';
import { DataPointResponse } from '../model/dataPointResponse';
import { DistributionVersionResponse } from '../model/distributionVersionResponse';
import { DynamicListRequest } from '../model/dynamicListRequest';
import { EmissionRecordResponse } from '../model/emissionRecordResponse';
import { EmissionSourceMultiFactorResponse } from '../model/emissionSourceMultiFactorResponse';
import { EmissionSourceResponse } from '../model/emissionSourceResponse';
import { EnergyStarPlaceHierarchyResponse } from '../model/energyStarPlaceHierarchyResponse';
import { EnergyStarTaskResponse } from '../model/energyStarTaskResponse';
import { EsaChannelResponse } from '../model/esaChannelResponse';
import { EsaPlaceResponse } from '../model/esaPlaceResponse';
import { EsaReadingResponse } from '../model/esaReadingResponse';
import { EsaReadingSummarizedResponse } from '../model/esaReadingSummarizedResponse';
import { FilterDataResponse } from '../model/filterDataResponse';
import { FlagWidget } from '../model/flagWidget';
import { GHGFactorResponse } from '../model/gHGFactorResponse';
import { GeneralLedgerResponse } from '../model/generalLedgerResponse';
import { ListResponse } from '../model/listResponse';
import { MeterDigestActualAndCalendarizedMonthlyResponse } from '../model/meterDigestActualAndCalendarizedMonthlyResponse';
import { MeterDigestActualAndCalendarizedYearlyResponse } from '../model/meterDigestActualAndCalendarizedYearlyResponse';
import { MeterDigestNormalizedMonthlyResponse } from '../model/meterDigestNormalizedMonthlyResponse';
import { MeterDigestNormalizedYearlyResponse } from '../model/meterDigestNormalizedYearlyResponse';
import { MeterDigestSavingsMonthlyResponse } from '../model/meterDigestSavingsMonthlyResponse';
import { MeterDigestSavingsYearlyResponse } from '../model/meterDigestSavingsYearlyResponse';
import { MeterResponse } from '../model/meterResponse';
import { MeterSearchRequest } from '../model/meterSearchRequest';
import { MeterUDFResponse } from '../model/meterUDFResponse';
import { MissingBillWidget } from '../model/missingBillWidget';
import { MoveCreateMeter } from '../model/moveCreateMeter';
import { NotificationResponse } from '../model/notificationResponse';
import { PlaceDigestActualAndCalendarizedMonthlyResponse } from '../model/placeDigestActualAndCalendarizedMonthlyResponse';
import { PlaceDigestActualAndCalendarizedYearlyResponse } from '../model/placeDigestActualAndCalendarizedYearlyResponse';
import { PlaceDigestNormalizedMonthlyResponse } from '../model/placeDigestNormalizedMonthlyResponse';
import { PlaceDigestNormalizedYearlyResponse } from '../model/placeDigestNormalizedYearlyResponse';
import { PlaceDigestSavingsMonthlyResponse } from '../model/placeDigestSavingsMonthlyResponse';
import { PlaceDigestSavingsYearlyResponse } from '../model/placeDigestSavingsYearlyResponse';
import { PlaceResponse } from '../model/placeResponse';
import { PlaceUDFResponse } from '../model/placeUDFResponse';
import { RateResponse } from '../model/rateResponse';
import { TaskResponse } from '../model/taskResponse';
import { TemplateResponse } from '../model/templateResponse';
import { UserGroupResponse } from '../model/userGroupResponse';
import { VendorResponse } from '../model/vendorResponse';
import { VendorUDFResponse } from '../model/vendorUDFResponse';
import { WebhookLogResponse } from '../model/webhookLogResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPaginatedPaginatedspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Get the account bills list
     *
     * @param accountId The account identifier to retrieve bills list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    accountList(accountId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ListResponse>;
    /**
     * Returns a tabular flag summary by Account for all the accounts under the given cost center
     *
     * @param costCenterId Parent cost center identifier
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    billFlagSummaryByAccount(costCenterId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<FlagWidget>;
    /**
     * Returns a tabular flag summary by Meter for all the meters under the given place
     *
     * @param placeId Parent place identifier
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    billFlagSummaryByMeter(placeId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<FlagWidget>;
    /**
     * Get the collection records list
     *
     * @param collectionId The collection identifier to retrieve records list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    collectionRecordList(collectionId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ListResponse>;
    /**
     * Get the emission source records list
     *
     * @param emissionSourceId The emission source identifier to retrieve records list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    emissionSourceRecordList(emissionSourceId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ListResponse>;
    /**
     * Retrieves rolled up actual billing data by account for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountActualMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AccountDigestActualMonthlyResponse>>;
    /**
     * Retrieves rolled up actual billing data by account for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountActualYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AccountDigestActualYearlyResponse>>;
    /**
     * Retrieves all accounts
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccounts(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AccountResponse>>;
    /**
     * Retrieves all user defined fields / custom fields for all accounts
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountsUdfs(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AccountUDFResponse>>;
    /**
     * Retrieves all bill&#39;s bodylines
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAllBillsBodylines(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BodylineResponse>>;
    /**
     *
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBatches(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BatchResponse>>;
    /**
     * Retrieves all settings used to split account charges on bill import  Note: When filtering by vendor, only settings that apply to all vendor accounts (account null) will be returned
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountChargeSplitSettings(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BillAccountChargeSplitSettingsResponse>;
    /**
     * Retrieves bill account meter records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersActual(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BillAccountMeterResponse>>;
    /**
     * Retrieves bill account meter calendarized records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersCalendarized(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BillAccountMeterResponse>>;
    /**
     * Retrieves bill account meter normalized records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersNormalized(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BillAccountMeterResponse>>;
    /**
     * Retrieves bill account meter statistics records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersStatistics(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BillAccountMeterStatisticsResponse>>;
    /**
     * Get a list of bill split versions which match the provided filter conditions
     *
     * @param filter API filter string containing conditions
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillSplitVersions(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<DistributionVersionResponse>>;
    /**
     * Retrieves an array of bills. The array of bills can be filtered by a number of criteria. See the filter property for more details
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBills(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BillResponse>>;
    /**
     * Retrieves data about bills that have not yet been received from vendors.  NOTE: Does not support global dashboard filtering with Topmost Place, Place Group API filters.
     *
     * @param specificWidgetId Specific widget identifier to get the data for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillsOverdueFromVendor(specificWidgetId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<BillsOverdueFromVendorResponse>>;
    /**
     * Get a list of calculated bill versions which match the provided filter conditions
     *
     * @param filter API filter string containing conditions
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCalculatedBillVersions(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<DistributionVersionResponse>>;
    /**
     * Get all chargeback tasks with details
     *
     * @param filter Filters to apply
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getChargebackTasks(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<ChargebackTaskResponse>>;
    /**
     * Retrieves all the collections
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCollections(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CollectionResponse>>;
    /**
     * Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenterActualMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CostCenterDigestActualMonthlyResponse>>;
    /**
     * Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
     *
     * @param costCenterId The costCenter to retrieve data for
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenterActualYearly(costCenterId: number, numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CostCenterDigestActualYearlyResponse>;
    /**
     * Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenterActualYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CostCenterDigestActualYearlyResponse>>;
    /**
     * Retrieves all the cost centers
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenters(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CostCenterResponse>>;
    /**
     * Retrieves all data points
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getDataPoints(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<DataPointResponse>>;
    /**
     * Get the definition and data for a list type
     *
     * @param listTypeId The list type for which the definition and data are to be retrieved
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     * @param body DTO containing the list of initial filters to apply and a flag indicating whether to reset the current columns.  Only one list of the specified list type exists, so columns and filters are shared for every dynamic list of the list type.  Filters provided will be saved to the database.
     */
    getDynamicListWithData(listTypeId: number, pageSize?: number, pageNumber?: number, body?: DynamicListRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ListResponse>;
    /**
     * Retrieve a list of emission records
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEmissionRecords(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EmissionRecordResponse>>;
    /**
     * Retrieves all the emissions sources
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEmissionSources(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EmissionSourceResponse>>;
    /**
     * Retrieves all emission sources
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEmissionSourcesWithMultiFactors(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EmissionSourceMultiFactorResponse>>;
    /**
     * Retrieves a list of buildings for the Multiple ENERGY STAR Buildings widget.  The widget is expecting zero, one, or many buildings, and alters its layout based on how many results it receives.    Validation:  - The provided specific widget must exist  - The provided specific widget must be an Multiple ENERGY STAR Buildings widget
     *
     * @param specificWidgetId Identifier for a specific ENERGY STAR widget on a dashboard
     * @param numberOfYears Only used when a single building is returned. The number of years to go back from most recent score. Defaults to 2 years. If 0 is provided, will only include current score.
     * @param filter Filter string which may add to or override saved filter values during this request
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEnergyStarMultipleBuildings(specificWidgetId: number, numberOfYears?: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EnergyStarPlaceHierarchyResponse>>;
    /**
     * Get a list of ENERGY STAR tasks with their details
     *
     * @param filter Filters to apply
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEnergyStarTasks(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EnergyStarTaskResponse>>;
    /**
     * Retrieves all ESA channels
     *
     * @param filter
     * @param orderBy
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaChannels(filter?: string, orderBy?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EsaChannelResponse>>;
    /**
     * Retrieves all ESA places
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaPlaces(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EsaPlaceResponse>>;
    /**
     * Retrieves all raw and processed ESA readings
     *
     * @param filter
     * @param orderBy
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaReadings(filter?: string, orderBy?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EsaReadingResponse>>;
    /**
     * Retrieves all summarized ESA readings
     *
     * @param filter
     * @param orderBy
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaSummarizedReadings(filter?: string, orderBy?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<EsaReadingSummarizedResponse>>;
    /**
     * Retrieves list of values for data filter
     *
     * @param dataFieldId
     * @param search
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getFilterData(dataFieldId: number, search?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<FilterDataResponse>>;
    /**
     * Retrieves all the ghg factors
     *
     * @param filter The api filters&gt;
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getGHGFactors(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<GHGFactorResponse>>;
    /**
     * Retrieves all General Ledgers
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getGeneralLedgers(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<GeneralLedgerResponse>>;
    /**
     * Get the definition and data for a list.  For a list to be returned you must have created the list or have access to it.
     *
     * @param listId The list for which the definition and data are to be retrieved
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getListWithData(listId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ListResponse>;
    /**
     * Retrieves rolled up actual billing data by meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterActualMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestActualAndCalendarizedMonthlyResponse>>;
    /**
     * Retrieves rolled up billing data by meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterActualYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestActualAndCalendarizedYearlyResponse>>;
    /**
     * Retrieves rolled up calendarized billing data by meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterCalendarizedMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestActualAndCalendarizedMonthlyResponse>>;
    /**
     * Retrieves rolled up calendarized data by meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterCalendarizedYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestActualAndCalendarizedYearlyResponse>>;
    /**
     * Retrieves rolled up normalized billing data by meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterNormalizedMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestNormalizedMonthlyResponse>>;
    /**
     * Retrieves rolled up normalized data by meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterNormalizedYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestNormalizedYearlyResponse>>;
    /**
     * Retrieves rolled up savings billing data by meter for a given number of years- Result includes cost and use savings on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years/24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterSavingsMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestSavingsMonthlyResponse>>;
    /**
     * Retrieves savings data by meter for a given number of years.
     *
     * @param numberOfYears Number of years of data to return including the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterSavingsYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterDigestSavingsYearlyResponse>>;
    /**
     * Retrieves all meters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeters(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterResponse>>;
    /**
     * Retrieves all user defined fields / custom fields for all meters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMetersUdfs(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterUDFResponse>>;
    /**
     * Returns gaps in billing data for a date range specified by the  Bill Date Range filter.   A gap is defined as at least one day that falls within the account&#39;s service dates and   not included in any bill for that account meter.  The Allowable Gap Days filter specifies the number of days that must be in the gap  before it will be included in the results.
     *
     * @param specificWidgetId Specific widget identifier to get the data for
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMissingBills(specificWidgetId: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MissingBillWidget>>;
    /**
     * Get all notifications for the current user
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getNotifications(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<NotificationResponse>>;
    /**
     * Retrieves rolled up actual billing data by building/organization for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceActualMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestActualAndCalendarizedMonthlyResponse>>;
    /**
     * Retrieves rolled up actual billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceActualYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestActualAndCalendarizedYearlyResponse>>;
    /**
     * Retrieves rolled up calendarized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for calendarized and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceCalendarizedMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestActualAndCalendarizedMonthlyResponse>>;
    /**
     * Retrieves rolled up calendarized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceCalendarizedYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestActualAndCalendarizedYearlyResponse>>;
    /**
     * Retrieves rolled up normalized billing data by building/organization for a given number of years- Result includes use on a monthly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for normalized and savings, and 24 or 26 (if 13 accounting periods) for normalized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceNomalizedMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestNormalizedMonthlyResponse>>;
    /**
     * Retrieves rolled up normalized billing data by building/organization for a given number of years- Result include use on an yearly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceNormalizedYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestNormalizedYearlyResponse>>;
    /**
     * Retrieves rolled up savings data by building/organization for a given number of years- Result includes cost and use savings on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years/24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceSavingsMonthlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestSavingsMonthlyResponse>>;
    /**
     * Retrieves rolled up savings billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes a commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceSavingsYearlyList(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceDigestSavingsYearlyResponse>>;
    /**
     * Retrieves all places
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaces(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceResponse>>;
    /**
     * Retrieves all user defined fields / custom fields for all places
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlacesUdfs(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceUDFResponse>>;
    /**
     * Get a list of all rate schedules matching the provided filters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getRates(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<RateResponse>>;
    /**
     * Get a list of cost avoidance tasks  NOTE: does not include cost avoidance tasks created from prior versions of the software
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getSavingsTasks(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<CostAvoidanceTask>>;
    /**
     * Retrieves a list of tasks
     *
     * @param taskTypeCode Task type code. Acceptable values are:       AuditGroup,       CostAvoidance,      Report,      Chargeback,      SetupSheet,      UnitsOfMeasure,      Accrual,      BillImport,       EnergyStar,      BillExport,      ReadingImport,      SummarizeReading,      BillUnexport,      V7CostAvoidance,      V7Accrual,      Budget      CostUnitUpdate,      RecordImportPfl,      EsaReadingImpPfl,      RecordImport  *This combines record import setup sheet tasks and record import with a profile tasks,      EsaReadingImport  *This combines Esa readings import setup sheet tasks and Esa Reading import with a profile tasks
     * @param filter Filters to apply
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getTasks(taskTypeCode?: string, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<TaskResponse>>;
    /**
     * Retrieves all templates
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getTemplates(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<TemplateResponse>>;
    /**
     * Get all unplaced meters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getUnplacedMeters(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterResponse>>;
    /**
     * Gets a list of user groups
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getUserGroups(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<UserGroupResponse>>;
    /**
     * Retrieves an array of vendors. The array of vendors can be filtered by a number of criteria. See the filter property for more details
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getVendors(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<VendorResponse>>;
    /**
     * Retrieves all user defined fields / custom fields for all vendors
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getVendorsUdfs(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<VendorUDFResponse>>;
    /**
     * Get a list of webhook event logs
     *
     * @param webhookId
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getWebhookLogs(webhookId: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<WebhookLogResponse>>;
    /**
     * Get the meter bills list
     *
     * @param meterId The meter identifier to retrieve bills list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    meterBillList(meterId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ListResponse>;
    /**
     * Search utility platform meters
     *
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     * @param body The meter search criteria
     */
    searchUtilityPlatformMeters(pageSize?: number, pageNumber?: number, body?: MeterSearchRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MoveCreateMeter>>;
    /**
     * Search service addresses
     *
     * @param address The address fragment to search for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    searchUtilityPlatformServiceAddresses(address?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AddressLookup>>;
    /**
     * Get the account bills list
     *
     * @param accountId The account identifier to retrieve bills list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    accountListWithHttpInfo(accountId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ListResponse>>;
    /**
     * Returns a tabular flag summary by Account for all the accounts under the given cost center
     *
     * @param costCenterId Parent cost center identifier
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    billFlagSummaryByAccountWithHttpInfo(costCenterId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<FlagWidget>>;
    /**
     * Returns a tabular flag summary by Meter for all the meters under the given place
     *
     * @param placeId Parent place identifier
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    billFlagSummaryByMeterWithHttpInfo(placeId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<FlagWidget>>;
    /**
     * Get the collection records list
     *
     * @param collectionId The collection identifier to retrieve records list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    collectionRecordListWithHttpInfo(collectionId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ListResponse>>;
    /**
     * Get the emission source records list
     *
     * @param emissionSourceId The emission source identifier to retrieve records list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    emissionSourceRecordListWithHttpInfo(emissionSourceId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ListResponse>>;
    /**
     * Retrieves rolled up actual billing data by account for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountActualMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AccountDigestActualMonthlyResponse>>>;
    /**
     * Retrieves rolled up actual billing data by account for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountActualYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AccountDigestActualYearlyResponse>>>;
    /**
     * Retrieves all accounts
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AccountResponse>>>;
    /**
     * Retrieves all user defined fields / custom fields for all accounts
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAccountsUdfsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AccountUDFResponse>>>;
    /**
     * Retrieves all bill&#39;s bodylines
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getAllBillsBodylinesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BodylineResponse>>>;
    /**
     *
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBatchesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BatchResponse>>>;
    /**
     * Retrieves all settings used to split account charges on bill import  Note: When filtering by vendor, only settings that apply to all vendor accounts (account null) will be returned
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountChargeSplitSettingsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BillAccountChargeSplitSettingsResponse>>;
    /**
     * Retrieves bill account meter records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersActualWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BillAccountMeterResponse>>>;
    /**
     * Retrieves bill account meter calendarized records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersCalendarizedWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BillAccountMeterResponse>>>;
    /**
     * Retrieves bill account meter normalized records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersNormalizedWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BillAccountMeterResponse>>>;
    /**
     * Retrieves bill account meter statistics records
     *
     * @param filter Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillAccountMetersStatisticsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BillAccountMeterStatisticsResponse>>>;
    /**
     * Get a list of bill split versions which match the provided filter conditions
     *
     * @param filter API filter string containing conditions
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillSplitVersionsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<DistributionVersionResponse>>>;
    /**
     * Retrieves an array of bills. The array of bills can be filtered by a number of criteria. See the filter property for more details
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BillResponse>>>;
    /**
     * Retrieves data about bills that have not yet been received from vendors.  NOTE: Does not support global dashboard filtering with Topmost Place, Place Group API filters.
     *
     * @param specificWidgetId Specific widget identifier to get the data for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getBillsOverdueFromVendorWithHttpInfo(specificWidgetId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<BillsOverdueFromVendorResponse>>>;
    /**
     * Get a list of calculated bill versions which match the provided filter conditions
     *
     * @param filter API filter string containing conditions
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCalculatedBillVersionsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<DistributionVersionResponse>>>;
    /**
     * Get all chargeback tasks with details
     *
     * @param filter Filters to apply
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getChargebackTasksWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<ChargebackTaskResponse>>>;
    /**
     * Retrieves all the collections
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCollectionsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CollectionResponse>>>;
    /**
     * Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenterActualMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CostCenterDigestActualMonthlyResponse>>>;
    /**
     * Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
     *
     * @param costCenterId The costCenter to retrieve data for
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenterActualYearlyWithHttpInfo(costCenterId: number, numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CostCenterDigestActualYearlyResponse>>;
    /**
     * Retrieves rolled up actual billing data by costCenter for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCenterActualYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CostCenterDigestActualYearlyResponse>>>;
    /**
     * Retrieves all the cost centers
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getCostCentersWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CostCenterResponse>>>;
    /**
     * Retrieves all data points
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getDataPointsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<DataPointResponse>>>;
    /**
     * Get the definition and data for a list type
     *
     * @param listTypeId The list type for which the definition and data are to be retrieved
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     * @param body DTO containing the list of initial filters to apply and a flag indicating whether to reset the current columns.  Only one list of the specified list type exists, so columns and filters are shared for every dynamic list of the list type.  Filters provided will be saved to the database.
     */
    getDynamicListWithDataWithHttpInfo(listTypeId: number, pageSize?: number, pageNumber?: number, body?: DynamicListRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ListResponse>>;
    /**
     * Retrieve a list of emission records
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEmissionRecordsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EmissionRecordResponse>>>;
    /**
     * Retrieves all the emissions sources
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEmissionSourcesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EmissionSourceResponse>>>;
    /**
     * Retrieves all emission sources
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEmissionSourcesWithMultiFactorsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EmissionSourceMultiFactorResponse>>>;
    /**
     * Retrieves a list of buildings for the Multiple ENERGY STAR Buildings widget.  The widget is expecting zero, one, or many buildings, and alters its layout based on how many results it receives.    Validation:  - The provided specific widget must exist  - The provided specific widget must be an Multiple ENERGY STAR Buildings widget
     *
     * @param specificWidgetId Identifier for a specific ENERGY STAR widget on a dashboard
     * @param numberOfYears Only used when a single building is returned. The number of years to go back from most recent score. Defaults to 2 years. If 0 is provided, will only include current score.
     * @param filter Filter string which may add to or override saved filter values during this request
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEnergyStarMultipleBuildingsWithHttpInfo(specificWidgetId: number, numberOfYears?: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EnergyStarPlaceHierarchyResponse>>>;
    /**
     * Get a list of ENERGY STAR tasks with their details
     *
     * @param filter Filters to apply
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEnergyStarTasksWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EnergyStarTaskResponse>>>;
    /**
     * Retrieves all ESA channels
     *
     * @param filter
     * @param orderBy
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaChannelsWithHttpInfo(filter?: string, orderBy?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EsaChannelResponse>>>;
    /**
     * Retrieves all ESA places
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaPlacesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EsaPlaceResponse>>>;
    /**
     * Retrieves all raw and processed ESA readings
     *
     * @param filter
     * @param orderBy
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaReadingsWithHttpInfo(filter?: string, orderBy?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EsaReadingResponse>>>;
    /**
     * Retrieves all summarized ESA readings
     *
     * @param filter
     * @param orderBy
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getEsaSummarizedReadingsWithHttpInfo(filter?: string, orderBy?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<EsaReadingSummarizedResponse>>>;
    /**
     * Retrieves list of values for data filter
     *
     * @param dataFieldId
     * @param search
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getFilterDataWithHttpInfo(dataFieldId: number, search?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<FilterDataResponse>>>;
    /**
     * Retrieves all the ghg factors
     *
     * @param filter The api filters&gt;
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getGHGFactorsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<GHGFactorResponse>>>;
    /**
     * Retrieves all General Ledgers
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getGeneralLedgersWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<GeneralLedgerResponse>>>;
    /**
     * Get the definition and data for a list.  For a list to be returned you must have created the list or have access to it.
     *
     * @param listId The list for which the definition and data are to be retrieved
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getListWithDataWithHttpInfo(listId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ListResponse>>;
    /**
     * Retrieves rolled up actual billing data by meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterActualMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestActualAndCalendarizedMonthlyResponse>>>;
    /**
     * Retrieves rolled up billing data by meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterActualYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestActualAndCalendarizedYearlyResponse>>>;
    /**
     * Retrieves rolled up calendarized billing data by meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterCalendarizedMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestActualAndCalendarizedMonthlyResponse>>>;
    /**
     * Retrieves rolled up calendarized data by meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterCalendarizedYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestActualAndCalendarizedYearlyResponse>>>;
    /**
     * Retrieves rolled up normalized billing data by meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterNormalizedMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestNormalizedMonthlyResponse>>>;
    /**
     * Retrieves rolled up normalized data by meter for a given range of years- Result includes cost, use, unit cost on an yearly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterNormalizedYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestNormalizedYearlyResponse>>>;
    /**
     * Retrieves rolled up savings billing data by meter for a given number of years- Result includes cost and use savings on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years/24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterSavingsMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestSavingsMonthlyResponse>>>;
    /**
     * Retrieves savings data by meter for a given number of years.
     *
     * @param numberOfYears Number of years of data to return including the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMeterSavingsYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterDigestSavingsYearlyResponse>>>;
    /**
     * Retrieves all meters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMetersWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterResponse>>>;
    /**
     * Retrieves all user defined fields / custom fields for all meters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMetersUdfsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterUDFResponse>>>;
    /**
     * Returns gaps in billing data for a date range specified by the  Bill Date Range filter.   A gap is defined as at least one day that falls within the account&#39;s service dates and   not included in any bill for that account meter.  The Allowable Gap Days filter specifies the number of days that must be in the gap  before it will be included in the results.
     *
     * @param specificWidgetId Specific widget identifier to get the data for
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getMissingBillsWithHttpInfo(specificWidgetId: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MissingBillWidget>>>;
    /**
     * Get all notifications for the current user
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getNotificationsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<NotificationResponse>>>;
    /**
     * Retrieves rolled up actual billing data by building/organization for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceActualMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestActualAndCalendarizedMonthlyResponse>>>;
    /**
     * Retrieves rolled up actual billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceActualYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestActualAndCalendarizedYearlyResponse>>>;
    /**
     * Retrieves rolled up calendarized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on a monthly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for calendarized and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceCalendarizedMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestActualAndCalendarizedMonthlyResponse>>>;
    /**
     * Retrieves rolled up calendarized billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceCalendarizedYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestActualAndCalendarizedYearlyResponse>>>;
    /**
     * Retrieves rolled up normalized billing data by building/organization for a given number of years- Result includes use on a monthly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for normalized and savings, and 24 or 26 (if 13 accounting periods) for normalized and normalized)
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceNomalizedMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestNormalizedMonthlyResponse>>>;
    /**
     * Retrieves rolled up normalized billing data by building/organization for a given number of years- Result include use on an yearly basis. It also includes target comparison data and commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceNormalizedYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestNormalizedYearlyResponse>>>;
    /**
     * Retrieves rolled up savings data by building/organization for a given number of years- Result includes cost and use savings on a monthly basis.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to two years/24 months
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceSavingsMonthlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestSavingsMonthlyResponse>>>;
    /**
     * Retrieves rolled up savings billing data by building/organization for a given number of years- Result includes cost, use, unit cost on an yearly basis. It also includes a commodity level break up.
     *
     * @param numberOfYears Number of years of data to return includes the current year - Defaults to 4
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlaceSavingsYearlyListWithHttpInfo(numberOfYears?: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceDigestSavingsYearlyResponse>>>;
    /**
     * Retrieves all places
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlacesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceResponse>>>;
    /**
     * Retrieves all user defined fields / custom fields for all places
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getPlacesUdfsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceUDFResponse>>>;
    /**
     * Get a list of all rate schedules matching the provided filters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getRatesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<RateResponse>>>;
    /**
     * Get a list of cost avoidance tasks  NOTE: does not include cost avoidance tasks created from prior versions of the software
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getSavingsTasksWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<CostAvoidanceTask>>>;
    /**
     * Retrieves a list of tasks
     *
     * @param taskTypeCode Task type code. Acceptable values are:       AuditGroup,       CostAvoidance,      Report,      Chargeback,      SetupSheet,      UnitsOfMeasure,      Accrual,      BillImport,       EnergyStar,      BillExport,      ReadingImport,      SummarizeReading,      BillUnexport,      V7CostAvoidance,      V7Accrual,      Budget      CostUnitUpdate,      RecordImportPfl,      EsaReadingImpPfl,      RecordImport  *This combines record import setup sheet tasks and record import with a profile tasks,      EsaReadingImport  *This combines Esa readings import setup sheet tasks and Esa Reading import with a profile tasks
     * @param filter Filters to apply
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getTasksWithHttpInfo(taskTypeCode?: string, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<TaskResponse>>>;
    /**
     * Retrieves all templates
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getTemplatesWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<TemplateResponse>>>;
    /**
     * Get all unplaced meters
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getUnplacedMetersWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterResponse>>>;
    /**
     * Gets a list of user groups
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getUserGroupsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<UserGroupResponse>>>;
    /**
     * Retrieves an array of vendors. The array of vendors can be filtered by a number of criteria. See the filter property for more details
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getVendorsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<VendorResponse>>>;
    /**
     * Retrieves all user defined fields / custom fields for all vendors
     *
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getVendorsUdfsWithHttpInfo(filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<VendorUDFResponse>>>;
    /**
     * Get a list of webhook event logs
     *
     * @param webhookId
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getWebhookLogsWithHttpInfo(webhookId: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<WebhookLogResponse>>>;
    /**
     * Get the meter bills list
     *
     * @param meterId The meter identifier to retrieve bills list for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    meterBillListWithHttpInfo(meterId: number, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ListResponse>>;
    /**
     * Search utility platform meters
     *
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     * @param body The meter search criteria
     */
    searchUtilityPlatformMetersWithHttpInfo(pageSize?: number, pageNumber?: number, body?: MeterSearchRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MoveCreateMeter>>>;
    /**
     * Search service addresses
     *
     * @param address The address fragment to search for
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    searchUtilityPlatformServiceAddressesWithHttpInfo(address?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AddressLookup>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPaginatedPaginatedspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPaginatedPaginatedspanService>;
}
