import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AccountingSettingsRequest } from '../model/accountingSettingsRequest';
import { AccountingSettingsResponse } from '../model/accountingSettingsResponse';
import { GLSubcodeRequest } from '../model/gLSubcodeRequest';
import { GLSubcodeResponse } from '../model/gLSubcodeResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsAccountingSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edit accounting settings
     *
     * @param body
     */
    editAccountingSettings(body?: AccountingSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AccountingSettingsResponse>;
    /**
     * Edit General Ledger Subcode definitions - update name, type and if \&quot;list\&quot; type edit (add/delete/edit) pick list values.   One or more subcodes can be edited.
     *
     * @param body Provide the subcode definition
     */
    editGLSubCodes(body?: Array<GLSubcodeRequest>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<GLSubcodeResponse>>;
    /**
     * Edit accounting settings
     *
     * @param body
     */
    editAccountingSettingsWithHttpInfo(body?: AccountingSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AccountingSettingsResponse>>;
    /**
     * Edit General Ledger Subcode definitions - update name, type and if \&quot;list\&quot; type edit (add/delete/edit) pick list values.   One or more subcodes can be edited.
     *
     * @param body Provide the subcode definition
     */
    editGLSubCodesWithHttpInfo(body?: Array<GLSubcodeRequest>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<GLSubcodeResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsAccountingSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsAccountingSettingsManagespanService>;
}
