import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AccountCreate } from '../model/accountCreate';
import { AccountResponse } from '../model/accountResponse';
import { GeneralLedgerRequest } from '../model/generalLedgerRequest';
import { GeneralLedgerResponse } from '../model/generalLedgerResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsAccountsCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates an account
     *
     * @param body Data representing the account being created
     */
    createAccount(body?: AccountCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AccountResponse>;
    /**
     * Creates a General Ledger
     *
     * @param body Data representing the general ledger being created
     */
    createGeneralLedger(body?: GeneralLedgerRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GeneralLedgerResponse>;
    /**
     * Creates an account
     *
     * @param body Data representing the account being created
     */
    createAccountWithHttpInfo(body?: AccountCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AccountResponse>>;
    /**
     * Creates a General Ledger
     *
     * @param body Data representing the general ledger being created
     */
    createGeneralLedgerWithHttpInfo(body?: GeneralLedgerRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GeneralLedgerResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsAccountsCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsAccountsCreatespanService>;
}
