import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BillAccrualExclusionRequest } from '../model/billAccrualExclusionRequest';
import { ListActionAccrualExclusion } from '../model/listActionAccrualExclusion';
import { UpdateResult } from '../model/updateResult';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsAccrualSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param accountId The account whose bills will be excluded or have exclusion undone
     * @param body Indicates whether or not the bills should be excluded from accruals or should have exclusion undone
     */
    setAccountBillListAccrualExclusion(accountId: number, body?: ListActionAccrualExclusion, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param body
     */
    setBillAccrualExclusion(body?: BillAccrualExclusionRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param listId The list whose bills will be excluded or have exclusion undone
     * @param body Indicates whether or not the provided list should be excluded from accruals or should have exclusion undone
     */
    setBillListAccrualExclusion(listId: number, body?: ListActionAccrualExclusion, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param meterId The meter whose bills will be excluded or have exclusion undone
     * @param body Indicates whether or not the bills should be excluded from accruals or should have exclusion undone
     */
    setMeterBillListAccrualExclusion(meterId: number, body?: ListActionAccrualExclusion, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param accountId The account whose bills will be excluded or have exclusion undone
     * @param body Indicates whether or not the bills should be excluded from accruals or should have exclusion undone
     */
    setAccountBillListAccrualExclusionWithHttpInfo(accountId: number, body?: ListActionAccrualExclusion, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param body
     */
    setBillAccrualExclusionWithHttpInfo(body?: BillAccrualExclusionRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param listId The list whose bills will be excluded or have exclusion undone
     * @param body Indicates whether or not the provided list should be excluded from accruals or should have exclusion undone
     */
    setBillListAccrualExclusionWithHttpInfo(listId: number, body?: ListActionAccrualExclusion, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Excludes or undoes exclusion of bills from accruals
     *
     * @param meterId The meter whose bills will be excluded or have exclusion undone
     * @param body Indicates whether or not the bills should be excluded from accruals or should have exclusion undone
     */
    setMeterBillListAccrualExclusionWithHttpInfo(meterId: number, body?: ListActionAccrualExclusion, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsAccrualSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsAccrualSettingsManagespanService>;
}
