import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ApiKeyCreateRequest } from '../model/apiKeyCreateRequest';
import { ApiKeyCreateResponse } from '../model/apiKeyCreateResponse';
import { ApiKeyResponse } from '../model/apiKeyResponse';
import { LicenseRequest } from '../model/licenseRequest';
import { LicenseResponse } from '../model/licenseResponse';
import { WebhookEventTypeChild } from '../model/webhookEventTypeChild';
import { WebhookLogDetailsResponse } from '../model/webhookLogDetailsResponse';
import { WebhookLogResponse } from '../model/webhookLogResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsApplicationSettingsViewspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Create a new API key
     *
     * @param body
     */
    createApiKey(body?: ApiKeyCreateRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ApiKeyCreateResponse>;
    /**
     * Edit the license details.
     *
     * @param body
     */
    editLicenseDetails(body?: LicenseRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<LicenseResponse>;
    /**
     * Get an API key
     *
     * @param apiKeyId
     */
    getApiKey(apiKeyId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<ApiKeyResponse>;
    /**
     * Get a list of all available API keys
     *
     * @param filter
     */
    getApiKeys(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<ApiKeyResponse>>;
    /**
     * Get license details.
     *
     */
    getLicenseDetails(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<LicenseResponse>;
    /**
     * Get webhook event types
     *
     */
    getWebhookEventTypes(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<WebhookEventTypeChild>>;
    /**
     * Get details for a webhook log
     *
     * @param webhookId
     * @param webhookLogId
     */
    getWebhookLogDetails(webhookId: number, webhookLogId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<WebhookLogDetailsResponse>;
    /**
     * Get a list of webhook event logs
     *
     * @param webhookId
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getWebhookLogs(webhookId: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<WebhookLogResponse>>;
    /**
     * Create a new API key
     *
     * @param body
     */
    createApiKeyWithHttpInfo(body?: ApiKeyCreateRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ApiKeyCreateResponse>>;
    /**
     * Edit the license details.
     *
     * @param body
     */
    editLicenseDetailsWithHttpInfo(body?: LicenseRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<LicenseResponse>>;
    /**
     * Get an API key
     *
     * @param apiKeyId
     */
    getApiKeyWithHttpInfo(apiKeyId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<ApiKeyResponse>>;
    /**
     * Get a list of all available API keys
     *
     * @param filter
     */
    getApiKeysWithHttpInfo(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<ApiKeyResponse>>>;
    /**
     * Get license details.
     *
     */
    getLicenseDetailsWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<LicenseResponse>>;
    /**
     * Get webhook event types
     *
     */
    getWebhookEventTypesWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<WebhookEventTypeChild>>>;
    /**
     * Get details for a webhook log
     *
     * @param webhookId
     * @param webhookLogId
     */
    getWebhookLogDetailsWithHttpInfo(webhookId: number, webhookLogId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<WebhookLogDetailsResponse>>;
    /**
     * Get a list of webhook event logs
     *
     * @param webhookId
     * @param filter
     * @param pageSize The number of elements to return in a page
     * @param pageNumber The current page number
     */
    getWebhookLogsWithHttpInfo(webhookId: number, filter?: string, pageSize?: number, pageNumber?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<WebhookLogResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsApplicationSettingsViewspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsApplicationSettingsViewspanService>;
}
