import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BillActionApprove } from '../model/billActionApprove';
import { ListActionApprove } from '../model/listActionApprove';
import { UpdateResult } from '../model/updateResult';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsApproveBillsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Approve/unapprove account bills
     *
     * @param accountId The account to approve/unapprove all bills
     * @param body Boolean representing approve flag
     */
    accountBillListApprove(accountId: number, body?: ListActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Approve/unapprove bill list
     *
     * @param listId The list identifier
     * @param body Boolean representing approve flag
     */
    approveBillList(listId: number, body?: ListActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Update approved flag for the given billIDs
     *
     * @param body approve action
     */
    billActionApprove(body?: BillActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Approve/unapprove meter bills
     *
     * @param meterId The meter to approve/unapprove all bills
     * @param body Boolean representing approve flag
     */
    meterBillListApprove(meterId: number, body?: ListActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Approve/unapprove account bills
     *
     * @param accountId The account to approve/unapprove all bills
     * @param body Boolean representing approve flag
     */
    accountBillListApproveWithHttpInfo(accountId: number, body?: ListActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Approve/unapprove bill list
     *
     * @param listId The list identifier
     * @param body Boolean representing approve flag
     */
    approveBillListWithHttpInfo(listId: number, body?: ListActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Update approved flag for the given billIDs
     *
     * @param body approve action
     */
    billActionApproveWithHttpInfo(body?: BillActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Approve/unapprove meter bills
     *
     * @param meterId The meter to approve/unapprove all bills
     * @param body Boolean representing approve flag
     */
    meterBillListApproveWithHttpInfo(meterId: number, body?: ListActionApprove, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsApproveBillsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsApproveBillsManagespanService>;
}
