import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BulkBaselineProcessorRequest } from '../model/bulkBaselineProcessorRequest';
import { CostAvoidanceTask } from '../model/costAvoidanceTask';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBaselineEngineRunspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Regenerate cost avoidance baseline for the meters that match the filter conditions and then reprocess their savings
     *
     * @param body Settings and filter conditions for baseline processing
     */
    bulkGenerateBaseline(body?: BulkBaselineProcessorRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CostAvoidanceTask>;
    /**
     * Regenerate cost avoidance baseline for the meters that match the filter conditions and then reprocess their savings
     *
     * @param body Settings and filter conditions for baseline processing
     */
    bulkGenerateBaselineWithHttpInfo(body?: BulkBaselineProcessorRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CostAvoidanceTask>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBaselineEngineRunspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBaselineEngineRunspanService>;
}
