import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AccountBillAccountChargeSplitSettingsResponse } from '../model/accountBillAccountChargeSplitSettingsResponse';
import { AuditSettingsRequest } from '../model/auditSettingsRequest';
import { AuditSettingsResponse } from '../model/auditSettingsResponse';
import { BillAccountChargeSplitMethodRequest } from '../model/billAccountChargeSplitMethodRequest';
import { BillAccountChargeSplitMethodResponse } from '../model/billAccountChargeSplitMethodResponse';
import { VendorBillAccountChargeSplitSettingsResponse } from '../model/vendorBillAccountChargeSplitSettingsResponse';
import { WorkflowSettingsRequest } from '../model/workflowSettingsRequest';
import { WorkflowSettingsResponse } from '../model/workflowSettingsResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBillWorkflowSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Deletes a specific account&#39;s setting to split account charges on bill import
     *
     * @param accountId Account identifier
     */
    deleteAccountBillAccountChargeSplitSettings(accountId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Deletes a specific vendor&#39;s setting to split account charges on bill import
     *
     * @param vendorId Vendor identifier
     */
    deleteVendorBillAccountChargeSplitSettings(vendorId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Edits a specific account&#39;s setting to split account charges on bill import  If a rule does not currently exist for this account it is created otherwise it is updated
     *
     * @param accountId Account identifier
     * @param body
     */
    editAccountBillAccountChargeSplitSettings(accountId: number, body?: Array<number>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AccountBillAccountChargeSplitSettingsResponse>;
    /**
     * Edit the method used to split account charges on bill import
     *
     * @param body Method used to split account charges on bill import
     */
    editBillAccountChargeSplitMethod(body?: BillAccountChargeSplitMethodRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BillAccountChargeSplitMethodResponse>;
    /**
     * Edits a specific vendor&#39;s setting to split account charges on bill import  If a rule does not currently exist for this vendor it is created otherwise it is updated
     *
     * @param vendorId Vendor identifier
     * @param body
     */
    editVendorBillAccountChargeSplitSettings(vendorId: number, body?: Array<number>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<VendorBillAccountChargeSplitSettingsResponse>;
    /**
     * Update bill workflow settings
     *
     * @param body All workflow settings
     */
    editWorkflow(body?: WorkflowSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<WorkflowSettingsResponse>;
    /**
     * Update audit settings
     *  __Setting Status Descriptions:__    | Setting Status | Description |  | -------------- | ----------- |  | Check          | If this audit fails affected bills are flagged  |  | Hold           | If this audit fails affected bills are flagged and held from export  |  | Skip           | This audit is skipped  |
     * @param body The new state of the audit settings
     */
    updateAuditSettings(body?: AuditSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AuditSettingsResponse>;
    /**
     * Deletes a specific account&#39;s setting to split account charges on bill import
     *
     * @param accountId Account identifier
     */
    deleteAccountBillAccountChargeSplitSettingsWithHttpInfo(accountId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Deletes a specific vendor&#39;s setting to split account charges on bill import
     *
     * @param vendorId Vendor identifier
     */
    deleteVendorBillAccountChargeSplitSettingsWithHttpInfo(vendorId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Edits a specific account&#39;s setting to split account charges on bill import  If a rule does not currently exist for this account it is created otherwise it is updated
     *
     * @param accountId Account identifier
     * @param body
     */
    editAccountBillAccountChargeSplitSettingsWithHttpInfo(accountId: number, body?: Array<number>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AccountBillAccountChargeSplitSettingsResponse>>;
    /**
     * Edit the method used to split account charges on bill import
     *
     * @param body Method used to split account charges on bill import
     */
    editBillAccountChargeSplitMethodWithHttpInfo(body?: BillAccountChargeSplitMethodRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BillAccountChargeSplitMethodResponse>>;
    /**
     * Edits a specific vendor&#39;s setting to split account charges on bill import  If a rule does not currently exist for this vendor it is created otherwise it is updated
     *
     * @param vendorId Vendor identifier
     * @param body
     */
    editVendorBillAccountChargeSplitSettingsWithHttpInfo(vendorId: number, body?: Array<number>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<VendorBillAccountChargeSplitSettingsResponse>>;
    /**
     * Update bill workflow settings
     *
     * @param body All workflow settings
     */
    editWorkflowWithHttpInfo(body?: WorkflowSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<WorkflowSettingsResponse>>;
    /**
     * Update audit settings
     *  __Setting Status Descriptions:__    | Setting Status | Description |  | -------------- | ----------- |  | Check          | If this audit fails affected bills are flagged  |  | Hold           | If this audit fails affected bills are flagged and held from export  |  | Skip           | This audit is skipped  |
     * @param body The new state of the audit settings
     */
    updateAuditSettingsWithHttpInfo(body?: AuditSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AuditSettingsResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBillWorkflowSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBillWorkflowSettingsManagespanService>;
}
