import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BillActionDelete } from '../model/billActionDelete';
import { BillDeleteActionResult } from '../model/billDeleteActionResult';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBillsAndBatchesDeletespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Delete all bills for account
     *
     * @param accountId The account to delete all bills from
     */
    accountBillListDeleteBills(accountId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BillDeleteActionResult>;
    /**
     * Delete given billIDs
     *
     * @param body
     */
    billActionDelete(body?: BillActionDelete, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BillDeleteActionResult>;
    /**
     *
     *
     * @param batchId
     */
    deleteBatch(batchId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Delete all bills in a bill list
     *
     * @param listId The list identifier
     */
    deleteBillsInBillList(listId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BillDeleteActionResult>;
    /**
     * Delete all bills for meter
     *
     * @param meterId The meter to delete all bills from
     */
    meterBillListDeleteBills(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BillDeleteActionResult>;
    /**
     * Delete all bills for account
     *
     * @param accountId The account to delete all bills from
     */
    accountBillListDeleteBillsWithHttpInfo(accountId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BillDeleteActionResult>>;
    /**
     * Delete given billIDs
     *
     * @param body
     */
    billActionDeleteWithHttpInfo(body?: BillActionDelete, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BillDeleteActionResult>>;
    /**
     *
     *
     * @param batchId
     */
    deleteBatchWithHttpInfo(batchId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Delete all bills in a bill list
     *
     * @param listId The list identifier
     */
    deleteBillsInBillListWithHttpInfo(listId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BillDeleteActionResult>>;
    /**
     * Delete all bills for meter
     *
     * @param meterId The meter to delete all bills from
     */
    meterBillListDeleteBillsWithHttpInfo(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BillDeleteActionResult>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBillsAndBatchesDeletespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBillsAndBatchesDeletespanService>;
}
