import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BudgetCreate } from '../model/budgetCreate';
import { BudgetResponse } from '../model/budgetResponse';
import { BudgetVersionCreate } from '../model/budgetVersionCreate';
import { BudgetVersionResponse } from '../model/budgetVersionResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBudgetsAndBudgetVersionsCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates a budget
     *
     * @param body Data representing the budget being created
     */
    createBudget(body?: BudgetCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BudgetResponse>;
    /**
     * Creates a budget version
     *
     * @param budgetId The identifier for the budget to create the version on
     * @param body Data representing the budgetVersion being created
     */
    createBudgetVersion(budgetId: number, body?: BudgetVersionCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BudgetVersionResponse>;
    /**
     * Creates a budget
     *
     * @param body Data representing the budget being created
     */
    createBudgetWithHttpInfo(body?: BudgetCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BudgetResponse>>;
    /**
     * Creates a budget version
     *
     * @param budgetId The identifier for the budget to create the version on
     * @param body Data representing the budgetVersion being created
     */
    createBudgetVersionWithHttpInfo(budgetId: number, body?: BudgetVersionCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BudgetVersionResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBudgetsAndBudgetVersionsCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBudgetsAndBudgetVersionsCreatespanService>;
}
