import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BudgetEdit } from '../model/budgetEdit';
import { BudgetResponse } from '../model/budgetResponse';
import { BudgetVersionEdit } from '../model/budgetVersionEdit';
import { BudgetVersionResponse } from '../model/budgetVersionResponse';
import { Setup } from '../model/setup';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBudgetsAndBudgetVersionsEditspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edits a budget
     *
     * @param budgetId The identifier for the budget being edited
     * @param body Data representing the budget being edited
     */
    editBudget(budgetId: number, body?: BudgetEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BudgetResponse>;
    /**
     * Edits a budget version
     *
     * @param budgetId The identifier for the budget
     * @param versionId The identifier for the version being retrieved
     * @param body Data representing the budgetVersion being edited
     */
    editBudgetVersion(budgetId: number, versionId: number, body?: BudgetVersionEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BudgetVersionResponse>;
    /**
     * Import a budget setup sheet
     *
     * @param budgetId The budget identifier
     * @param versionId The budget version identifier
     * @param body The budget sheet file contents
     */
    postBudgetSetupSheet(budgetId: number, versionId: number, body?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Setup>;
    /**
     * Sets a budget version as active, and all other versions as inactive.
     *
     * @param budgetId The identifier for the budget
     * @param versionId The identifier for the version to set as active
     */
    setBudgetVersionActive(budgetId: number, versionId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BudgetVersionResponse>;
    /**
     * Edits a budget
     *
     * @param budgetId The identifier for the budget being edited
     * @param body Data representing the budget being edited
     */
    editBudgetWithHttpInfo(budgetId: number, body?: BudgetEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BudgetResponse>>;
    /**
     * Edits a budget version
     *
     * @param budgetId The identifier for the budget
     * @param versionId The identifier for the version being retrieved
     * @param body Data representing the budgetVersion being edited
     */
    editBudgetVersionWithHttpInfo(budgetId: number, versionId: number, body?: BudgetVersionEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BudgetVersionResponse>>;
    /**
     * Import a budget setup sheet
     *
     * @param budgetId The budget identifier
     * @param versionId The budget version identifier
     * @param body The budget sheet file contents
     */
    postBudgetSetupSheetWithHttpInfo(budgetId: number, versionId: number, body?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Setup>>;
    /**
     * Sets a budget version as active, and all other versions as inactive.
     *
     * @param budgetId The identifier for the budget
     * @param versionId The identifier for the version to set as active
     */
    setBudgetVersionActiveWithHttpInfo(budgetId: number, versionId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BudgetVersionResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBudgetsAndBudgetVersionsEditspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBudgetsAndBudgetVersionsEditspanService>;
}
