import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { GroupMeterGroupResponse } from '../model/groupMeterGroupResponse';
import { GroupPlaceGroupResponse } from '../model/groupPlaceGroupResponse';
import { MeterCategoryRequest } from '../model/meterCategoryRequest';
import { MeterCategoryResponse } from '../model/meterCategoryResponse';
import { MeterGroupRequest } from '../model/meterGroupRequest';
import { PlaceCategoryRequest } from '../model/placeCategoryRequest';
import { PlaceCategoryResponse } from '../model/placeCategoryResponse';
import { PlaceGroupRequest } from '../model/placeGroupRequest';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBuildingAndMeterGroupsCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Create a meter group category
     *
     * @param body Data representing the meter group category being created
     */
    createMeterCategory(body?: MeterCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<MeterCategoryResponse>;
    /**
     * Create a meter group
     *
     * @param body Data representing the meter group being created
     */
    createMeterGroup(body?: MeterGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupMeterGroupResponse>;
    /**
     * Creates a place group category
     *
     * @param body Data representing the place group category being created
     */
    createPlaceCategory(body?: PlaceCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<PlaceCategoryResponse>;
    /**
     * Create a place group
     *
     * @param body Data representing the place group being created
     */
    createPlaceGroup(body?: PlaceGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupPlaceGroupResponse>;
    /**
     * Edit a meter group
     *
     * @param meterGroupId Id of the group to edit
     * @param body Data representing the meter group being edited
     */
    editMeterGroup(meterGroupId: number, body?: MeterGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupMeterGroupResponse>;
    /**
     * Edit a place group
     *
     * @param placeGroupId Id of the group to edit
     * @param body Data representing the place group being edited
     */
    editPlaceGroup(placeGroupId: number, body?: PlaceGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupPlaceGroupResponse>;
    /**
     * Create a meter group category
     *
     * @param body Data representing the meter group category being created
     */
    createMeterCategoryWithHttpInfo(body?: MeterCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<MeterCategoryResponse>>;
    /**
     * Create a meter group
     *
     * @param body Data representing the meter group being created
     */
    createMeterGroupWithHttpInfo(body?: MeterGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupMeterGroupResponse>>;
    /**
     * Creates a place group category
     *
     * @param body Data representing the place group category being created
     */
    createPlaceCategoryWithHttpInfo(body?: PlaceCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<PlaceCategoryResponse>>;
    /**
     * Create a place group
     *
     * @param body Data representing the place group being created
     */
    createPlaceGroupWithHttpInfo(body?: PlaceGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupPlaceGroupResponse>>;
    /**
     * Edit a meter group
     *
     * @param meterGroupId Id of the group to edit
     * @param body Data representing the meter group being edited
     */
    editMeterGroupWithHttpInfo(meterGroupId: number, body?: MeterGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupMeterGroupResponse>>;
    /**
     * Edit a place group
     *
     * @param placeGroupId Id of the group to edit
     * @param body Data representing the place group being edited
     */
    editPlaceGroupWithHttpInfo(placeGroupId: number, body?: PlaceGroupRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupPlaceGroupResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBuildingAndMeterGroupsCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBuildingAndMeterGroupsCreatespanService>;
}
