import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { GroupMemberRequest } from '../model/groupMemberRequest';
import { GroupMeterGroupResponse } from '../model/groupMeterGroupResponse';
import { GroupPlaceGroupMember } from '../model/groupPlaceGroupMember';
import { GroupPlaceGroupResponse } from '../model/groupPlaceGroupResponse';
import { MeterCategoryRequest } from '../model/meterCategoryRequest';
import { MeterCategoryResponse } from '../model/meterCategoryResponse';
import { MeterGroupMember } from '../model/meterGroupMember';
import { MeterGroupMemberChild } from '../model/meterGroupMemberChild';
import { MeterGroupResponse } from '../model/meterGroupResponse';
import { PlaceCategoryRequest } from '../model/placeCategoryRequest';
import { PlaceCategoryResponse } from '../model/placeCategoryResponse';
import { PlaceGroupMember } from '../model/placeGroupMember';
import { PlaceGroupResponse } from '../model/placeGroupResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBuildingAndMeterGroupsEditspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Update a meter group category
     *
     * @param categoryId Id of the category to update
     * @param body Data to update the meter group category
     */
    editMeterCategory(categoryId: number, body?: MeterCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<MeterCategoryResponse>;
    /**
     * Edits a meter&#39;s group memberships.   Note that all groups a meter should belong to must be passed in. Passing in one group means that the meter will belong to one group only,   even if it previously belonged to several.  Only manual groups assignments can be changed; auto groups are unaffected.
     *
     * @param meterId The meter identifier whose group memberships are being edited
     * @param body The groups the meter will belong to
     */
    editMeterGroupMembership(meterId: number, body?: Array<MeterGroupMember>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<MeterGroupResponse>>;
    /**
     * Update a place group category
     *
     * @param categoryId Id of the category to update
     * @param body Data to update the place group category
     */
    editPlaceCategory(categoryId: number, body?: PlaceCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<PlaceCategoryResponse>;
    /**
     * Edits a place&#39;s group memberships.   Note that all groups a place should belong to must be passed in. Passing in one group means that the place will belong to one group only,   even if it previously belonged to several.   Only manual groups assignments can be changed; auto groups are unaffected.
     *
     * @param placeId The place identifier whose group memberships are being edited
     * @param body The groups the place will belong to
     */
    editPlaceGroupMembership(placeId: number, body?: Array<PlaceGroupMember>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<PlaceGroupResponse>>;
    /**
     * Include all group members in charts
     *
     * @param meterGroupId
     */
    includeAllMeterGroupMemberInCharts(meterGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Include all group members in charts
     *
     * @param placeGroupId
     */
    includeAllPlaceGroupMemberInCharts(placeGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Refreshes group membership for all user defined auto groups
     *
     */
    recalculateAllUserMeterAutoGroupsMembership(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Refreshes group membership for all user defined auto groups
     *
     */
    recalculateAllUserPlaceAutoGroupsMembership(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Refreshes group membership for a user defined auto group
     *
     * @param meterGroupId The meter group to refresh
     */
    recalculateUserMeterAutoGroupMemebership(meterGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupMeterGroupResponse>;
    /**
     * Refreshes group membership for a user defined auto group
     *
     * @param placeGroupId The place group to refresh
     */
    recalculateUserPlaceAutoGroupMemebership(placeGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupPlaceGroupResponse>;
    /**
     * Update a group member&#39;s include in charts flag
     *
     * @param meterGroupId
     * @param meterId
     * @param body
     */
    updateMeterGroupMember(meterGroupId: number, meterId: number, body?: GroupMemberRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<MeterGroupMemberChild>;
    /**
     * Update a group member&#39;s include in charts flag
     *
     * @param placeGroupId
     * @param placeId
     * @param body
     */
    updatePlaceGroupMember(placeGroupId: number, placeId: number, body?: GroupMemberRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GroupPlaceGroupMember>;
    /**
     * Update a meter group category
     *
     * @param categoryId Id of the category to update
     * @param body Data to update the meter group category
     */
    editMeterCategoryWithHttpInfo(categoryId: number, body?: MeterCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<MeterCategoryResponse>>;
    /**
     * Edits a meter&#39;s group memberships.   Note that all groups a meter should belong to must be passed in. Passing in one group means that the meter will belong to one group only,   even if it previously belonged to several.  Only manual groups assignments can be changed; auto groups are unaffected.
     *
     * @param meterId The meter identifier whose group memberships are being edited
     * @param body The groups the meter will belong to
     */
    editMeterGroupMembershipWithHttpInfo(meterId: number, body?: Array<MeterGroupMember>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<MeterGroupResponse>>>;
    /**
     * Update a place group category
     *
     * @param categoryId Id of the category to update
     * @param body Data to update the place group category
     */
    editPlaceCategoryWithHttpInfo(categoryId: number, body?: PlaceCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<PlaceCategoryResponse>>;
    /**
     * Edits a place&#39;s group memberships.   Note that all groups a place should belong to must be passed in. Passing in one group means that the place will belong to one group only,   even if it previously belonged to several.   Only manual groups assignments can be changed; auto groups are unaffected.
     *
     * @param placeId The place identifier whose group memberships are being edited
     * @param body The groups the place will belong to
     */
    editPlaceGroupMembershipWithHttpInfo(placeId: number, body?: Array<PlaceGroupMember>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<PlaceGroupResponse>>>;
    /**
     * Include all group members in charts
     *
     * @param meterGroupId
     */
    includeAllMeterGroupMemberInChartsWithHttpInfo(meterGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Include all group members in charts
     *
     * @param placeGroupId
     */
    includeAllPlaceGroupMemberInChartsWithHttpInfo(placeGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Refreshes group membership for all user defined auto groups
     *
     */
    recalculateAllUserMeterAutoGroupsMembershipWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Refreshes group membership for all user defined auto groups
     *
     */
    recalculateAllUserPlaceAutoGroupsMembershipWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Refreshes group membership for a user defined auto group
     *
     * @param meterGroupId The meter group to refresh
     */
    recalculateUserMeterAutoGroupMemebershipWithHttpInfo(meterGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupMeterGroupResponse>>;
    /**
     * Refreshes group membership for a user defined auto group
     *
     * @param placeGroupId The place group to refresh
     */
    recalculateUserPlaceAutoGroupMemebershipWithHttpInfo(placeGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupPlaceGroupResponse>>;
    /**
     * Update a group member&#39;s include in charts flag
     *
     * @param meterGroupId
     * @param meterId
     * @param body
     */
    updateMeterGroupMemberWithHttpInfo(meterGroupId: number, meterId: number, body?: GroupMemberRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<MeterGroupMemberChild>>;
    /**
     * Update a group member&#39;s include in charts flag
     *
     * @param placeGroupId
     * @param placeId
     * @param body
     */
    updatePlaceGroupMemberWithHttpInfo(placeGroupId: number, placeId: number, body?: GroupMemberRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GroupPlaceGroupMember>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBuildingAndMeterGroupsEditspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBuildingAndMeterGroupsEditspanService>;
}
