import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EsaPlaceCreate } from '../model/esaPlaceCreate';
import { EsaPlaceResponse } from '../model/esaPlaceResponse';
import { PlaceCreate } from '../model/placeCreate';
import { PlaceResponse } from '../model/placeResponse';
import { PrimaryUseCreate } from '../model/primaryUseCreate';
import { PrimaryUseResponse } from '../model/primaryUseResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsBuildingsAndOrganizationsCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates an ESA place
     *
     * @param body Data representing the ESA place being created
     */
    createEsaPlace(body?: EsaPlaceCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EsaPlaceResponse>;
    /**
     * Creates a place
     *
     * @param body Data representing the place being created
     */
    createPlace(body?: PlaceCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<PlaceResponse>;
    /**
     * Creates a Primary Use
     *
     * @param body Data representing the Primary Use being created
     */
    createPrimaryUse(body?: PrimaryUseCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<PrimaryUseResponse>;
    /**
     * Creates an ESA place
     *
     * @param body Data representing the ESA place being created
     */
    createEsaPlaceWithHttpInfo(body?: EsaPlaceCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EsaPlaceResponse>>;
    /**
     * Creates a place
     *
     * @param body Data representing the place being created
     */
    createPlaceWithHttpInfo(body?: PlaceCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<PlaceResponse>>;
    /**
     * Creates a Primary Use
     *
     * @param body Data representing the Primary Use being created
     */
    createPrimaryUseWithHttpInfo(body?: PrimaryUseCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<PrimaryUseResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsBuildingsAndOrganizationsCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsBuildingsAndOrganizationsCreatespanService>;
}
