import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsChargebackReversalsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Delete all bills created by the chargeback task  If this is a split task, any source bills will be reset to has not been split  If any bills have already been exported they will still be deleted
     *
     * @param taskId Identifier for the chargeback task
     */
    deleteChargebackTask(taskId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Delete all bills created by a chargeback workflow step  If this workflow step was run multiple times, all bills created across all runs for the billing period will be voided  If this is a split step, any source bills will be reset to has not been split  If any bills have already been exported they will still be deleted
     *
     * @param chargebackWorkflowStepId Chargeback Workflow Step ID
     * @param billingPeriod Billing period to undo
     */
    deleteChargebackWorkflowSteps(chargebackWorkflowStepId: number, billingPeriod?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Void all bills created by the chargeback task  If this is a split task, any source bills will be reset to has not been split  If any bills have already been exported they will still be voided
     *
     * @param taskId Identifier for the chargeback task
     */
    voidChargebackTask(taskId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Void all bills created by a chargeback workflow step for a particular billing period  If this workflow step was run multiple times, all bills created across all runs for the billing period will be voided  If this is a split step, any source bills will be reset to has not been split  If any bills have already been exported they will still be voided
     *
     * @param chargebackWorkflowStepId Chargeback Workflow Step ID
     * @param billingPeriod Billing period to undo
     */
    voidChargebackWorkflowSteps(chargebackWorkflowStepId: number, billingPeriod?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Delete all bills created by the chargeback task  If this is a split task, any source bills will be reset to has not been split  If any bills have already been exported they will still be deleted
     *
     * @param taskId Identifier for the chargeback task
     */
    deleteChargebackTaskWithHttpInfo(taskId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Delete all bills created by a chargeback workflow step  If this workflow step was run multiple times, all bills created across all runs for the billing period will be voided  If this is a split step, any source bills will be reset to has not been split  If any bills have already been exported they will still be deleted
     *
     * @param chargebackWorkflowStepId Chargeback Workflow Step ID
     * @param billingPeriod Billing period to undo
     */
    deleteChargebackWorkflowStepsWithHttpInfo(chargebackWorkflowStepId: number, billingPeriod?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Void all bills created by the chargeback task  If this is a split task, any source bills will be reset to has not been split  If any bills have already been exported they will still be voided
     *
     * @param taskId Identifier for the chargeback task
     */
    voidChargebackTaskWithHttpInfo(taskId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Void all bills created by a chargeback workflow step for a particular billing period  If this workflow step was run multiple times, all bills created across all runs for the billing period will be voided  If this is a split step, any source bills will be reset to has not been split  If any bills have already been exported they will still be voided
     *
     * @param chargebackWorkflowStepId Chargeback Workflow Step ID
     * @param billingPeriod Billing period to undo
     */
    voidChargebackWorkflowStepsWithHttpInfo(chargebackWorkflowStepId: number, billingPeriod?: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsChargebackReversalsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsChargebackReversalsManagespanService>;
}
