import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CostCenterCreate } from '../model/costCenterCreate';
import { CostCenterResponse } from '../model/costCenterResponse';
import { UpdateResult } from '../model/updateResult';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsCostCentersEditspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edits a cost center
     *
     * @param costCenterId The identifier for the cost center being edited
     * @param body Data representing the cost center being edited
     */
    editCostCenter(costCenterId: number, body?: CostCenterCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CostCenterResponse>;
    /**
     * Move list of costCenters to be under parentCostCenterId
     *
     * @param parentCostCenterId The identifier for the new parent costCenter
     * @param body List of costCenterIds to move under the parentCostCenterId
     */
    moveCostCenter(parentCostCenterId: number, body?: Array<number>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Edits a cost center
     *
     * @param costCenterId The identifier for the cost center being edited
     * @param body Data representing the cost center being edited
     */
    editCostCenterWithHttpInfo(costCenterId: number, body?: CostCenterCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CostCenterResponse>>;
    /**
     * Move list of costCenters to be under parentCostCenterId
     *
     * @param parentCostCenterId The identifier for the new parent costCenter
     * @param body List of costCenterIds to move under the parentCostCenterId
     */
    moveCostCenterWithHttpInfo(parentCostCenterId: number, body?: Array<number>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsCostCentersEditspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsCostCentersEditspanService>;
}
