import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AccountConnectionStatusResponse } from '../model/accountConnectionStatusResponse';
import { EnergyStarSettingsRequest } from '../model/energyStarSettingsRequest';
import { EnergyStarSettingsResponse } from '../model/energyStarSettingsResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsENERGYSTARSubmissionsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edit settings for ENERGY STAR submissions
     *
     * @param body ENERGY STAR settings
     */
    editEnergyStarSettings(body?: EnergyStarSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EnergyStarSettingsResponse>;
    /**
     * Get the connection status for a Portfolio Manager account and database
     *
     * @param pmUserName User name used to log in to Portfolio Manager
     */
    getPMConnectionStatus(pmUserName?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AccountConnectionStatusResponse>;
    /**
     * Unlink owner from portfolio manager account
     *
     * @param deleteData If true, delete EnergyStar metrics and score. False by default
     */
    unlinkOwnerFromPortfolioManager(deleteData?: boolean, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Edit settings for ENERGY STAR submissions
     *
     * @param body ENERGY STAR settings
     */
    editEnergyStarSettingsWithHttpInfo(body?: EnergyStarSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EnergyStarSettingsResponse>>;
    /**
     * Get the connection status for a Portfolio Manager account and database
     *
     * @param pmUserName User name used to log in to Portfolio Manager
     */
    getPMConnectionStatusWithHttpInfo(pmUserName?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AccountConnectionStatusResponse>>;
    /**
     * Unlink owner from portfolio manager account
     *
     * @param deleteData If true, delete EnergyStar metrics and score. False by default
     */
    unlinkOwnerFromPortfolioManagerWithHttpInfo(deleteData?: boolean, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsENERGYSTARSubmissionsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsENERGYSTARSubmissionsManagespanService>;
}
