import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EmissionSourceCreate } from '../model/emissionSourceCreate';
import { EmissionSourceMultiFactorCreate } from '../model/emissionSourceMultiFactorCreate';
import { EmissionSourceMultiFactorResponse } from '../model/emissionSourceMultiFactorResponse';
import { EmissionSourceResponse } from '../model/emissionSourceResponse';
import { MeterActionCreateEmissionSource } from '../model/meterActionCreateEmissionSource';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsEmissionsSourcesCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates an emissions source
     *
     * @param body Data representing the emission source being created
     */
    createEmissionSource(body?: EmissionSourceCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EmissionSourceResponse>;
    /**
     * Create emission sources for existing meters.
     *
     * @param body The ids of the meters for which to create emission sources
     */
    createEmissionSourceForMeter(body?: MeterActionCreateEmissionSource, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Creates an emission source
     *
     * @param body Data representing the emission source being created
     */
    createEmissionSourceWithMultiFactors(body?: EmissionSourceMultiFactorCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EmissionSourceMultiFactorResponse>;
    /**
     * Creates an emissions source
     *
     * @param body Data representing the emission source being created
     */
    createEmissionSourceWithHttpInfo(body?: EmissionSourceCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EmissionSourceResponse>>;
    /**
     * Create emission sources for existing meters.
     *
     * @param body The ids of the meters for which to create emission sources
     */
    createEmissionSourceForMeterWithHttpInfo(body?: MeterActionCreateEmissionSource, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Creates an emission source
     *
     * @param body Data representing the emission source being created
     */
    createEmissionSourceWithMultiFactorsWithHttpInfo(body?: EmissionSourceMultiFactorCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EmissionSourceMultiFactorResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsEmissionsSourcesCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsEmissionsSourcesCreatespanService>;
}
