import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BillActionExportHold } from '../model/billActionExportHold';
import { ListActionExportHold } from '../model/listActionExportHold';
import { UpdateResult } from '../model/updateResult';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsExportHoldManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Hold/release account bills for export
     *
     * @param accountId The account to set the export hold flag on all bills
     * @param body Boolean representing exportHold flag
     */
    accountBillListExportHold(accountId: number, body?: ListActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Update export hold flag for the given billIDs
     *
     * @param body export hold action
     */
    billActionExportHold(body?: BillActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Hold/release bill list for export
     *
     * @param listId The list identifier
     * @param body Boolean representing exportHold flag
     */
    exportHoldBillList(listId: number, body?: ListActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Hold/release meter bills for export
     *
     * @param meterId The meter to set the export hold flag on all bills
     * @param body Boolean representing exportHold flag
     */
    meterBillListExportHold(meterId: number, body?: ListActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Hold/release account bills for export
     *
     * @param accountId The account to set the export hold flag on all bills
     * @param body Boolean representing exportHold flag
     */
    accountBillListExportHoldWithHttpInfo(accountId: number, body?: ListActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Update export hold flag for the given billIDs
     *
     * @param body export hold action
     */
    billActionExportHoldWithHttpInfo(body?: BillActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Hold/release bill list for export
     *
     * @param listId The list identifier
     * @param body Boolean representing exportHold flag
     */
    exportHoldBillListWithHttpInfo(listId: number, body?: ListActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Hold/release meter bills for export
     *
     * @param meterId The meter to set the export hold flag on all bills
     * @param body Boolean representing exportHold flag
     */
    meterBillListExportHoldWithHttpInfo(meterId: number, body?: ListActionExportHold, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsExportHoldManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsExportHoldManagespanService>;
}
