import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EnergyProjectCreate } from '../model/energyProjectCreate';
import { EnergyProjectResponse } from '../model/energyProjectResponse';
import { EnergyProjectType } from '../model/energyProjectType';
import { EnergyProjectTypeCreate } from '../model/energyProjectTypeCreate';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsFacilityProjectsCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates an Energy Project
     *
     * @param body Data representing the Energy project being created
     */
    createEnergyProject(body?: EnergyProjectCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EnergyProjectResponse>;
    /**
     * Create a energy project type
     *
     * @param body
     */
    createEnergyProjectType(body?: EnergyProjectTypeCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EnergyProjectType>;
    /**
     * Creates an Energy Project
     *
     * @param body Data representing the Energy project being created
     */
    createEnergyProjectWithHttpInfo(body?: EnergyProjectCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EnergyProjectResponse>>;
    /**
     * Create a energy project type
     *
     * @param body
     */
    createEnergyProjectTypeWithHttpInfo(body?: EnergyProjectTypeCreate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EnergyProjectType>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsFacilityProjectsCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsFacilityProjectsCreatespanService>;
}
