import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EnergyProjectEdit } from '../model/energyProjectEdit';
import { EnergyProjectResponse } from '../model/energyProjectResponse';
import { UDFFieldChild } from '../model/uDFFieldChild';
import { UDFValue } from '../model/uDFValue';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsFacilityProjectsEditspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edits an Energy Project
     *
     * @param projectId The identifier for the energy project being edited
     * @param body
     */
    editEnergyProject(projectId: number, body?: EnergyProjectEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EnergyProjectResponse>;
    /**
     * Edit the custom field values on a energy project
     *
     * @param energyProjectId The id of the energy project
     * @param body The list of udf values being edited
     */
    editEnergyProjectCustomFields(energyProjectId: number, body?: Array<UDFValue>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<UDFFieldChild>>;
    /**
     * Edits an Energy Project
     *
     * @param projectId The identifier for the energy project being edited
     * @param body
     */
    editEnergyProjectWithHttpInfo(projectId: number, body?: EnergyProjectEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EnergyProjectResponse>>;
    /**
     * Edit the custom field values on a energy project
     *
     * @param energyProjectId The id of the energy project
     * @param body The list of udf values being edited
     */
    editEnergyProjectCustomFieldsWithHttpInfo(energyProjectId: number, body?: Array<UDFValue>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<UDFFieldChild>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsFacilityProjectsEditspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsFacilityProjectsEditspanService>;
}
