import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AccountAuditEnable } from '../model/accountAuditEnable';
import { AccountAuditSettingsRequest } from '../model/accountAuditSettingsRequest';
import { AccountAuditSettingsResponse } from '../model/accountAuditSettingsResponse';
import { FlagEdit } from '../model/flagEdit';
import { FlagIssueEdit } from '../model/flagIssueEdit';
import { FlagIssueEditAction } from '../model/flagIssueEditAction';
import { FlagIssueListAction } from '../model/flagIssueListAction';
import { FlagIssueResponse } from '../model/flagIssueResponse';
import { FlagListAction } from '../model/flagListAction';
import { FlagResponse } from '../model/flagResponse';
import { UpdateResult } from '../model/updateResult';
import { UpdatedOnlyResult } from '../model/updatedOnlyResult';
import { VendorAuditEnable } from '../model/vendorAuditEnable';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsFlaggedItemsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edit flag data for a specified entity
     * This API supports a wide variety of Flag-related actions. Below are summaries of expected outcomes for possible combinations of property values.      Create Flag(the entity is not yet flagged, therefore there is no \&quot;modified\&quot; info)    |        FlagTypeId        |       FlagStatusId       |       CostRecovery       |        Assignees         |         Comment          |    HoldFromExport    |  ReleaseExportHold   |                                                                                                                   Action                                                                                                                    |  | ------------------------ | ------------------------ | ------------------------ | ------------------------ | ------------------------ | -------------------- | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |  | null                     | null                     | null                     | null                     | **non-null**             | **true**             | **true**             | Exception, cannot set both HoldFromExport and ReleaseExportHold at once                                                                                                                                                                     |  | null                     | null                     | null                     | null                     | null                     | **non-null**         | **non-null**         | Exception, must have at least one set                                                                                                                                                                                                       |  | null                     | null                     | null                     | null                     | null                     | null                 | null                 | Exception, must provided a non-null value for HoldFromExport or ReleaseExportHold                                                                                                                                                           |  | null                     | **not null**             | **not null**             | **not null**             | **not null**             | false                | false                | Exception, must have a type                                                                                                                                                                                                                 |  | **not null**             | null                     | null                     | null                     | null                     | false                | false                | Flagged, unresolved, specified type                                                                                                                                                                                                         |  | **not null**             | **not null**             | null                     | null                     | null                     | false                | false                | Flagged, unresolved(ignoring specified status), specified type                                                                                                                                                                              |  | **not null**             | null                     | **not null**             | null                     | null                     | false                | false                | Flagged, unresolved, specified type, cost recovery                                                                                                                                                                                          |  | **not null**             | null                     | null                     | **not null**&lt;sup&gt;1&lt;/sup&gt; | null                     | false                | false                | Flagged, unresolved, specified type&lt;br /&gt;&lt;sup&gt;1&lt;/sup&gt;If assignees not empty, assigned                                                                                                                                                       |  | **not null**             | null                     | null                     | null                     | **not null**             | false                | false                | Flagged, unresolved, specified type, comment                                                                                                                                                                                                |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false                | &lt;sup&gt;1&lt;/sup&gt;Flagged, unresolved (ignoring specified status), specified type, cost recovery, comment, held from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;If assignees not empty, assigned, comment                                                            |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | **true**&lt;sup&gt;3&lt;/sup&gt; | &lt;sup&gt;1&lt;/sup&gt;Flagged, unresolved (ignoring specified status), specified type, cost recovery, comment&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;If assignees not empty, assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;No action; will not release a newly flagged bill for export |    Edit Unresolved Flag (the entity is already flagged)    |        FlagTypeId        |       FlagStatusId       |       CostRecovery       |        Assignees         |         Comment          |    HoldFromExport    | ReleaseExportHold |                                                                       Action                                                                        |  | ------------------------ | ------------------------ | ------------------------ | ------------------------ | ------------------------ | -------------------- | ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |  | null                     | null                     | null                     | null                     | **non-null**             | **true**             | **true**          | Exception, cannot set both HoldFromExport and ReleaseExportHold at once                                                                             |  | null                     | null                     | null                     | null                     | null                     | **non-null**         | **non-null**      | Exception, must have at least one set                                                                                                               |  | null                     | null                     | null                     | null                     | null                     | false                | false             | Exception, must provided a non-null value for HoldFromExport or ReleaseExportHold                                                                   |  | **system or user type**  | null                     | null                     | null                     | null                     | false                | false             | Flag type updated                                                                                                                                   |  | null                     | **resolved**             | null                     | null                     | null                     | false                | false             | Resolved                                                                                                                                            |  | null                     | **resolved**             | null                     | null                     | null                     | false                | **true**          | Resolved, released for export                                                                                                                       |  | null                     | null                     | **not null**             | null                     | null                     | false                | false             | Updated, cost recovery                                                                                                                              |  | null                     | null                     | null                     | **not null**             | null                     | false                | false             | Assigned                                                                                                                                            |  | null                     | null                     | null                     | null                     | **not null**             | false                | false             | Updated, comment                                                                                                                                    |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | false             | &lt;sup&gt;1&lt;/sup&gt;Updated, specified type, cost recovery, comment&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;Resolved, comment                   |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false             | &lt;sup&gt;1&lt;/sup&gt;Updated, specified type, cost recovery, comment, held from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;Resolved, comment |    Edit Resolved Flag (the entity is already flagged)    |        FlagTypeId        |        FlagStatusId        |       CostRecovery       |        Assignees         |         Comment          |    HoldFromExport    |  ReleaseExportHold   |                                                              Action                                                               |  | ------------------------ | -------------------------- | ------------------------ | ------------------------ | ------------------------ | -------------------- | -------------------- | --------------------------------------------------------------------------------------------------------------------------------- |  | null                     | null                       | null                     | null                     | **non-null**             | **true**             | **true**             | Exception, cannot set both HoldFromExport and ReleaseExportHold at once                                                           |  | null                     | null                       | null                     | null                     | null                     | **non-null**         | **non-null**         | Exception, must have at least one set                                                                                             |  | null                     | null                       | null                     | null                     | null                     | false                | false                | Exception, must provided a non-null value for HoldFromExport or ReleaseExportHold                                                 |  | **system or user type**  | null                       | null                     | null                     | null                     | false                | false                | Updated, specified type                                                                                                           |  | null                     | **non-null**               | null                     | null                     | null                     | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | null                     | null                       | **not null**             | null                     | null                     | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | null                     | null                       | null                     | **not null**             | null                     | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | null                     | null                       | null                     | null                     | **not null**             | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;3&lt;/sup&gt;   | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | false                | &lt;sup&gt;1&lt;/sup&gt;Updated, specified type, cost recovery, comment&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;Resolved, comment |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **unresolved**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false                | &lt;sup&gt;1&lt;/sup&gt;Flagged, specified type, cost recovery, comment, no export hold action&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;       |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **resolved**&lt;sup&gt;3&lt;/sup&gt;   | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | **true**&lt;sup&gt;1&lt;/sup&gt; | &lt;sup&gt;1&lt;/sup&gt;Resolved, specified type, cost recovery, comment, no export hold action&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;      |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **unresolved**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false                | &lt;sup&gt;1&lt;/sup&gt;Flagged, specified type, cost recovery, comment, held from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;            |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **resolved**&lt;sup&gt;3&lt;/sup&gt;   | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | **true**&lt;sup&gt;1&lt;/sup&gt; | &lt;sup&gt;1&lt;/sup&gt;Resolved, specified type, cost recovery, comment, released from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;       |
     * @param entityType The type of entity the flag is being request for. Supported values are: \&quot;Bill\&quot;
     * @param entityId The identifier of the entity
     * @param body The flag edit request
     */
    editFlag(entityType: string, entityId: number, body?: FlagEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<FlagResponse>;
    /**
     *
     *
     * @param entityType The type of entity the flag issues are being request for. Supported values are: \&quot;Bill\&quot;
     * @param entityId The identifier of the entity
     * @param flagResolveComment Optional comment that will be recorded in the flag event when resolving the issue
     * @param body The flag issue edit request
     */
    editFlagIssues(entityType: string, entityId: number, flagResolveComment?: string, body?: Array<FlagIssueEdit>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<FlagIssueResponse>>;
    /**
     * Updates flags for a given list of entities. If the entity does not currently have a flag, one will be created.
     *
     * @param entityType The type of entity the flag is being request for. Supported values are: \&quot;Bill\&quot;
     * @param body The changes to be made to the flags
     */
    flagAction(entityType: string, body?: FlagListAction, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Create and/or update flags for all bills in a list
     *
     * @param listId Bill list containing a list of bills that will have flags created or updated
     * @param body DTO containing the new state of the flags on each bill in the list
     */
    flagBillListAction(listId: number, body?: FlagEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Updates flag issues for a given list of flag issue ids
     *
     * @param body The changes to be made to the flag issues
     */
    flagIssueAction(body?: FlagIssueListAction, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Update flag issuess for all issues in a list
     *
     * @param listId Flag Issue list containing a list of flag issues to be updated
     * @param body DTO containing the new state of the flag Issue on each flag issue in the list
     */
    flagIssueBillListAction(listId: number, body?: FlagIssueEditAction, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Enable or disable Accounts from audits
     *
     * @param body
     */
    setAccountAuditExclusion(body?: AccountAuditEnable, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdateResult>;
    /**
     * Enable or disable all accounts assigned to a vendor from audits
     *
     * @param vendorId The identifier for the vendor to act upon
     * @param body
     */
    setVendorAccountsAuditExclusion(vendorId: number, body?: VendorAuditEnable, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UpdatedOnlyResult>;
    /**
     * Update audit settings for an account.   Every audit must be included but supplying null for its settings will remove them.
     *  __Setting Status Descriptions:__    | Setting Status | Description |  | -------------- | ----------- |  | Check          | If this audit fails affected bills are flagged  |  | Hold           | If this audit fails affected bills are flagged and held from export  |  | Skip           | This audit is skipped  |
     * @param accountId The account identifier
     * @param body The new state of the audit settings
     */
    updateAccountAuditSettings(accountId: number, body?: AccountAuditSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<AccountAuditSettingsResponse>;
    /**
     * Edit flag data for a specified entity
     * This API supports a wide variety of Flag-related actions. Below are summaries of expected outcomes for possible combinations of property values.      Create Flag(the entity is not yet flagged, therefore there is no \&quot;modified\&quot; info)    |        FlagTypeId        |       FlagStatusId       |       CostRecovery       |        Assignees         |         Comment          |    HoldFromExport    |  ReleaseExportHold   |                                                                                                                   Action                                                                                                                    |  | ------------------------ | ------------------------ | ------------------------ | ------------------------ | ------------------------ | -------------------- | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |  | null                     | null                     | null                     | null                     | **non-null**             | **true**             | **true**             | Exception, cannot set both HoldFromExport and ReleaseExportHold at once                                                                                                                                                                     |  | null                     | null                     | null                     | null                     | null                     | **non-null**         | **non-null**         | Exception, must have at least one set                                                                                                                                                                                                       |  | null                     | null                     | null                     | null                     | null                     | null                 | null                 | Exception, must provided a non-null value for HoldFromExport or ReleaseExportHold                                                                                                                                                           |  | null                     | **not null**             | **not null**             | **not null**             | **not null**             | false                | false                | Exception, must have a type                                                                                                                                                                                                                 |  | **not null**             | null                     | null                     | null                     | null                     | false                | false                | Flagged, unresolved, specified type                                                                                                                                                                                                         |  | **not null**             | **not null**             | null                     | null                     | null                     | false                | false                | Flagged, unresolved(ignoring specified status), specified type                                                                                                                                                                              |  | **not null**             | null                     | **not null**             | null                     | null                     | false                | false                | Flagged, unresolved, specified type, cost recovery                                                                                                                                                                                          |  | **not null**             | null                     | null                     | **not null**&lt;sup&gt;1&lt;/sup&gt; | null                     | false                | false                | Flagged, unresolved, specified type&lt;br /&gt;&lt;sup&gt;1&lt;/sup&gt;If assignees not empty, assigned                                                                                                                                                       |  | **not null**             | null                     | null                     | null                     | **not null**             | false                | false                | Flagged, unresolved, specified type, comment                                                                                                                                                                                                |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false                | &lt;sup&gt;1&lt;/sup&gt;Flagged, unresolved (ignoring specified status), specified type, cost recovery, comment, held from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;If assignees not empty, assigned, comment                                                            |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | **true**&lt;sup&gt;3&lt;/sup&gt; | &lt;sup&gt;1&lt;/sup&gt;Flagged, unresolved (ignoring specified status), specified type, cost recovery, comment&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;If assignees not empty, assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;No action; will not release a newly flagged bill for export |    Edit Unresolved Flag (the entity is already flagged)    |        FlagTypeId        |       FlagStatusId       |       CostRecovery       |        Assignees         |         Comment          |    HoldFromExport    | ReleaseExportHold |                                                                       Action                                                                        |  | ------------------------ | ------------------------ | ------------------------ | ------------------------ | ------------------------ | -------------------- | ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |  | null                     | null                     | null                     | null                     | **non-null**             | **true**             | **true**          | Exception, cannot set both HoldFromExport and ReleaseExportHold at once                                                                             |  | null                     | null                     | null                     | null                     | null                     | **non-null**         | **non-null**      | Exception, must have at least one set                                                                                                               |  | null                     | null                     | null                     | null                     | null                     | false                | false             | Exception, must provided a non-null value for HoldFromExport or ReleaseExportHold                                                                   |  | **system or user type**  | null                     | null                     | null                     | null                     | false                | false             | Flag type updated                                                                                                                                   |  | null                     | **resolved**             | null                     | null                     | null                     | false                | false             | Resolved                                                                                                                                            |  | null                     | **resolved**             | null                     | null                     | null                     | false                | **true**          | Resolved, released for export                                                                                                                       |  | null                     | null                     | **not null**             | null                     | null                     | false                | false             | Updated, cost recovery                                                                                                                              |  | null                     | null                     | null                     | **not null**             | null                     | false                | false             | Assigned                                                                                                                                            |  | null                     | null                     | null                     | null                     | **not null**             | false                | false             | Updated, comment                                                                                                                                    |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | false             | &lt;sup&gt;1&lt;/sup&gt;Updated, specified type, cost recovery, comment&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;Resolved, comment                   |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false             | &lt;sup&gt;1&lt;/sup&gt;Updated, specified type, cost recovery, comment, held from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;Resolved, comment |    Edit Resolved Flag (the entity is already flagged)    |        FlagTypeId        |        FlagStatusId        |       CostRecovery       |        Assignees         |         Comment          |    HoldFromExport    |  ReleaseExportHold   |                                                              Action                                                               |  | ------------------------ | -------------------------- | ------------------------ | ------------------------ | ------------------------ | -------------------- | -------------------- | --------------------------------------------------------------------------------------------------------------------------------- |  | null                     | null                       | null                     | null                     | **non-null**             | **true**             | **true**             | Exception, cannot set both HoldFromExport and ReleaseExportHold at once                                                           |  | null                     | null                       | null                     | null                     | null                     | **non-null**         | **non-null**         | Exception, must have at least one set                                                                                             |  | null                     | null                       | null                     | null                     | null                     | false                | false                | Exception, must provided a non-null value for HoldFromExport or ReleaseExportHold                                                 |  | **system or user type**  | null                       | null                     | null                     | null                     | false                | false                | Updated, specified type                                                                                                           |  | null                     | **non-null**               | null                     | null                     | null                     | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | null                     | null                       | **not null**             | null                     | null                     | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | null                     | null                       | null                     | **not null**             | null                     | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | null                     | null                       | null                     | null                     | **not null**             | false                | false                | Exception; must provide flag type (cannot change flag status of a resolved flag; instead must \&quot;re-flag\&quot; it)                       |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;3&lt;/sup&gt;   | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | false                | &lt;sup&gt;1&lt;/sup&gt;Updated, specified type, cost recovery, comment&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;&lt;sup&gt;3&lt;/sup&gt;Resolved, comment |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **unresolved**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false                | &lt;sup&gt;1&lt;/sup&gt;Flagged, specified type, cost recovery, comment, no export hold action&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;       |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **resolved**&lt;sup&gt;3&lt;/sup&gt;   | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | **true**&lt;sup&gt;1&lt;/sup&gt; | &lt;sup&gt;1&lt;/sup&gt;Resolved, specified type, cost recovery, comment, no export hold action&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;      |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **unresolved**&lt;sup&gt;3&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | **true**&lt;sup&gt;1&lt;/sup&gt; | false                | &lt;sup&gt;1&lt;/sup&gt;Flagged, specified type, cost recovery, comment, held from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;            |  | **not null**&lt;sup&gt;1&lt;/sup&gt; | **resolved**&lt;sup&gt;3&lt;/sup&gt;   | **not null**&lt;sup&gt;1&lt;/sup&gt; | **not null**&lt;sup&gt;2&lt;/sup&gt; | **not null**&lt;sup&gt;1&lt;/sup&gt; | false                | **true**&lt;sup&gt;1&lt;/sup&gt; | &lt;sup&gt;1&lt;/sup&gt;Resolved, specified type, cost recovery, comment, released from export&lt;br /&gt;&lt;sup&gt;2&lt;/sup&gt;Assigned, comment&lt;br /&gt;       |
     * @param entityType The type of entity the flag is being request for. Supported values are: \&quot;Bill\&quot;
     * @param entityId The identifier of the entity
     * @param body The flag edit request
     */
    editFlagWithHttpInfo(entityType: string, entityId: number, body?: FlagEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<FlagResponse>>;
    /**
     *
     *
     * @param entityType The type of entity the flag issues are being request for. Supported values are: \&quot;Bill\&quot;
     * @param entityId The identifier of the entity
     * @param flagResolveComment Optional comment that will be recorded in the flag event when resolving the issue
     * @param body The flag issue edit request
     */
    editFlagIssuesWithHttpInfo(entityType: string, entityId: number, flagResolveComment?: string, body?: Array<FlagIssueEdit>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<FlagIssueResponse>>>;
    /**
     * Updates flags for a given list of entities. If the entity does not currently have a flag, one will be created.
     *
     * @param entityType The type of entity the flag is being request for. Supported values are: \&quot;Bill\&quot;
     * @param body The changes to be made to the flags
     */
    flagActionWithHttpInfo(entityType: string, body?: FlagListAction, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Create and/or update flags for all bills in a list
     *
     * @param listId Bill list containing a list of bills that will have flags created or updated
     * @param body DTO containing the new state of the flags on each bill in the list
     */
    flagBillListActionWithHttpInfo(listId: number, body?: FlagEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Updates flag issues for a given list of flag issue ids
     *
     * @param body The changes to be made to the flag issues
     */
    flagIssueActionWithHttpInfo(body?: FlagIssueListAction, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Update flag issuess for all issues in a list
     *
     * @param listId Flag Issue list containing a list of flag issues to be updated
     * @param body DTO containing the new state of the flag Issue on each flag issue in the list
     */
    flagIssueBillListActionWithHttpInfo(listId: number, body?: FlagIssueEditAction, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Enable or disable Accounts from audits
     *
     * @param body
     */
    setAccountAuditExclusionWithHttpInfo(body?: AccountAuditEnable, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdateResult>>;
    /**
     * Enable or disable all accounts assigned to a vendor from audits
     *
     * @param vendorId The identifier for the vendor to act upon
     * @param body
     */
    setVendorAccountsAuditExclusionWithHttpInfo(vendorId: number, body?: VendorAuditEnable, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UpdatedOnlyResult>>;
    /**
     * Update audit settings for an account.   Every audit must be included but supplying null for its settings will remove them.
     *  __Setting Status Descriptions:__    | Setting Status | Description |  | -------------- | ----------- |  | Check          | If this audit fails affected bills are flagged  |  | Hold           | If this audit fails affected bills are flagged and held from export  |  | Skip           | This audit is skipped  |
     * @param accountId The account identifier
     * @param body The new state of the audit settings
     */
    updateAccountAuditSettingsWithHttpInfo(accountId: number, body?: AccountAuditSettingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<AccountAuditSettingsResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsFlaggedItemsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsFlaggedItemsManagespanService>;
}
