import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AucRangeRequest } from '../model/aucRangeRequest';
import { AucRangeResponse } from '../model/aucRangeResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsGlobalCostAvoidanceSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edit the average unit cost \&quot;acceptable range\&quot; values for cost avoidance for one or more commodities  Cost Avoidance Savings will be re-calculated for all bills for meters having the affected commodities
     *
     * @param body Data representing one or more average unit cost ranges to edit
     */
    editAucRanges(body?: Array<AucRangeRequest>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AucRangeResponse>>;
    /**
     * Edit the average unit cost \&quot;acceptable range\&quot; values for cost avoidance for one or more commodities  Cost Avoidance Savings will be re-calculated for all bills for meters having the affected commodities
     *
     * @param body Data representing one or more average unit cost ranges to edit
     */
    editAucRangesWithHttpInfo(body?: Array<AucRangeRequest>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AucRangeResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsGlobalCostAvoidanceSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsGlobalCostAvoidanceSettingsManagespanService>;
}
