import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AucRangeResponse } from '../model/aucRangeResponse';
import { FilterEdit } from '../model/filterEdit';
import { GenericCount } from '../model/genericCount';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsGlobalCostAvoidanceSettingsViewspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Get the average unit cost \&quot;acceptable range\&quot; values for cost avoidance for each commodity
     *
     */
    getAucRanges(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<AucRangeResponse>>;
    /**
     * Count the number of meters that match the filter conditions for cost avoidance bulk actions
     *
     * @param onlyMetersInCAP Whether or not to only include meters in the count which are already participating in cost avoidance
     * @param body The filters used when counting the meters
     */
    getCostAvoidanceMeterCount(onlyMetersInCAP?: boolean, body?: Array<FilterEdit>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GenericCount>;
    /**
     * Get the average unit cost \&quot;acceptable range\&quot; values for cost avoidance for each commodity
     *
     */
    getAucRangesWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<AucRangeResponse>>>;
    /**
     * Count the number of meters that match the filter conditions for cost avoidance bulk actions
     *
     * @param onlyMetersInCAP Whether or not to only include meters in the count which are already participating in cost avoidance
     * @param body The filters used when counting the meters
     */
    getCostAvoidanceMeterCountWithHttpInfo(onlyMetersInCAP?: boolean, body?: Array<FilterEdit>, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GenericCount>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsGlobalCostAvoidanceSettingsViewspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsGlobalCostAvoidanceSettingsViewspanService>;
}
