import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Readings } from '../model/readings';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsLicenseFeatureIntervalDataAnalysisViewspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Retrieves interval data for a specific widget  NOTE: Does not support global dashboard filtering with Topmost Place, Place Group API filters.
     *
     * @param specificWidgetId Specific widget identifier to get the data for
     */
    getIntervalData(specificWidgetId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<Readings>>;
    /**
     * Retrieves interval data for a specific widget  NOTE: Does not support global dashboard filtering with Topmost Place, Place Group API filters.
     *
     * @param specificWidgetId Specific widget identifier to get the data for
     */
    getIntervalDataWithHttpInfo(specificWidgetId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<Readings>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsLicenseFeatureIntervalDataAnalysisViewspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsLicenseFeatureIntervalDataAnalysisViewspanService>;
}
