import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ManualAdjustmentRequest } from '../model/manualAdjustmentRequest';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsManuallyAdjustSavingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates or removes manual adjustments to savings for a provided meter and bill
     *
     * @param meterId The meter for which the manual adjustment is being made
     * @param billId The bill for which the manual adjustment is being made
     * @param body
     */
    manualAdjustment(meterId: number, billId: number, body?: ManualAdjustmentRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Creates or removes manual adjustments to savings for a provided meter and bill
     *
     * @param meterId The meter for which the manual adjustment is being made
     * @param billId The bill for which the manual adjustment is being made
     * @param body
     */
    manualAdjustmentWithHttpInfo(meterId: number, billId: number, body?: ManualAdjustmentRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsManuallyAdjustSavingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsManuallyAdjustSavingsManagespanService>;
}
