import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BulkMeterCostAvoidanceSettings } from '../model/bulkMeterCostAvoidanceSettings';
import { CostAvoidanceTask } from '../model/costAvoidanceTask';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsMeterSavingsSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Mass update certain cost avoidance settings for meters that match the filter conditions  Baseline and Savings will be reprocessed for affected meters
     *
     * @param body Filters and new cost avoidance setting values
     */
    bulkEditMeterCostAvoidanceSettings(body?: BulkMeterCostAvoidanceSettings, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CostAvoidanceTask>;
    /**
     * Mass update certain cost avoidance settings for meters that match the filter conditions  Baseline and Savings will be reprocessed for affected meters
     *
     * @param body Filters and new cost avoidance setting values
     */
    bulkEditMeterCostAvoidanceSettingsWithHttpInfo(body?: BulkMeterCostAvoidanceSettings, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CostAvoidanceTask>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsMeterSavingsSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsMeterSavingsSettingsManagespanService>;
}
