import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaselineProcessorRequest } from '../model/baselineProcessorRequest';
import { BaselineProcessorResponse } from '../model/baselineProcessorResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsMeterSavingsSettingsViewspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Executes the baseline and cost avoidance processors with provided baseline and cost avoidance settings for the provided meter.   Results are not saved unless the \&quot;save\&quot; flag is set to true.  If \&quot;save\&quot; is true, MeterSavingsSettings-Manage permission is also required
     *
     * @param meterId ID of the meter for which baseline will be reprocessed
     * @param save If true, the baseline results will be saved to the database
     * @param body Provided baseline and avoidance settings
     */
    generateBaseline(meterId: number, save?: boolean, body?: BaselineProcessorRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BaselineProcessorResponse>;
    /**
     * Executes the baseline processor with stored baseline settings for the provided meter
     *
     * @param meterId ID of the meter for which baseline data will be returned
     */
    generateBaselineGet(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<BaselineProcessorResponse>;
    /**
     * Executes the baseline and cost avoidance processors with provided baseline and cost avoidance settings for the provided meter.   Results are not saved unless the \&quot;save\&quot; flag is set to true.  If \&quot;save\&quot; is true, MeterSavingsSettings-Manage permission is also required
     *
     * @param meterId ID of the meter for which baseline will be reprocessed
     * @param save If true, the baseline results will be saved to the database
     * @param body Provided baseline and avoidance settings
     */
    generateBaselineWithHttpInfo(meterId: number, save?: boolean, body?: BaselineProcessorRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BaselineProcessorResponse>>;
    /**
     * Executes the baseline processor with stored baseline settings for the provided meter
     *
     * @param meterId ID of the meter for which baseline data will be returned
     */
    generateBaselineGetWithHttpInfo(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<BaselineProcessorResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsMeterSavingsSettingsViewspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsMeterSavingsSettingsViewspanService>;
}
