import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DashboardGlobalSettingsEdit } from '../model/dashboardGlobalSettingsEdit';
import { DashboardResponse } from '../model/dashboardResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsPublicDashboardsOrMapsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Edits the public display settings for a dashboard. Settings can only be applied to public dashboards. Filter settings cannot be applied to Map dashboards.  To apply these settings, you must have the PublicDashboardsOrMaps Manage permission.  You must also have either created the dashboard  or have DashboardAdministrator Manage and the dashboard is shared at all  or have DashboardAdministrator Manage permission and the dashboard is public  or have SharedDashboardsOrMaps Edit permission and the dashboard is shared with you
     *
     * @param dashboardId The identifier for the dashboard to apply settings to.
     * @param body An object containing the settings to be applied.
     */
    editDashboardSettings(dashboardId: number, body?: DashboardGlobalSettingsEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<DashboardResponse>;
    /**
     * Edits the public display settings for a dashboard. Settings can only be applied to public dashboards. Filter settings cannot be applied to Map dashboards.  To apply these settings, you must have the PublicDashboardsOrMaps Manage permission.  You must also have either created the dashboard  or have DashboardAdministrator Manage and the dashboard is shared at all  or have DashboardAdministrator Manage permission and the dashboard is public  or have SharedDashboardsOrMaps Edit permission and the dashboard is shared with you
     *
     * @param dashboardId The identifier for the dashboard to apply settings to.
     * @param body An object containing the settings to be applied.
     */
    editDashboardSettingsWithHttpInfo(dashboardId: number, body?: DashboardGlobalSettingsEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<DashboardResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsPublicDashboardsOrMapsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsPublicDashboardsOrMapsManagespanService>;
}
