import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { EmissionRecordRequest } from '../model/emissionRecordRequest';
import { EmissionRecordResponse } from '../model/emissionRecordResponse';
import { GuidResponse } from '../model/guidResponse';
import { RecordImportProfileEdit } from '../model/recordImportProfileEdit';
import { RecordImportProfileRequest } from '../model/recordImportProfileRequest';
import { RecordImportProfileResponse } from '../model/recordImportProfileResponse';
import { RecordImportRequest } from '../model/recordImportRequest';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsRecordsCreatespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Create an emission record
     *
     * @param body Data representing the record being created
     */
    createEmissionRecord(body?: EmissionRecordRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<EmissionRecordResponse>;
    /**
     * Creates an emission record import profile
     *
     * @param body Object containing settings for the new profile
     */
    createRecordImportProfile(body?: RecordImportProfileRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<RecordImportProfileResponse>;
    /**
     * Deletes an emission record import profile
     *
     * @param profileId The identifier of the profile to delete
     */
    deleteRecordImportProfile(profileId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Edits an emission record import profile
     *
     * @param profileId The identifier of the profile to edit
     * @param body Object containing settings to change
     */
    editRecordImportProfile(profileId: number, body?: RecordImportProfileEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<RecordImportProfileResponse>;
    /**
     * This endpoint allows the import of a emission records import file.  The file should be a base64-encoded delimited text file with a UTF8 character set.
     *
     * @param body DTO containing the data to import and the profile that defines the structure.
     */
    importEmissionRecordsWithProfile(body?: RecordImportRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<GuidResponse>;
    /**
     * Create an emission record
     *
     * @param body Data representing the record being created
     */
    createEmissionRecordWithHttpInfo(body?: EmissionRecordRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<EmissionRecordResponse>>;
    /**
     * Creates an emission record import profile
     *
     * @param body Object containing settings for the new profile
     */
    createRecordImportProfileWithHttpInfo(body?: RecordImportProfileRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<RecordImportProfileResponse>>;
    /**
     * Deletes an emission record import profile
     *
     * @param profileId The identifier of the profile to delete
     */
    deleteRecordImportProfileWithHttpInfo(profileId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Edits an emission record import profile
     *
     * @param profileId The identifier of the profile to edit
     * @param body Object containing settings to change
     */
    editRecordImportProfileWithHttpInfo(profileId: number, body?: RecordImportProfileEdit, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<RecordImportProfileResponse>>;
    /**
     * This endpoint allows the import of a emission records import file.  The file should be a base64-encoded delimited text file with a UTF8 character set.
     *
     * @param body DTO containing the data to import and the profile that defines the structure.
     */
    importEmissionRecordsWithProfileWithHttpInfo(body?: RecordImportRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<GuidResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsRecordsCreatespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsRecordsCreatespanService>;
}
