import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { HiddenRequest } from '../model/hiddenRequest';
import { SystemUserRoleResponse } from '../model/systemUserRoleResponse';
import { SystemUserRoleWithHiddenRequest } from '../model/systemUserRoleWithHiddenRequest';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsRolesManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     *
     *
     * @param body
     */
    createUserRole(body?: SystemUserRoleWithHiddenRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<SystemUserRoleResponse>;
    /**
     * Deletes a user role
     *
     * @param userRoleId The identifier for the role being deleted
     */
    deleteUserRole(userRoleId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     *
     *
     * @param userRoleId
     * @param body
     */
    editUserRole(userRoleId: number, body?: SystemUserRoleWithHiddenRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<SystemUserRoleResponse>;
    /**
     *
     *
     * @param userRoleId
     * @param body
     */
    setUserRoleHidden(userRoleId: number, body?: HiddenRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<SystemUserRoleResponse>;
    /**
     *
     *
     * @param body
     */
    createUserRoleWithHttpInfo(body?: SystemUserRoleWithHiddenRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<SystemUserRoleResponse>>;
    /**
     * Deletes a user role
     *
     * @param userRoleId The identifier for the role being deleted
     */
    deleteUserRoleWithHttpInfo(userRoleId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     *
     *
     * @param userRoleId
     * @param body
     */
    editUserRoleWithHttpInfo(userRoleId: number, body?: SystemUserRoleWithHiddenRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<SystemUserRoleResponse>>;
    /**
     *
     *
     * @param userRoleId
     * @param body
     */
    setUserRoleHiddenWithHttpInfo(userRoleId: number, body?: HiddenRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<SystemUserRoleResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsRolesManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsRolesManagespanService>;
}
