import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { OtherSavingsCategory } from '../model/otherSavingsCategory';
import { OtherSavingsResponse } from '../model/otherSavingsResponse';
import { SpecialAdjustmentResponse } from '../model/specialAdjustmentResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsSavingsAdjustmentsViewspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Get a other savings for a meter
     *
     * @param meterId The meter for which the other savings are being retrieved
     */
    getAllOtherSavings(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<OtherSavingsResponse>>;
    /**
     * Get one other savings for a meter
     *
     * @param meterId The meter for which the other savings are being retrieved
     * @param otherSavingsId The identifier for the other savings record which is being retrieved
     */
    getOneOtherSavings(meterId: number, otherSavingsId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<OtherSavingsResponse>;
    /**
     * Get other savings categories
     *
     */
    getOtherSavingsCategories(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<OtherSavingsCategory>>;
    /**
     * Get a single special adjustment by its unique ID
     *
     * @param meterId The meter for which to return the special adjustment
     * @param specialAdjustmentId Unique ID of the special adjustment to return
     */
    getSpecialAdjustment(meterId: number, specialAdjustmentId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<SpecialAdjustmentResponse>;
    /**
     * Get all the special adjustments for the meter
     *
     * @param meterId The meter for which to return special adjustment
     */
    getSpecialAdjustments(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<SpecialAdjustmentResponse>>;
    /**
     * Get a other savings for a meter
     *
     * @param meterId The meter for which the other savings are being retrieved
     */
    getAllOtherSavingsWithHttpInfo(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<OtherSavingsResponse>>>;
    /**
     * Get one other savings for a meter
     *
     * @param meterId The meter for which the other savings are being retrieved
     * @param otherSavingsId The identifier for the other savings record which is being retrieved
     */
    getOneOtherSavingsWithHttpInfo(meterId: number, otherSavingsId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<OtherSavingsResponse>>;
    /**
     * Get other savings categories
     *
     */
    getOtherSavingsCategoriesWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<OtherSavingsCategory>>>;
    /**
     * Get a single special adjustment by its unique ID
     *
     * @param meterId The meter for which to return the special adjustment
     * @param specialAdjustmentId Unique ID of the special adjustment to return
     */
    getSpecialAdjustmentWithHttpInfo(meterId: number, specialAdjustmentId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<SpecialAdjustmentResponse>>;
    /**
     * Get all the special adjustments for the meter
     *
     * @param meterId The meter for which to return special adjustment
     */
    getSpecialAdjustmentsWithHttpInfo(meterId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<SpecialAdjustmentResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsSavingsAdjustmentsViewspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsSavingsAdjustmentsViewspanService>;
}
