import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CalculateSavingsRequest } from '../model/calculateSavingsRequest';
import { CostAvoidanceTask } from '../model/costAvoidanceTask';
import { FilterResponse } from '../model/filterResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsSavingsEngineRunspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Calculate savings for the meters that match the filter conditions, using the provided settings
     *
     * @param body Settings and filter conditions for savings processing
     */
    calculateSavings(body?: CalculateSavingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CostAvoidanceTask>;
    /**
     * Return available filters for Cost Avoidance processors  Filters:  - Commodity ID  - Commodity Name  - Meter Group Name  - Building Group Name  - Topmost Place Code  - Topmost Place Name
     *
     */
    getCostAvoidanceFilters(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<FilterResponse>>;
    /**
     * Calculate savings for the meters that match the filter conditions, using the provided settings
     *
     * @param body Settings and filter conditions for savings processing
     */
    calculateSavingsWithHttpInfo(body?: CalculateSavingsRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CostAvoidanceTask>>;
    /**
     * Return available filters for Cost Avoidance processors  Filters:  - Commodity ID  - Commodity Name  - Meter Group Name  - Building Group Name  - Topmost Place Code  - Topmost Place Name
     *
     */
    getCostAvoidanceFiltersWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<FilterResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsSavingsEngineRunspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsSavingsEngineRunspanService>;
}
