import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CommodityCategoryRequest } from '../model/commodityCategoryRequest';
import { CommodityCategoryResponse } from '../model/commodityCategoryResponse';
import { CommodityEditRequest } from '../model/commodityEditRequest';
import { CommodityRequest } from '../model/commodityRequest';
import { CommodityResponse } from '../model/commodityResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsUnitSystemSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Creates a commodity
     *
     * @param body Data representing the commodity being created
     */
    createCommodity(body?: CommodityRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityResponse>;
    /**
     * Creates a commodity category
     *
     * @param body Data representing the commodity category being created
     */
    createCommodityCategory(body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityCategoryResponse>;
    /**
     * Deletes a commodity
     *
     * @param commodityId The commodity Id
     */
    deleteCommodity(commodityId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Deletes a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     */
    deleteCommodityCategory(commodityCategoryId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<any>;
    /**
     * Edits a commodity
     *
     * @param commodityId The commodity Id
     * @param body Data that will be used to update the commodity
     */
    editCommodity(commodityId: number, body?: CommodityEditRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityResponse>;
    /**
     * Edits a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     * @param body Data representing the commodity category being created
     */
    editCommodityCategory(commodityCategoryId: number, body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<CommodityCategoryResponse>;
    /**
     * Creates a commodity
     *
     * @param body Data representing the commodity being created
     */
    createCommodityWithHttpInfo(body?: CommodityRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityResponse>>;
    /**
     * Creates a commodity category
     *
     * @param body Data representing the commodity category being created
     */
    createCommodityCategoryWithHttpInfo(body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityCategoryResponse>>;
    /**
     * Deletes a commodity
     *
     * @param commodityId The commodity Id
     */
    deleteCommodityWithHttpInfo(commodityId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Deletes a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     */
    deleteCommodityCategoryWithHttpInfo(commodityCategoryId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<any>>;
    /**
     * Edits a commodity
     *
     * @param commodityId The commodity Id
     * @param body Data that will be used to update the commodity
     */
    editCommodityWithHttpInfo(commodityId: number, body?: CommodityEditRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityResponse>>;
    /**
     * Edits a commodity category
     *
     * @param commodityCategoryId The commodity category identifier
     * @param body Data representing the commodity category being created
     */
    editCommodityCategoryWithHttpInfo(commodityCategoryId: number, body?: CommodityCategoryRequest, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<CommodityCategoryResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsUnitSystemSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsUnitSystemSettingsManagespanService>;
}
