import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { NotificationSettingsResponse } from '../model/notificationSettingsResponse';
import { UserChild } from '../model/userChild';
import { UserResponse } from '../model/userResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsUsersAndUserGroupsViewspanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * The default notification settings assigned to new users
     *
     */
    getNotificationSystemSettings(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<NotificationSettingsResponse>;
    /**
     * Return a specific user and its properties. Requires View permission for Users &amp; Roles
     *
     * @param userId The ID of the user to return
     */
    getUser(userId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<UserResponse>;
    /**
     * Gets a list of user group members
     *
     * @param userGroupId Id of the user group to get the list of members
     */
    getUserGroupMembers(userGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<UserChild>>;
    /**
     * The default notification settings assigned to new users
     *
     */
    getNotificationSystemSettingsWithHttpInfo(extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<NotificationSettingsResponse>>;
    /**
     * Return a specific user and its properties. Requires View permission for Users &amp; Roles
     *
     * @param userId The ID of the user to return
     */
    getUserWithHttpInfo(userId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<UserResponse>>;
    /**
     * Gets a list of user group members
     *
     * @param userGroupId Id of the user group to get the list of members
     */
    getUserGroupMembersWithHttpInfo(userGroupId: number, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<UserChild>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsUsersAndUserGroupsViewspanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsUsersAndUserGroupsViewspanService>;
}
