import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { WeatherImportResult } from '../model/weatherImportResult';
import { WeatherImportSettings } from '../model/weatherImportSettings';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class SpanClasspropertyinfoPermissionPermissionsWeatherSettingsManagespanService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Import mean daily temperature readings for weather stations which are connected to EnergyCAP weather services
     * ### Other Remarks  By default, this endpoint may be called without parameters to import weather for all \&quot;used\&quot; weather stations (at least one building is assigned to it) beginning from the current date minus 31 days.          By providing a begin date, API users may go further back in history to backfill missing weather data.     If a weather station has no readings at all, then the begin date will be set to 1899-12-31 so we can import history    However the begin date is ascertained, readings will be imported from that date through today&#39;s date, overwriting any existing readings or filling in any missing readings.    The API user may also provide a list of weather station codes. Even if the provided stations are not yet used, weather readings will be imported for them.
     * @param body
     */
    importWeatherData(body?: WeatherImportSettings, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<WeatherImportResult>;
    /**
     * Import mean daily temperature readings for weather stations which are connected to EnergyCAP weather services
     * ### Other Remarks  By default, this endpoint may be called without parameters to import weather for all \&quot;used\&quot; weather stations (at least one building is assigned to it) beginning from the current date minus 31 days.          By providing a begin date, API users may go further back in history to backfill missing weather data.     If a weather station has no readings at all, then the begin date will be set to 1899-12-31 so we can import history    However the begin date is ascertained, readings will be imported from that date through today&#39;s date, overwriting any existing readings or filling in any missing readings.    The API user may also provide a list of weather station codes. Even if the provided stations are not yet used, weather readings will be imported for them.
     * @param body
     */
    importWeatherDataWithHttpInfo(body?: WeatherImportSettings, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<WeatherImportResult>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpanClasspropertyinfoPermissionPermissionsWeatherSettingsManagespanService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SpanClasspropertyinfoPermissionPermissionsWeatherSettingsManagespanService>;
}
