import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TagResponse } from '../model/tagResponse';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class TagService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Get a list of tags within a tag category. Report tags are the only supported category at this time.
     *
     * @param filter Currently only supports the &#39;tagCategory&#39; filter with a value of &#39;report&#39;, may be expanded in the future
     */
    getTags(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<TagResponse>>;
    /**
     * Get a list of tags within a tag category. Report tags are the only supported category at this time.
     *
     * @param filter Currently only supports the &#39;tagCategory&#39; filter with a value of &#39;report&#39;, may be expanded in the future
     */
    getTagsWithHttpInfo(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<TagResponse>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TagService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TagService>;
}
