import { HttpClient, HttpHeaders } from '@angular/common/http';
import { HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';
import { RollupUnitUpdate } from '../model/rollupUnitUpdate';
import { TaskResponse } from '../model/taskResponse';
import { Unit } from '../model/unit';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class UnitService {
    protected http: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(http: HttpClient, basePath: string, configuration: Configuration);
    /**
     *
     * Extends object by coping non-existing properties.
     * @param objA object to be extended
     * @param objB source object
     */
    private extendObj;
    /**
     * @param consumes string[] mime-types
     * @return true: consumes contains 'multipart/form-data', false: otherwise
     */
    private canConsumeForm;
    /**
     * Retrieves all units
     *
     * @param filter
     */
    getUnits(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<Array<Unit>>;
    /**
     * Update common and global use units
     *
     * @param body
     */
    updateUseRollupUnits(body?: RollupUnitUpdate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<TaskResponse>;
    /**
     * Retrieves all units
     *
     * @param filter
     */
    getUnitsWithHttpInfo(filter?: string, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<Array<Unit>>>;
    /**
     * Update common and global use units
     *
     * @param body
     */
    updateUseRollupUnitsWithHttpInfo(body?: RollupUnitUpdate, extraHttpRequestParams?: {
        search: string | {
            [param: string]: string | string[];
        };
    }, extraHttpRequestHeaders?: {
        [header: string]: string | string[];
    }): Observable<HttpResponse<TaskResponse>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UnitService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UnitService>;
}
