/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AddressChildBase } from './addressChildBase';
export declare class AccountEdit {
    remitAddress: AddressChildBase | null | undefined;
    /**
     * The remit email <span class='property-internal'>Must be between 0 and 128 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    remitEmail: string | null | undefined;
    /**
     * The remit phone number <span class='property-internal'>Must be between 0 and 50 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    remitPhoneNumber: string | null | undefined;
    /**
     * The account code <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 50 characters</span>
     */
    accountCode: string | null;
    /**
     * The account info <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 50 characters</span>
     */
    accountInfo: string | null;
    /**
     * The identifier for the cost center to which the account belongs <span class='property-internal'>Topmost (CostCenter)</span> <span class='property-internal'>Required</span>
     */
    costCenterId: number | null;
    /**
     * The identifier for the customer the account serves. This is normally only set for chargeback accounts <span class='property-internal'>Required (defined)</span>
     */
    customerId: number | null | undefined;
    /**
     * The identifier for the account's contact <span class='property-internal'>Required (defined)</span>
     */
    contactId: number | null | undefined;
    /**
     * Indicates if the account is active or inactive <span class='property-internal'>Required (defined)</span>
     */
    active: boolean | null | undefined;
    /**
     * Indicates if the account is used with accruals <span class='property-internal'>Required (defined)</span>
     */
    accrualEnabled: boolean | null | undefined;
    /**
     * The address postal code  Required when country is US or CA <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    postalCode: string | null | undefined;
    /**
     * The address city <span class='property-internal'>Must be between 0 and 100 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    city: string | null | undefined;
    /**
     * The address state <span class='property-internal'>Must be between 0 and 100 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    state: string | null | undefined;
    /**
     * The address country <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 64 characters</span>
     */
    country: string | null;
    /**
     * The address first line <span class='property-internal'>Must be between 0 and 100 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    line1: string | null | undefined;
    /**
     * The address second line <span class='property-internal'>Must be between 0 and 100 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    line2: string | null | undefined;
    /**
     * The address third line <span class='property-internal'>Must be between 0 and 100 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    line3: string | null | undefined;
    /**
     * The date and time the account deposit was paid <span class='property-internal'>Required (defined)</span>
     */
    depositPaid: Date | null | undefined;
    /**
     * The date and time the account deposit was returned <span class='property-internal'>Required (defined)</span>
     */
    depositReturn: Date | null | undefined;
    /**
     * A note related to the account deposit <span class='property-internal'>Required (defined)</span>
     */
    depositNote: string | null | undefined;
    /**
     * The account deposit amount <span class='property-internal'>Required (defined)</span>
     */
    depositAmount: number | null | undefined;
    /**
     * The account memo <span class='property-internal'>Required (defined)</span>
     */
    memo: string | null | undefined;
    /**
     * The account's service begin date and time <span class='property-internal'>Required (defined)</span>
     */
    serviceStart: Date | null | undefined;
    /**
     * The account's service end date and time <span class='property-internal'>Must be greater than ServiceStart</span> <span class='property-internal'>Required (defined)</span>
     */
    serviceEnd: Date | null | undefined;
    /**
     * The identifier for the account's generalLedgerId <span class='property-internal'>Required (defined)</span>
     */
    generalLedgerId: number | null | undefined;
    /**
     * A description of the account <span class='property-internal'>Must be between 0 and 4000 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    accountDescription: string | null | undefined;
}
