/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AccountChild } from './accountChild';
import { AccountCodeHistoryChild } from './accountCodeHistoryChild';
import { AccountMeterChildWithSerialNumber } from './accountMeterChildWithSerialNumber';
import { AccountTypeChild } from './accountTypeChild';
import { AddressChild } from './addressChild';
import { ContactChild } from './contactChild';
import { CostCenterChild } from './costCenterChild';
import { CustomerChild } from './customerChild';
import { GeneralLedgerChild } from './generalLedgerChild';
import { UnitChild } from './unitChild';
import { UserChild } from './userChild';
import { VendorChild } from './vendorChild';
export declare class AccountResponse {
    /**
     * The account identifier
     */
    accountId: number | null | undefined;
    /**
     * The accountmeter identifier for the account
     */
    accountMeterId: number | null | undefined;
    /**
     * The account code
     */
    accountCode: string | null | undefined;
    /**
     * The account info
     */
    accountInfo: string | null | undefined;
    accountType: AccountTypeChild | null | undefined;
    costCenter: CostCenterChild | null | undefined;
    vendor: VendorChild | null | undefined;
    contact: ContactChild | null | undefined;
    customer: CustomerChild | null | undefined;
    /**
     * Indicates whether the Account is active or inactive
     */
    active: boolean | null | undefined;
    /**
     * Indicates if this account is used with accruals
     */
    accrualEnabled: boolean | null | undefined;
    address: AddressChild | null | undefined;
    /**
     * The date and time a deposit was paid
     */
    depositPaid: Date | null | undefined;
    /**
     * The date and time the account deposit was returned
     */
    depositReturn: Date | null | undefined;
    /**
     * A note related to the account deposit
     */
    depositNote: string | null | undefined;
    /**
     * The account deposit amount
     */
    depositAmount: number | null | undefined;
    /**
     * The account memo
     */
    memo: string | null | undefined;
    /**
     * The account's service begin date and time
     */
    serviceStart: Date | null | undefined;
    /**
     * The account's service end date and time
     */
    serviceEnd: Date | null | undefined;
    accountGeneralLedger: GeneralLedgerChild | null | undefined;
    /**
     * An array of identifiers for meters attached to this account
     */
    meters: Array<AccountMeterChildWithSerialNumber> | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time the account was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date and time of the most recent modification
     */
    modifiedDate: Date | null | undefined;
    costUnit: UnitChild | null | undefined;
    /**
     * Indicates whether the Account has a child calculated meter
     */
    hasCalculatedMeter: boolean | null | undefined;
    /**
     * Indicates whether the Account is a recipient of a split
     */
    hasSplitParentMeter: boolean | null | undefined;
    /**
     * Indicates whether the Account has a child split meter
     */
    hasSplitChildMeter: boolean | null | undefined;
    /**
     * Indicates whether the Account has a sub-account
     */
    hasSubAccount: boolean | null | undefined;
    accountCodeHistory: AccountCodeHistoryChild | null | undefined;
    /**
     * A description of the account
     */
    accountDescription: string | null | undefined;
    /**
     * When true, bills for this account will be audited
     */
    auditEnabled: boolean | null | undefined;
    /**
     * The data access release identifier for this Account, null if there is no release.
     */
    dataAccessReleaseId: number | null | undefined;
    /**
     * Indicates if the DataAccessRelease is approved  null if there is no release
     */
    dataAccessReleaseApproved: boolean | null | undefined;
    remitAddress: AddressChild | null | undefined;
    /**
     * The remit email address
     */
    remitEmail: string | null | undefined;
    /**
     * The remit phone number
     */
    remitPhoneNumber: string | null | undefined;
    /**
     * If there are settings configured to split account charges for this account
     */
    splitAccountChargesConfigured: boolean | null | undefined;
    summaryAccount: AccountChild | null | undefined;
}
