/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class AccrualProcessorRequest {
    /**
     * The batch to create for accrual bills <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 255 characters</span>
     */
    batchCode: string | null;
    /**
     * Use a safety net for accrued cost calculation?    - if we have usage and we are using an average unit cost safety net and the most recent unit cost does not vary more than the specified percentage from the historical average unit cost,      accrued cost = accrued use * most recent unit cost   - if we have usage and we are not using an average unit cost safety net or the most recent unit cost does vary more than the specified percentage from the historical average unit cost,      accrued cost = accrued use * average historical unit cost   - if we don't have usage,      accrued cost = historical average cost per day * number of days in accrual period <span class='property-internal'>Required</span>
     */
    aucSafetyNet: boolean | null;
    /**
     * Percent of cost variance allowed when using average unit cost safety net <span class='property-internal'>Required when AucSafetyNet is set to True, case sensitive.</span>
     */
    aucPercentVarianceAllowed: number | null | undefined;
    /**
     * End date for accrual bills generated <span class='property-internal'>Required</span>
     */
    accrualPeriodEndDate: Date | null;
    /**
     * Earliest bill end date to begin accruing from (end dates become begin dates for accrued bills) <span class='property-internal'>Required</span>
     */
    accrualPeriodMinimumStartDate: Date | null;
    /**
     * Billing period calculation method.  Valid values are \"bill midpoint\" and \"manual\". <span class='property-internal'>One of 'bill midpoint', 'manual'</span> <span class='property-internal'>Case sensitive</span> <span class='property-internal'>Required</span>
     */
    billingPeriodCalculationMethod: string | null;
    /**
     * Fixed billing period for accrual bills generated when billing period calculation method is manual. <span class='property-internal'>Required when BillingPeriodCalculationMethod is set to manual, case sensitive.</span> <span class='property-internal'>Must be between 190001 and 209912</span>
     */
    manualBillingPeriod: number | null | undefined;
    /**
     * Account period calculation method.  Valid values are \"blank\", \"billing period\" and \"manual\". <span class='property-internal'>One of 'blank', 'billing period', 'manual'</span> <span class='property-internal'>Case sensitive</span> <span class='property-internal'>Required</span>
     */
    accountPeriodCalculationMethod: string | null;
    /**
     * Fixed account period for accrual bills generated when account period calculation method is manual. <span class='property-internal'>Required when AccountPeriodCalculationMethod is set to manual, case sensitive.</span> <span class='property-internal'>Must be between 190001 and 209913</span>
     */
    manualAccountPeriod: number | null | undefined;
    /**
     * Generate accrual bills in test mode? Test mode bills are created as voided bills. <span class='property-internal'>Required</span>
     */
    testMode: boolean | null;
    /**
     * Optional percentage for cost adjustment. It can be positive or negative.
     */
    percentCostAdjustment: number | null | undefined;
}
