/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BaselineProcessorRequestBaselineBill } from './baselineProcessorRequestBaselineBill';
export declare class BaselineProcessorRequest {
    /**
     * Indicates if the meter will be included in savings calculations
     */
    includeInCAP: boolean | null | undefined;
    /**
     * Indicates if floor area adjustments should be made
     */
    adjustArea: boolean | null | undefined;
    /**
     * The type of cost adjustment to perform.  Possible values include 1 (current average unit cost) and 5 (net cost difference)
     */
    adjustedCostTypeId: number | null | undefined;
    /**
     * Indicates if winter weather adjustments should be made
     */
    adjustWinter: boolean | null | undefined;
    /**
     * Indicates if summer weather adjustments should be made
     */
    adjustSummer: boolean | null | undefined;
    /**
     * The number of months in the baseline.   Setting this to anything other than 12 will turn off weather adjustments irregardless of the settings in adjustWinter and adjustSummer
     */
    baselineMonths: number | null | undefined;
    /**
     * The baseline's start date
     */
    baselineStartDate: Date | null | undefined;
    /**
     * The savings period's start date
     */
    savingsStartDate: Date | null | undefined;
    /**
     * The cooling balance point
     */
    coolingTemp: number | null | undefined;
    /**
     * The heating balance point
     */
    heatingTemp: number | null | undefined;
    /**
     * Indicates if extended weather should be used.  Extended weather uses additional months prior to the baseline start date to   determine weather sensitivity.
     */
    useExtendedWeather: boolean | null | undefined;
    /**
     * The start date of the extended weather. This should be 1, 2 or 3 years prior to the baseline start date.  Extended weather uses additional months prior to the baseline start date to   determine weather sensitivity.
     */
    extendedWeatherStartDate: Date | null | undefined;
    /**
     * Indicates if each bill in the baseline should be included in the baseline regression
     */
    baselineBills: Array<BaselineProcessorRequestBaselineBill> | null | undefined;
}
