/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AdjustedCostTypeResponse } from './adjustedCostTypeResponse';
import { BaselineProcessorResponseBaselineBill } from './baselineProcessorResponseBaselineBill';
import { UnitChild } from './unitChild';
export declare class BaselineProcessorResponse {
    /**
     * Indicates if the meter will be included in savings calculations
     */
    includeInCAP: boolean | null | undefined;
    /**
     * Indicates if floor area adjustments should be made
     */
    adjustArea: boolean | null | undefined;
    adjustedCostType: AdjustedCostTypeResponse | null | undefined;
    /**
     * Indicates if winter weather adjustments should be made
     */
    adjustWinter: boolean | null | undefined;
    /**
     * Indicates if summer weather adjustments should be made
     */
    adjustSummer: boolean | null | undefined;
    /**
     * Number of months in the baseline  Setting this to anything other than 12 will turn off weather adjustments irregardless of the settings in adjustWinter and adjustSummer
     */
    baselineMonths: number | null | undefined;
    /**
     * Baseline start date
     */
    baselineStartDate: Date | null | undefined;
    /**
     * Savings Period start date
     */
    savingsStartDate: Date | null | undefined;
    /**
     * Indicates if extended weather should be used.  Extended weather uses additional months prior to the baseline start date to determine weather sensitivity.
     */
    useExtendedWeather: boolean | null | undefined;
    /**
     * Start Date of the extended weather. This should be 1, 2 or 3 years prior to the baseline start date.  Extended weather uses additional months prior to the baseline start date to determine weather sensitivity.
     */
    extendedWeatherStartDate: Date | null | undefined;
    /**
     * Cooling balance point
     */
    coolingTemp: number | null | undefined;
    /**
     * Cooling intercept
     */
    coolingIntercept: number | null | undefined;
    /**
     * Cooling max Degree Days
     */
    coolingMaxDegreeDays: number | null | undefined;
    /**
     * Cooling max use
     */
    coolingMaxUse: number | null | undefined;
    /**
     * Cooling R2
     */
    coolingR2: number | null | undefined;
    /**
     * Adjusted Cooling R2
     */
    adjustedCoolingR2: number | null | undefined;
    /**
     * Cooling minimum R2
     */
    coolingMinR2: number | null | undefined;
    /**
     * Cooling calculated R2
     */
    coolingCalculatedR2: number | null | undefined;
    /**
     * Cooling slope
     */
    coolingSlope: number | null | undefined;
    /**
     * Cooling standard deviation
     */
    coolingStdDev: number | null | undefined;
    /**
     * Cooling CVRMSE
     */
    coolingCVRMSE: number | null | undefined;
    /**
     * Cooling NDB
     */
    coolingNDB: number | null | undefined;
    /**
     * Cooling standard error
     */
    coolingStandardError: number | null | undefined;
    /**
     * Cooling base T-stat
     */
    coolingBaseTStat: number | null | undefined;
    /**
     * Cooling weather T-stat
     */
    coolingWeatherTStat: number | null | undefined;
    /**
     * Cooling FSU
     */
    coolingFSU: number | null | undefined;
    /**
     * Heating balance point
     */
    heatingTemp: number | null | undefined;
    /**
     * Heating intercept
     */
    heatingIntercept: number | null | undefined;
    /**
     * Heating maximum Degree Days
     */
    heatingMaxDegreeDays: number | null | undefined;
    /**
     * Heating maximum use
     */
    heatingMaxUse: number | null | undefined;
    /**
     * Heating R2
     */
    heatingR2: number | null | undefined;
    /**
     *
     */
    adjustedHeatingR2: number | null | undefined;
    /**
     * Heating minimum R2
     */
    heatingMinR2: number | null | undefined;
    /**
     * Heating calculated R2
     */
    heatingCalculatedR2: number | null | undefined;
    /**
     * Heating slope
     */
    heatingSlope: number | null | undefined;
    /**
     * Heating standard deviation
     */
    heatingStdDev: number | null | undefined;
    /**
     * Heating CVRMSE
     */
    heatingCVRMSE: number | null | undefined;
    /**
     * Heating NDB
     */
    heatingNDB: number | null | undefined;
    /**
     * Heating standard error
     */
    heatingStandardError: number | null | undefined;
    /**
     * Heating base T-stat
     */
    heatingBaseTStat: number | null | undefined;
    /**
     * Heating weather T-stat
     */
    heatingWeatherTStat: number | null | undefined;
    /**
     * Heating FSU
     */
    heatingFSU: number | null | undefined;
    nativeUseUnit: UnitChild | null | undefined;
    /**
     * Indicates whether or not each bill in the baseline should be included in the baseline regression
     */
    baselineBills: Array<BaselineProcessorResponseBaselineBill> | null | undefined;
}
