/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BillAccountBodyLineCreate } from './billAccountBodyLineCreate';
import { BillMeterCreate } from './billMeterCreate';
export declare class BillCreate {
    /**
     * The bill's account <span class='property-internal'>Required</span>
     */
    accountId: number | null;
    /**
     * The bill's begin date <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    beginDate: Date | null;
    /**
     * The bill's end date <span class='property-internal'>Required</span> <span class='property-internal'>Must be greater than BeginDate</span> <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    endDate: Date | null;
    /**
     * The bill's billing period <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 190001 and 209912</span>
     */
    billingPeriod: number | null;
    /**
     * The bill's accounting period  Depending on your settings you can have up to 13 accounting periods <span class='property-internal'>Must be between 190001 and 209913</span>
     */
    accountPeriod: number | null | undefined;
    /**
     * Indicates if the bill is estimated
     */
    estimated: boolean | null | undefined;
    /**
     * The bill's entry method.  True = manual entry, false = automatic entry. <span class='property-internal'>Required</span>
     */
    manualEntry: boolean | null;
    /**
     * The date and time of the bill statement <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    statementDate: Date | null | undefined;
    /**
     * The date and time the bill is due <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    dueDate: Date | null | undefined;
    /**
     * The date and time the of the next reading <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    nextReading: Date | null | undefined;
    /**
     * The bill's control code <span class='property-internal'>Must be between 0 and 255 characters</span>
     */
    controlCode: string | null | undefined;
    /**
     * The bill's invoice number <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    invoiceNumber: string | null | undefined;
    /**
     * The bill note
     */
    note: string | null | undefined;
    /**
     * The meters with line items
     */
    meters: Array<BillMeterCreate> | null | undefined;
    /**
     * The account line items
     */
    accountBodyLines: Array<BillAccountBodyLineCreate> | null | undefined;
}
