/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BillAccountBodyLineEdit } from './billAccountBodyLineEdit';
import { BillMeterEdit } from './billMeterEdit';
export declare class BillEdit {
    /**
     * The bill's account <span class='property-internal'>Required</span>
     */
    accountId: number | null;
    /**
     * The bill's begin date <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    beginDate: Date | null;
    /**
     * The bill's end date <span class='property-internal'>Required</span> <span class='property-internal'>Must be greater than BeginDate</span> <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    endDate: Date | null;
    /**
     * The bill's billing period <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 190001 and 209912</span>
     */
    billingPeriod: number | null;
    /**
     * The bill's accounting period  Depending on your settings you can have up to 13 accounting periods <span class='property-internal'>Must be between 190001 and 209913</span> <span class='property-internal'>Required (defined)</span>
     */
    accountPeriod: number | null | undefined;
    /**
     * Indicates if the bill is estimated <span class='property-internal'>Required (defined)</span>
     */
    estimated: boolean | null | undefined;
    /**
     * The date and time of the bill statement <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span> <span class='property-internal'>Required (defined)</span>
     */
    statementDate: Date | null | undefined;
    /**
     * The date and time the bill is due <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span> <span class='property-internal'>Required (defined)</span>
     */
    dueDate: Date | null | undefined;
    /**
     * The date and time the next reading <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span> <span class='property-internal'>Required (defined)</span>
     */
    nextReading: Date | null | undefined;
    /**
     * The bill's control code <span class='property-internal'>Must be between 0 and 255 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    controlCode: string | null | undefined;
    /**
     * The bill's invoice number <span class='property-internal'>Must be between 0 and 32 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    invoiceNumber: string | null | undefined;
    /**
     * The bill's \"approval change flag\".  If a bill is approved and the approval system is turned on:      true = unapprove bill, false = don't change bill's approval status.  If the approval system is not turned on:      the bill's approval status will not be changed regardless of this setting. <span class='property-internal'>Required (defined)</span>
     */
    setToUnapproved: boolean | null | undefined;
    /**
     * The bill note <span class='property-internal'>Required (defined)</span>
     */
    note: string | null | undefined;
    /**
     * The meters with line items <span class='property-internal'>Required (defined)</span>
     */
    meters: Array<BillMeterEdit> | null | undefined;
    /**
     * The account line items <span class='property-internal'>Required (defined)</span>
     */
    accountBodyLines: Array<BillAccountBodyLineEdit> | null | undefined;
}
