/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BatchChild } from './batchChild';
import { BillEntryBodyLine } from './billEntryBodyLine';
import { BillEntryMeterChild } from './billEntryMeterChild';
import { BillHeaderChild } from './billHeaderChild';
import { CostConversion } from './costConversion';
import { ObservationMethodChild } from './observationMethodChild';
export declare class BillEntryResponse {
    /**
     * The bill identifier
     */
    billId: number | null | undefined;
    /**
     * The account identifier
     */
    accountId: number | null | undefined;
    /**
     * The vendor identifier
     */
    vendorId: number | null | undefined;
    /**
     * Indicates if a new bill batch needs to be opened to place this bill in
     */
    needsToOpenBatch: boolean | null | undefined;
    /**
     * The bill's begin date
     */
    beginDate: Date | null | undefined;
    /**
     * The bill's end date
     */
    endDate: Date | null | undefined;
    /**
     * The bill's billing period
     */
    billingPeriod: number | null | undefined;
    /**
     * The bill's number of days
     */
    days: number | null | undefined;
    /**
     * The bill's total cost in the system currency.  The system currency is the reporting/global currency unit.
     */
    totalCost: number | null | undefined;
    /**
     * The bill's total cost in the source currency.  The source currency is the native currency unit.
     */
    totalSourceCost: number | null | undefined;
    costConversion: CostConversion | null | undefined;
    dueDate: BillHeaderChild | null | undefined;
    statementDate: BillHeaderChild | null | undefined;
    invoiceNumber: BillHeaderChild | null | undefined;
    controlCode: BillHeaderChild | null | undefined;
    nextReading: BillHeaderChild | null | undefined;
    accountPeriodName: BillHeaderChild | null | undefined;
    accountPeriodNumber: BillHeaderChild | null | undefined;
    accountPeriodYear: BillHeaderChild | null | undefined;
    estimated: BillHeaderChild | null | undefined;
    /**
     * The bill's note
     */
    billNote: string | null | undefined;
    /**
     * Indicates if the bill has been voided
     */
    void: boolean | null | undefined;
    /**
     * Indicates if the bill is from a vendor
     */
    fromVendor: boolean | null | undefined;
    observationMethod: ObservationMethodChild | null | undefined;
    /**
     * Indicates if the bill has been approved
     */
    approved: boolean | null | undefined;
    /**
     * Indicates if the bill has been split
     */
    hasBeenSplit: boolean | null | undefined;
    /**
     * Indicates if the bill is being withheld from bill exports
     */
    exportHold: boolean | null | undefined;
    /**
     * Indicates if the bill has been ap exported
     */
    apExported: boolean | null | undefined;
    /**
     * Indicates if the bill has been gl exported
     */
    glExported: boolean | null | undefined;
    /**
     * Indicates if the bill has been exported to bill payment
     */
    paymentExported: boolean | null | undefined;
    /**
     * Indicates if the bill is an accrual bill
     */
    accrual: boolean | null | undefined;
    /**
     * The number of the check that the bill was paid with
     */
    checkNumber: string | null | undefined;
    /**
     * The date and time of the check
     */
    checkDate: Date | null | undefined;
    /**
     * The payment status of the bill
     */
    payStatus: string | null | undefined;
    /**
     * The date when funds were withdrawn
     */
    fundsWithdrawnDate: Date | null | undefined;
    /**
     * The date and time that the check cleared
     */
    clearedDate: Date | null | undefined;
    /**
     * The fully qualified url to the bill image
     */
    billImageUrl: string | null | undefined;
    /**
     * The general ledger code of the bill's account-level details (\"Mixed\" if there is more than one)
     */
    generalLedgerCode: string | null | undefined;
    /**
     * The billing account's meters
     */
    meters: Array<BillEntryMeterChild> | null | undefined;
    /**
     * The bill's account-level details
     */
    accountBodyLines: Array<BillEntryBodyLine> | null | undefined;
    /**
     * The bill's vendor template details
     */
    vendorBodyLines: Array<BillEntryBodyLine> | null | undefined;
    batch: BatchChild | null | undefined;
}
