/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AccountChild } from './accountChild';
import { BatchChild } from './batchChild';
import { BillReversal } from './billReversal';
import { CostConversion } from './costConversion';
import { ObservationMethodChild } from './observationMethodChild';
import { UserChild } from './userChild';
export declare class BillResponse {
    /**
     * The bill identifier
     */
    billId: number | null | undefined;
    batch: BatchChild | null | undefined;
    account: AccountChild | null | undefined;
    /**
     * The bill's begin date
     */
    beginDate: Date | null | undefined;
    /**
     * The bill's end date
     */
    endDate: Date | null | undefined;
    /**
     * The bill's billing period
     */
    billingPeriod: number | null | undefined;
    /**
     * The bill's accounting period
     */
    accountPeriod: number | null | undefined;
    /**
     * The bill's total cost in the system currency.  The system currency is the reporting/global currency unit.
     */
    totalCost: number | null | undefined;
    /**
     * The bill's total cost in the source currency.  The source currency is the native currency unit.
     */
    totalSourceCost: number | null | undefined;
    costConversion: CostConversion | null | undefined;
    /**
     * Indicates if the bill is estimated
     */
    estimated: boolean | null | undefined;
    /**
     * Indicates if the bill has been approved
     */
    approved: boolean | null | undefined;
    /**
     * The date and time the bill was approved
     */
    approveDate: Date | null | undefined;
    approvedBy: UserChild | null | undefined;
    /**
     * Indicates if the bill has been exported
     */
    exported: boolean | null | undefined;
    /**
     * The date and time the bill was exported
     */
    exportDate: Date | null | undefined;
    exportedBy: UserChild | null | undefined;
    observationMethod: ObservationMethodChild | null | undefined;
    /**
     * The date and time of the bill statement
     */
    statementDate: Date | null | undefined;
    /**
     * The date and time the bill is due
     */
    dueDate: Date | null | undefined;
    /**
     * The date and time of the next reading
     */
    nextReading: Date | null | undefined;
    /**
     * The bill's control code
     */
    controlCode: string | null | undefined;
    /**
     * The bill's invoice number
     */
    invoiceNumber: string | null | undefined;
    /**
     * The number of pages on the invoice
     */
    invoicePages: number | null | undefined;
    /**
     * The check number
     */
    checkNumber: string | null | undefined;
    /**
     * The date and time of the check
     */
    checkDate: Date | null | undefined;
    /**
     * The pay status of the bill
     */
    payStatus: string | null | undefined;
    /**
     * The date when funds were withdrawn
     */
    fundsWithdrawnDate: Date | null | undefined;
    /**
     * The cleared date
     */
    clearedDate: Date | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time the bill was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date and time of the most recent modification
     */
    modifiedDate: Date | null | undefined;
    /**
     * Indicates if the bill has been voided
     */
    void: boolean | null | undefined;
    /**
     * Indicates if the bill record has been cleaned. Cleaning is an internal EnergyCAP process
     */
    dirty: boolean | null | undefined;
    /**
     * Indicates if the import has been verified
     */
    importVerified: boolean | null | undefined;
    /**
     * Indicates if the bill is an accrual
     */
    accrual: boolean | null | undefined;
    /**
     * Indicates if the bill is a reversed accrual
     */
    accrualReversed: boolean | null | undefined;
    /**
     * The date and time the accrual was reversed
     */
    accrualReversedDate: Date | null | undefined;
    /**
     * Indicates if the bill is held for export
     */
    exportHold: boolean | null | undefined;
    /**
     * Indicates if the bill has been gl exported
     */
    glExported: boolean | null | undefined;
    glExportedBy: UserChild | null | undefined;
    /**
     * The date and time the bill was exported to gl
     */
    glExportDate: Date | null | undefined;
    /**
     * Indicates if the bill has been bill payment exported
     */
    paymentExported: boolean | null | undefined;
    paymentExportedBy: UserChild | null | undefined;
    /**
     * The date and time the bill was exported to bill payment
     */
    paymentExportDate: Date | null | undefined;
    /**
     * Indicates if the bill is from a vendor
     */
    fromVendor: boolean | null | undefined;
    /**
     * Indicates if the bill has been split
     */
    hasBeenSplit: boolean | null | undefined;
    /**
     * The date and time the bill was split
     */
    wasSplitDate: Date | null | undefined;
    /**
     * The transaction reference number of the bill
     */
    transRefNum: string | null | undefined;
    /**
     * The payment type of the bill.   For example, Check, VCard, and ACH.
     */
    paymentType: string | null | undefined;
    /**
     * The actual amount paid
     */
    actualAmountPaid: number | null | undefined;
    assignedTo: UserChild | null | undefined;
    /**
     * The date and time the bill was assigned to a user
     */
    assignedDate: Date | null | undefined;
    /**
     * The bill's pay source
     */
    paySource: string | null | undefined;
    /**
     * Indicates whom the bill paid
     */
    payTo: string | null | undefined;
    /**
     * The balance of the previous bill
     */
    previousBalance: number | null | undefined;
    /**
     * The amount of balance that was forwarded
     */
    balanceForward: number | null | undefined;
    /**
     * The current charges
     */
    currentCharges: number | null | undefined;
    /**
     * Bill note for this bill
     */
    billNote: string | null | undefined;
    reversalDetails: BillReversal | null | undefined;
    /**
     * Indicates whether this bill is excluded from accruals or not
     */
    excludedFromAccruals: boolean | null | undefined;
    /**
     * Indicates whether this bill is currently being analyzed
     */
    analyzing: boolean | null | undefined;
    /**
     * The net amount of the payment event of the bill
     */
    paymentAmount: number | null | undefined;
    /**
     * The API URL that can be used to download the file of the payment voucher
     */
    paymentVoucher: string | null | undefined;
}
