/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { DynamicPercentageBillSplit } from './dynamicPercentageBillSplit';
import { FixedPercentage } from './fixedPercentage';
import { FloorAreaSplit } from './floorAreaSplit';
/**
 * Defines details for available types of bill split distributions. Only one of the properties may be populated.
 */
export declare class BillSplitDetailsRequest {
    /**
     * Populate if setting up a fixed percentage split.  You cannot split to the same account and meter combination multiple times within a single version.  The destination account cannot be the same as the master account <span class='property-internal'>Cannot be Empty</span> <span class='property-internal'>NULL Valid</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of FixedPercentageSplit, FloorAreaSplit, DynamicPercentageSplit can be set</span>
     */
    fixedPercentageSplit: Array<FixedPercentage> | null | undefined;
    /**
     * Populate if setting up a dynamic percentage split based on the building floor area with weighting factor applied.  You cannot split the same account and meter multiple times within a single version.  You cannot split to the same account and meter combination multiple times within a single version.  The destination account cannot be the same as the master account <span class='property-internal'>Cannot be Empty</span> <span class='property-internal'>NULL Valid</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of FixedPercentageSplit, FloorAreaSplit, DynamicPercentageSplit can be set</span>
     */
    floorAreaSplit: Array<FloorAreaSplit> | null | undefined;
    dynamicPercentageSplit: DynamicPercentageBillSplit | null | undefined;
}
