/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class BudgetCreate {
    /**
     * The budget name <span class='property-internal'>Max length of 50</span> <span class='property-internal'>Required</span>
     */
    budgetInfo: string | null;
    /**
     * The notes attached to this budget <span class='property-internal'>Max length of 255</span>
     */
    note: string | null | undefined;
    /**
     * The fiscal year this budget represents <span class='property-internal'>Required</span>
     */
    budgetFiscalYear: number | null;
    /**
     * Number of years of data to include in the budget calculations <span class='property-internal'>Required</span>
     */
    numberOfDataYears: number | null;
    /**
     * The last period that should be included in the budget calculations (inclusive) <span class='property-internal'>Required</span>
     */
    dataYearsEndPeriod: number | null;
    /**
     * The calendarization method this budget will use <span class='property-internal'>Required</span> <span class='property-internal'>One of '1', '2'</span> <span class='property-internal'>Case sensitive</span>
     */
    budgetPeriodTypeId: number | null;
    /**
     * The type of data this budget will use in its calculations.   If BudgetPeriodTypeId is set to 2 (Accounting Period), this must be set to 1 (Billing Period) <span class='property-internal'>Required</span> <span class='property-internal'>One of '2', '1'</span> <span class='property-internal'>Case sensitive</span>
     */
    budgetDataTypeId: number | null;
    /**
     * The method used to calculate the baseline budget values. If NumberOfDataYears is 1, this value is ignored and the data from the selected year is used <span class='property-internal'>Required</span> <span class='property-internal'>One of '2', '3', '4', '1'</span> <span class='property-internal'>Case sensitive</span>
     */
    budgetUsageMethodId: number | null;
    /**
     * Flag to indicate if inactive accounts should be included in the budget calculations <span class='property-internal'>Required</span>
     */
    includeInactiveAccounts: boolean | null;
    /**
     * Flag to indicate if inactive meters should be included in the budget calculations <span class='property-internal'>Required</span>
     */
    includeInactiveMeters: boolean | null;
    /**
     * Flag to indicate if inactive account/meter relationships should be included in the budget calculations <span class='property-internal'>Required</span>
     */
    includeInactiveAccountMeters: boolean | null;
    /**
     * Flag to indicate if internal chargeback bills should be included in the budget calculations <span class='property-internal'>Required</span>
     */
    includeChargebackBills: boolean | null;
}
