/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { FilterEdit } from './filterEdit';
export declare class BulkMeterCostAvoidanceSettings {
    /**
     * Indicates whether or not the cost avoidance processor will attempt cooling adjustments <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    attemptCoolingAdjustment: boolean | null | undefined;
    /**
     * Indicates whether or not the cost avoidance processor will attempt heating adjustments <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    attemptHeatingAdjustment: boolean | null | undefined;
    /**
     * Determines number of months of data included in the meter's cost avoidance baseline <span class='property-internal'>Must be between 12 and 36</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    numBaselineMonths: number | null | undefined;
    /**
     * Determines the start date of the meter's cost avoidance baseline <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    baselineStartDate: Date | null | undefined;
    /**
     * Determines the external temperature above which cooling is expected to take place <span class='property-internal'>Must be greater than or equal to HeatingNeededBelow</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    coolingNeededAbove: number | null | undefined;
    /**
     * Determines the external temperature below which heating is expected to take place <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    heatingNeededBelow: number | null | undefined;
    /**
     * Determines whether or not to include the meter in cost avoidance processing <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    includeMeterInCostAvoidance: boolean | null | undefined;
    /**
     * Determines the start date after which energy and cost savings are expected to accrue <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>At least one of AttemptCoolingAdjustment, AttemptHeatingAdjustment, NumBaselineMonths, BaselineStartDate, CoolingNeededAbove, HeatingNeededBelow, IncludeMeterInCostAvoidance, SavingsStartDate must not be null</span>
     */
    savingsStartDate: Date | null | undefined;
    /**
     * Filter criteria which determine the meters whose cost avoidance settings will be updated <span class='property-internal'>Required (defined)</span>
     */
    filters: Array<FilterEdit> | null | undefined;
}
