/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { FilterEdit } from './filterEdit';
export declare class CalculateSavingsRequest {
    /**
     * Determines which option will be used to select the bills for this instance of the cost avoidance processor to process  - \"AllBills\" means all bills will be processed  - \"ModifiedOrNotProcessed\" means only new bills or bills which have been modified since the last time cost avoidance was run will be processed  - \"BillingPeriod\" means that only bills with a billing period which is greater than or equal to the provided billing period will be processed <span class='property-internal'>One of 'AllBills', 'ModifiedOrNotProcessed', 'BillingPeriod'</span>
     */
    billSelectionOption: string | null | undefined;
    /**
     * When BillSelectionOption is 'BillingPeriod', this defines the billing period to be used to target bills for processing <span class='property-internal'>Valid billing period between 190001 and 300001</span> <span class='property-internal'>NULL Valid</span> <span class='property-internal'>Required when BillSelectionOption is set to BillingPeriod, case sensitive.</span>
     */
    billingPeriod: number | null | undefined;
    /**
     * Allow the user to optionally exclude one or all special adjustments <span class='property-internal'>One of 'SkipAll', 'SkipOne', 'SkipNone'</span>
     */
    skipSpecialAdjustmentOption: string | null | undefined;
    /**
     * During cost avoidance processing, the special adjustment having the provided special adjustment type ID will not be applied (only if SkipSpecialAdjustmentOption = \"SkipOne\") <span class='property-internal'>Required when SkipSpecialAdjustmentOption is set to SkipOne, case sensitive.</span>
     */
    specialAdjustmentTypeIdToIgnore: number | null | undefined;
    /**
     * Filter criteria which determine the meters whose savings will be reprocessed
     */
    filters: Array<FilterEdit> | null | undefined;
}
