/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CalculationRequest } from './calculationRequest';
import { CalendarizedCalculationRequest } from './calendarizedCalculationRequest';
import { CopyMeterRequest } from './copyMeterRequest';
import { FixedUseRequest } from './fixedUseRequest';
/**
 * Defines how use is calculated for a calculated bill distribution
 */
export declare class CalculatedBillUseRequest {
    /**
     * Use monthly channel data readings to calculate bill use <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of ReadingsChannelId, ReadingsEsaChannelId, FixedAmount, CopyUseFromMeter, UseCalculation, CalendarizedUseCalculation, UseWatticsDataPoint can be set</span>
     */
    readingsChannelId: number | null | undefined;
    /**
     * Use ESA channel data readings to calculate bill use <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of ReadingsChannelId, ReadingsEsaChannelId, FixedAmount, CopyUseFromMeter, UseCalculation, CalendarizedUseCalculation, UseWatticsDataPoint can be set</span>
     */
    readingsEsaChannelId: number | null | undefined;
    fixedAmount: FixedUseRequest | null | undefined;
    copyUseFromMeter: CopyMeterRequest | null | undefined;
    useCalculation: CalculationRequest | null | undefined;
    calendarizedUseCalculation: CalendarizedCalculationRequest | null | undefined;
    /**
     * Use SmartAnalytics (Wattics) data readings to calculate bill use <span class='property-internal'>One of 'True'</span> <span class='property-internal'>Case sensitive</span> <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of ReadingsChannelId, ReadingsEsaChannelId, FixedAmount, CopyUseFromMeter, UseCalculation, CalendarizedUseCalculation, UseWatticsDataPoint can be set</span>
     */
    useWatticsDataPoint: boolean | null | undefined;
}
