/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { Icon } from './icon';
export declare class CommodityRequest {
    /**
     * The commodity info <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    commodityInfo: string | null;
    /**
     * Three letter abbreviation code to represent the commodity <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 3 characters</span>
     */
    abbreviation: string | null;
    /**
     * The commodity description <span class='property-internal'>Must be between 0 and 255 characters</span>
     */
    description: string | null | undefined;
    icon: Icon | null | undefined;
    /**
     * The commodity category identifier <br />  If the category is provided, the default use rollup unit and default demand rollup unit for that category will be used <span class='property-internal'>Only one of CommodityCategoryId, CommodityRollupUnitId can be set</span> <span class='property-internal'>Only one of CommodityCategoryId, CommodityDemandRollupUnitId can be set</span>
     */
    commodityCategoryId: number | null | undefined;
    /**
     * The common use unit identifier for reporting purposes <br />  Ignored if a commodity category is provided and it has a rollup unit specified <span class='property-internal'>Only one of CommodityCategoryId, CommodityRollupUnitId can be set</span>
     */
    commodityRollupUnitId: number | null | undefined;
    /**
     * Indicates if the commodity should be included in Energy reporting
     */
    includeInEnergyReporting: boolean | null | undefined;
    /**
     * The multiplier to convert from the commodity rollup unit to the energy use reporting unit <br />  Not required if commodity rollup unit is in the energy unit category <span class='property-internal'>Must be null when IncludeInEnergyReporting  is  set to False, case sensitive</span>
     */
    energyReportingUnitConversionMultiplier: number | null | undefined;
    /**
     * The common demand unit identifier for reporting purposes <br />  Ignored if a commodity category is provided and it has a demand rollup unit specified <span class='property-internal'>Only one of CommodityCategoryId, CommodityDemandRollupUnitId can be set</span>
     */
    commodityDemandRollupUnitId: number | null | undefined;
}
