/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class CostAvoidanceSettings {
    /**
     * Only bills with a billing period greater than or equal to this value were included in Cost Avoidance processing  Will be null unless BillSelectionOption is \"BillingPeriod\" and Reason is \"ProcessSavings\"
     */
    minimumBillingPeriod: number | null | undefined;
    /**
     * Indicates if the Cost Avoidance processor skipped processing meters with multiple accounts if one of the bills was missing  Will be empty unless Reason is \"ProcessSavings\"
     */
    skippedMultiAccountIfBillsMissing: boolean | null | undefined;
    /**
     * Indicates if weather adjustments were ignored when the baseline processor was run  Will be null unless Reason is \"ResetBaseline\"
     */
    ignoredWeatherAdjustments: boolean | null | undefined;
    /**
     * Defines handling of meter special adjustments during Cost Avoidance processing. Can be either of two static values OR the special adjustment category that the user chose to skip.  Will be empty unless Reason is \"ProcessSavings\"  Possible static values:  \"NONE\" - no special adjustment categories were skipped  \"ALL\" - all special adjustment categories were skipped
     */
    ignoredSpecialAdjustmentType: string | null | undefined;
    /**
     * For savings calculation, indicates which bills should have been processed  Will be empty unless Reason is \"ProcessSavings\"  Possible values:  - \"AllBills\" means all bills were processed  - \"ModifiedOrNotProcessed\" means only new bills or bills which have been modified since the last time cost avoidance was run have been processed  - \"BillingPeriod\" means that only bills with a billing period which is greater than or equal to the MinimumBillingPeriod have been processed
     */
    billSelectionOption: string | null | undefined;
}
