/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BaselineLog } from './baselineLog';
import { CostAvoidanceSettings } from './costAvoidanceSettings';
import { FilterResponse } from './filterResponse';
import { SavingsLog } from './savingsLog';
import { TaskType } from './taskType';
import { UserChild } from './userChild';
export declare class CostAvoidanceTask {
    /**
     * Indicates whether or not the task has an output log available for download
     */
    hasAttachments: boolean | null | undefined;
    /**
     * The task ID
     */
    costAvoidanceTaskId: number | null | undefined;
    /**
     * The task GUID
     */
    taskGUId: string | null | undefined;
    taskType: TaskType | null | undefined;
    /**
     * The date and time the task began
     */
    beginDate: Date | null | undefined;
    /**
     * The date and time the task finished. If the task is not finished, endDate will have no value
     */
    endDate: Date | null | undefined;
    user: UserChild | null | undefined;
    settings: CostAvoidanceSettings | null | undefined;
    /**
     * The task's filters
     */
    filters: Array<FilterResponse> | null | undefined;
    /**
     * If there was a catastrophic error during task processing, it will go here
     */
    message: string | null | undefined;
    /**
     * The reason for the cost avoidance task. Will be one of the following:  * ResetBaseline  * SavedAndReprocessedMeter  * ProcessSavings  * SpecialAdjustmentAddedEditedRemoved  * SpecialAdjustmentAddedEditedRemovedSetupSheet  * MeterCostAvoidanceSettingsGloballyUpdated  * AucRangeModified  * OtherSavingsAddedEdited  * OtherSavingsAddedEditedSetupSheet
     */
    reason: string | null | undefined;
    /**
     * The status of the cost avoidance task. Will be one of the following:  * Processing  * Complete  * Error
     */
    status: string | null | undefined;
    /**
     * Notes added to the cost avoidance task by the user
     */
    taskNote: string | null | undefined;
    baselineLog: BaselineLog | null | undefined;
    savingsLog: SavingsLog | null | undefined;
}
