/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CommodityChild } from './commodityChild';
import { EsaChannelChild } from './esaChannelChild';
import { ManufacturerChild } from './manufacturerChild';
import { PlaceChild } from './placeChild';
import { PrimaryUseChild } from './primaryUseChild';
import { TimeZoneChild } from './timeZoneChild';
import { UserChild } from './userChild';
/**
 *
 */
export declare class DataPointResponse {
    /**
     * The identifier for the Data Point
     */
    dataPointId: number | null | undefined;
    /**
     * The Data Point code
     */
    dataPointCode: string | null | undefined;
    /**
     * The Data Point name
     */
    dataPointInfo: string | null | undefined;
    /**
     * The Data Point description
     */
    dataPointDescription: string | null | undefined;
    /**
     * Indicates whether the Data Point is active
     */
    active: boolean | null | undefined;
    /**
     * The serial number of the Data Point
     */
    serialNumber: string | null | undefined;
    /**
     * The model of the Data Point
     */
    model: string | null | undefined;
    /**
     * The import identifier of the Data Point
     */
    importId: string | null | undefined;
    /**
     * The latitude of the Data Point,   if set it overrides the latitude of it's parent Place
     */
    latitudeOverride: number | null | undefined;
    /**
     * The longitude of the Data Point,   if set it overrides the longitude of it's parent Place
     */
    longitudeOverride: number | null | undefined;
    commodity: CommodityChild | null | undefined;
    place: PlaceChild | null | undefined;
    dataPointTimeZone: TimeZoneChild | null | undefined;
    manufacturer: ManufacturerChild | null | undefined;
    primaryUse: PrimaryUseChild | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time the Data Point was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date and time of the most recent modification of the Data Point
     */
    modifiedDate: Date | null | undefined;
    /**
     * An array of channels assigned to this Data Point
     */
    channels: Array<EsaChannelChild> | null | undefined;
    /**
     * Indicates if the primary value channel on the datapoint has a summarization method of SUM
     */
    isDataRolledUp: boolean | null | undefined;
    /**
     * Indicates if the Sentinel is active for primary value channels
     */
    sentinelEnabled: boolean | null | undefined;
    /**
     * Provides some insight into the current Sentinel enabled status.
     */
    sentinelStatus: DataPointResponse.SentinelStatusEnum;
    sentinelModifiedBy: UserChild | null | undefined;
}
export declare namespace DataPointResponse {
    enum SentinelStatusEnum {
        NUMBER_1,
        NUMBER_2,
        NUMBER_3,
        NUMBER_4,
        NUMBER_5
    }
}
