/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { EmailProperties } from './emailProperties';
import { FilterEdit } from './filterEdit';
export declare class DistributedReportsConfiguration {
    /**
     * Desired format for the resulting report.  Available options are PDF, Excel, Excel formatted, Excel data only, Word, and CSV. Support for each format varies by report.
     */
    format: string | null | undefined;
    /**
     * Indicates whether or not to use a copy of the report when generating it.  When set to true, a one-time copy of the requested specific report will be created, set with the provided filters, and then deleted afterward.          This functionality is useful when you want to run a report with a one-time filter set, without touching the original report's filters.
     */
    useCopy: boolean | null | undefined;
    /**
     * List of filters to use when executing this report. How they are handled depends upon the other configuration options used in this request.
     */
    filters: Array<FilterEdit> | null | undefined;
    /**
     * Indicates whether or not to clear out stored filters for the requested report during execution.  When set to true, any stored filters for this report will be removed. Only filters provided in the Filters property will be applied.  When set to false, any stored filters will still apply when the report is executed.
     */
    clearFilters: boolean | null | undefined;
    /**
     * Indicates whether or not to save the filters provided in the Filters property.  When set to true, any filters currently stored for the requested report will be overwritten with those provided in the Filters property.  When set to false, any filters provided in the Filters property will not be saved after execution. However, they will be used for this report execution.
     */
    saveFilters: boolean | null | undefined;
    /**
     * Indicates whether or not to email a report if it contains no data.  When set to true, if distributing the requested report to an email list and the report contains no data, the report will not be emailed.  When set to false, if the requested report has no data, it will still be sent to the email list.
     */
    onlySendIfData: boolean | null | undefined;
    /**
     * Filename for the resulting report file. Do not provide file type suffix.  Defaults to {specificReportCode}-{specificReportInfo}{fileNameExtension}
     */
    fileName: string | null | undefined;
    distribution: EmailProperties | null | undefined;
}
