/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class EmissionRecordRequest {
    /**
     * The Emission Source this record will be assigned to <span class='property-internal'>Required</span>
     */
    emissionSourceId: number | null;
    /**
     * The begin date for this record <span class='property-internal'>Required</span>
     */
    beginDate: Date | null;
    /**
     * The end date for this record <span class='property-internal'>Required</span> <span class='property-internal'>Must be greater than BeginDate</span>
     */
    endDate: Date | null;
    /**
     * The supplier for this record <span class='property-internal'>Required (defined)</span>
     */
    vendorId: number | null | undefined;
    /**
     * The type of this record. Valid values are:  1 - Use  2 - Cost  3 - Direct/Offset <span class='property-internal'>Required</span> <span class='property-internal'>One of '1', '2', '3'</span> <span class='property-internal'>Case sensitive</span>
     */
    recordTypeId: number | null;
    /**
     * The scope category for this record <span class='property-internal'>Required</span>
     */
    scopeCategoryId: number | null;
    /**
     * The factor for this record <span class='property-internal'>Required</span>
     */
    factorId: number | null;
    /**
     * The use that is being tracked by this record.   This value is required if RecordTypeId is set to 1 (Use) or 3 (Direct/Offset),   but must be left null if RecordTypeId is set to 2 (Cost). <span class='property-internal'>Required when RecordTypeId is set to 1, or 3, case sensitive.</span> <span class='property-internal'>Must be null when RecordTypeId  is  set to 2, case sensitive</span>
     */
    quantity: number | null | undefined;
    /**
     * The unit for the use being tracked by this record.  This value is required if RecordTypeId is set to 1 (Use) or 3 (Direct/Offset),  but must be left null if RecordTypeId is set to 2 (Cost). <span class='property-internal'>Required when RecordTypeId is set to 1, or 3, case sensitive.</span> <span class='property-internal'>Must be null when RecordTypeId  is  set to 2, case sensitive</span>
     */
    quantityUnitId: number | null | undefined;
    /**
     * The cost for this record  Required if RecordTypeId is set to 2 (Cost), otherwise it is optional. <span class='property-internal'>Required when RecordTypeId is set to 2, case sensitive.</span> <span class='property-internal'>Required when CostUnitId is set</span>
     */
    cost: number | null | undefined;
    /**
     * The unit for this record's cost.  Required if RecordTypeId is set to 2 (Cost), otherwise it is optional. <span class='property-internal'>Required when RecordTypeId is set to 2, case sensitive.</span> <span class='property-internal'>Required when Cost is set</span>
     */
    costUnitId: number | null | undefined;
    /**
     * The note for this record <span class='property-internal'>Must be between 0 and 255 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    note: string | null | undefined;
    /**
     * The attachment for this record <span class='property-internal'>Must be between 0 and 260 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    attachment: string | null | undefined;
}
