/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CostConversionBase } from './costConversionBase';
import { EmissionRecordType } from './emissionRecordType';
import { EmissionSourceChild } from './emissionSourceChild';
import { GHGFactorChild } from './gHGFactorChild';
import { GHGGroupEmissions } from './gHGGroupEmissions';
import { GHGScopeCategoryChild } from './gHGScopeCategoryChild';
import { UserChild } from './userChild';
import { ValueWithUnit } from './valueWithUnit';
import { VendorChild } from './vendorChild';
export declare class EmissionRecordResponse {
    /**
     * The record identifier
     */
    emissionRecordId: number | null | undefined;
    /**
     * The bill identifier, if this record originated from a bill in UtilityManagement
     */
    billId: number | null | undefined;
    emissionSource: EmissionSourceChild | null | undefined;
    vendor: VendorChild | null | undefined;
    /**
     * The start date for the record
     */
    startDate: Date | null | undefined;
    /**
     * The end date for the record
     */
    endDate: Date | null | undefined;
    /**
     * The bill's billing period, if this record originated from a bill in UtilityManagement
     */
    billingPeriod: number | null | undefined;
    emissionRecordType: EmissionRecordType | null | undefined;
    scopeCategory: GHGScopeCategoryChild | null | undefined;
    factor: GHGFactorChild | null | undefined;
    quantity: ValueWithUnit | null | undefined;
    cost: ValueWithUnit | null | undefined;
    systemCost: ValueWithUnit | null | undefined;
    costConversion: CostConversionBase | null | undefined;
    /**
     * The total GHG emissions for this record in kgCO2e.
     */
    totalEmissions: number | null | undefined;
    /**
     * The GHG emissions for this record, split by greenhouse gas type
     */
    emissionValues: Array<GHGGroupEmissions> | null | undefined;
    /**
     * The note for this record
     */
    note: string | null | undefined;
    /**
     * The attachment for this record
     */
    attachment: string | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date this record was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date this record was last modified
     */
    modifiedDate: Date | null | undefined;
    /**
     * The emission record creation method
     */
    creationMethod: string | null | undefined;
}
