/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class EsaChannelVersionCreate {
    /**
     * Indicates the channel observation rule  Demand channels cannot have the odometer observation rule <span class='property-internal'>Required</span> <span class='property-internal'>Must be a valid value for ObservationRuleEnum: Odometer = 1, Trip = 2</span>
     */
    observationRuleId: EsaChannelVersionCreate.ObservationRuleIdEnum;
    /**
     * The channel multiplier <span class='property-internal'>Must be between -9999999999999 and 9999999999999</span> <span class='property-internal'>Required</span> <span class='property-internal'>Max scale of 15, max precision of 30</span>
     */
    multiplier: number | null;
    /**
     * The channel offset   Exclusive to the Trip observation rule <span class='property-internal'>Must be between -9999999999999 and 9999999999999</span> <span class='property-internal'>Max scale of 15, max precision of 30</span>
     */
    offset: number | null | undefined;
    /**
     * The channel unit identifier. It cannot be a Money unit type. <span class='property-internal'>Required</span>
     */
    unitId: number | null;
    /**
     * Indicates if the final value is always positive
     */
    isValuePositive: boolean | null | undefined;
    /**
     * The channel Odometer Rollover Value. Exclusive to the Odometer observation rule  If not provided, the default 999999999999999 is used <span class='property-internal'>Must be between 0 and 999999999999999</span> <span class='property-internal'>Max scale of 15, max precision of 30</span> <span class='property-internal'>NULL Valid</span> <span class='property-internal'>Must be null when ObservationRuleId  is  set to Trip, case sensitive</span>
     */
    rolloverValue: number | null | undefined;
    /**
     * The channel Odometer Rollover Allowance. Exclusive to the Odometer observation rule  If not provided, the default 0.1 is used <span class='property-internal'>Must be between 0 and 1</span> <span class='property-internal'>Max scale of 15, max precision of 30</span> <span class='property-internal'>NULL Valid</span> <span class='property-internal'>Must be null when ObservationRuleId  is  set to Trip, case sensitive</span>
     */
    rollbackAllowance: number | null | undefined;
    /**
     * The channel Minimum Computed Reading <span class='property-internal'>Must be between -999999999999999 and 999999999999999</span> <span class='property-internal'>Max scale of 15, max precision of 30</span> <span class='property-internal'>NULL Valid</span>
     */
    minimumReading: number | null | undefined;
    /**
     * The channel Maximum Computed Reading <span class='property-internal'>Must be between -999999999999999 and 999999999999999</span> <span class='property-internal'>Max scale of 15, max precision of 30</span> <span class='property-internal'>NULL Valid</span>
     */
    maximumReading: number | null | undefined;
    /**
     * The formula that should be used to calculate the channel's values.   Should only be provided when channel's IsCalculated property equals true.
     */
    formula: string | null | undefined;
}
export declare namespace EsaChannelVersionCreate {
    enum ObservationRuleIdEnum {
        NUMBER_1,
        NUMBER_2
    }
}
