/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AddressChild } from './addressChild';
export declare class EsaPlaceEdit {
    /**
     * The place code. <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span> <span class='property-internal'>Not ROOT</span>
     */
    placeCode: string | null;
    /**
     * The place info. <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 50 characters</span>
     */
    placeInfo: string | null;
    /**
     * The identifier for the parent of the place. The parent is the place directly above the current place. <span class='property-internal'>Topmost (Space)</span> <span class='property-internal'>Required</span>
     */
    parentPlaceId: number | null;
    /**
     * The identifier for the place type. <span class='property-internal'>Required</span>
     */
    placeTypeId: number | null;
    /**
     * The identifier for the place's primary use.  If this is a site and PrimaryUseId is null this will be set to Unknown (PrimaryUseId 55).  Not valid for Spaces. <span class='property-internal'>Required (defined)</span>
     */
    primaryUseId: number | null | undefined;
    /**
     * The date and time the place was built.  Not valid for Spaces. <span class='property-internal'>Required (defined)</span>
     */
    buildDate: Date | null | undefined;
    address: AddressChild | null | undefined;
    /**
     * The code for the weather station the place is assigned to.  Not valid for Spaces. <span class='property-internal'>Must be between 0 and 32 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    weatherStationCode: string | null | undefined;
    /**
     * A description of the place. <span class='property-internal'>Must be between 0 and 4000 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    placeDescription: string | null | undefined;
    /**
     * The name of the place's image.  Not valid for Spaces. <span class='property-internal'>Required (defined)</span>
     */
    imageFilename: string | null | undefined;
    /**
     * The time zone identifier.  Not valid for Spaces. <span class='property-internal'>Required (defined)</span>
     */
    timeZoneId: number | null | undefined;
}
