/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AddressChild } from './addressChild';
import { ContactChild } from './contactChild';
import { DataPointChild } from './dataPointChild';
import { EnergyStarRatingChild } from './energyStarRatingChild';
import { LatestBenchmarkValue } from './latestBenchmarkValue';
import { MeterChild } from './meterChild';
import { PlaceChild } from './placeChild';
import { PlaceSizeChild } from './placeSizeChild';
import { PlaceTypeResponse } from './placeTypeResponse';
import { PrimaryUseChild } from './primaryUseChild';
import { ScheduleChild } from './scheduleChild';
import { TimeZoneChild } from './timeZoneChild';
import { UserChild } from './userChild';
import { WatticsSite } from './watticsSite';
import { WeatherStationChild } from './weatherStationChild';
export declare class EsaPlaceResponse {
    parent: PlaceChild | null | undefined;
    placeType: PlaceTypeResponse | null | undefined;
    /**
     * The date and time the place was created
     */
    createdDate: Date | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time of the most recent modification to the place
     */
    modifiedDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    address: AddressChild | null | undefined;
    /**
     * The date and time the place was built
     */
    buildDate: Date | null | undefined;
    primaryUse: PrimaryUseChild | null | undefined;
    weatherStation: WeatherStationChild | null | undefined;
    size: PlaceSizeChild | null | undefined;
    benchmark1: LatestBenchmarkValue | null | undefined;
    benchmark2: LatestBenchmarkValue | null | undefined;
    benchmark3: LatestBenchmarkValue | null | undefined;
    /**
     * Tells whether energy star is enabled for the given place
     */
    energyStarEnabled: boolean | null | undefined;
    energyStarRating: EnergyStarRatingChild | null | undefined;
    /**
     * An array of child places. A child place is one directly beneath the current place
     */
    places: Array<PlaceChild> | null | undefined;
    /**
     * An array of child meters. A child meter is one directly beneath the current place
     */
    meters: Array<MeterChild> | null | undefined;
    /**
     * An array of child data points. A child data point is one directly beneath the current place
     */
    dataPoints: Array<DataPointChild> | null | undefined;
    contact: ContactChild | null | undefined;
    /**
     * A description of the place
     */
    placeDescription: string | null | undefined;
    watticsSite: WatticsSite | null | undefined;
    /**
     * Tells whether the place area is calculated from its children (TODO: Use 'Area' instead of 'Size'? Would be inconsistent with Size property in DTO)
     */
    isSizeCalculated: boolean | null | undefined;
    /**
     * Tells whether or not the place's data is rolled up to its parents.  Currently only supported by ESA.
     */
    isDataRolledUp: boolean | null | undefined;
    sizeInReportingUnit: PlaceSizeChild | null | undefined;
    /**
     * The name of the place's image.  Currently only supported by ESA.
     */
    imageFilename: string | null | undefined;
    timeZone: TimeZoneChild | null | undefined;
    /**
     * The place's schedules
     */
    schedules: Array<ScheduleChild> | null | undefined;
    /**
     * The place identifier
     */
    placeId: number | null | undefined;
    /**
     * The place code
     */
    placeCode: string | null | undefined;
    /**
     * The place info
     */
    placeInfo: string | null | undefined;
}
