/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { EsaReadingValue } from './esaReadingValue';
/**
 * ESA reading request
 */
export declare class EsaReadingCreate {
    /**
     *  Channel Identification         The channel that receives the reading is determined by the following rules:        Direct pointers to a channel      If the EsaChannelId is supplied, then import to that channel.      If the EsaChannelId is not supplied look at the EsaChannelImportId property, which indicates a specific channel.  Inferred pointers to a channel      If the EsaChannelId and EsaChannelImportId are not supplied, look at the DataPointImportId property, which indicates a data point.If that data point has one channel, import to that channel.      If that data point has more than one channel, find the channel with the same observation type as the ObservationTypeCode property.If only one is found, import to that channel.      If more than one channel is found based on observation type, find the channel with the same output unit as the UnitCode property.If only one is found, import to that channel.      If more than one channel is found based on unit, find the channel with the same EsaChannelIntervalMinutes property. If only one is found, import to that channel. <span class='property-internal'>Topmost (EsaChannel)</span> <span class='property-internal'>At least one of EsaChannelId, EsaChannelImportId, DataPointImportId must not be null</span>
     */
    esaChannelId: number | null | undefined;
    /**
     * The import identifier for the channel on which to create the reading. See the EsaChannelId property for more information <span class='property-internal'>At least one of EsaChannelId, EsaChannelImportId, DataPointImportId must not be null</span>
     */
    esaChannelImportId: string | null | undefined;
    /**
     * The import identifier for the data point on which to create the reading. See the EsaChannelId property for more information <span class='property-internal'>At least one of EsaChannelId, EsaChannelImportId, DataPointImportId must not be null</span>
     */
    dataPointImportId: string | null | undefined;
    /**
     * The interval in minutes for the channel on which to create the reading. See the EsaChannelId property for more information
     */
    esaChannelIntervalMinutes: number | null | undefined;
    /**
     * The observationType code of the reading. See the EsaChannelId property for more information
     */
    observationTypeCode: string | null | undefined;
    /**
     * The unit code of the reading. See the EsaChannelId property for more information
     */
    unitCode: string | null | undefined;
    /**
     * List of readings <span class='property-internal'>Required</span>
     */
    readings: Array<EsaReadingValue> | null;
}
