/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ColumnNumberOrOverrideValueNullableInt32 } from './columnNumberOrOverrideValueNullableInt32';
import { ColumnNumberOrOverrideValueString } from './columnNumberOrOverrideValueString';
import { EsaReadingImportProfileColumn } from './esaReadingImportProfileColumn';
import { Estimated } from './estimated';
export declare class EsaReadingImportProfileEdit {
    /**
     * Name of the import profile <span class='property-internal'>Max length of 50</span> <span class='property-internal'>Required</span>
     */
    profileInfo: string | null;
    /**
     * Description of the import profile <span class='property-internal'>Max length of 255</span> <span class='property-internal'>Required (defined)</span>
     */
    profileDescription: string | null | undefined;
    /**
     * The time zone for the import profile <span class='property-internal'>Required (defined)</span>
     */
    timeZoneId: number | null | undefined;
    /**
     * The string that represents how the file contents are delimited <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 2 characters</span>
     */
    delimiter: string | null;
    /**
     * The string that represents how the decimal values are separated <span class='property-internal'>Must be between 1 and 2 characters</span> <span class='property-internal'>One of ',', '.'</span> <span class='property-internal'>Case sensitive</span> <span class='property-internal'>Required (defined)</span>
     */
    decimalSeparator: string | null | undefined;
    /**
     * Number of header rows before the data begins (Skip Rows) <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 2147483647</span>
     */
    numberOfHeaderRows: number | null;
    dataPointImportId: ColumnNumberOrOverrideValueString | null | undefined;
    channelImportId: ColumnNumberOrOverrideValueString | null | undefined;
    /**
     * The format for the Date and Time of the readings. An example is MM/dd/yyyy mm:hh:ss:zzz <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of DateFormat, DateTimeFormat can be set</span> <span class='property-internal'>Only one of TimeFormat, DateTimeFormat can be set</span>
     */
    dateTimeFormat: string | null | undefined;
    /**
     * The number of the column that holds the Date and Time   Mandatory when Date Time Format column is provided <span class='property-internal'>Required when DateTimeFormat is set</span> <span class='property-internal'>Must be between 1 and 104</span>
     */
    dateTimeColumnNumber: number | null | undefined;
    /**
     * The format for the date of the readings. An example is MM/dd/yyyy <span class='property-internal'>Required (defined)</span> <span class='property-internal'>Only one of DateFormat, DateTimeFormat can be set</span>
     */
    dateFormat: string | null | undefined;
    /**
     * The number of the column that holds the date   Mandatory when Date Format column is provided <span class='property-internal'>Required when DateFormat is set</span> <span class='property-internal'>Must be between 1 and 104</span>
     */
    dateColumnNumber: number | null | undefined;
    /**
     * The format for the time of the readings. An example is mm:hh:ss:zzz  Mandatory when Date Format column is provided <span class='property-internal'>Required when DateFormat is set</span> <span class='property-internal'>Only one of TimeFormat, DateTimeFormat can be set</span>
     */
    timeFormat: string | null | undefined;
    /**
     * The number of the column that holds the time   Mandatory when Date Format column is provided <span class='property-internal'>Required when DateFormat is set</span> <span class='property-internal'>Must be between 1 and 104</span>
     */
    timeColumnNumber: number | null | undefined;
    estimated: Estimated | null | undefined;
    interval: ColumnNumberOrOverrideValueNullableInt32 | null | undefined;
    /**
     * Column number that holds a note to be stored with the reading <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>Required (defined)</span>
     */
    readingNoteColumnNumber: number | null | undefined;
    /**
     * Column number that holds reading value to be imported onto the ChannelImportId <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>Required when ChannelImportId is set</span> <span class='property-internal'>Only one of ReadingValueColumnNumber, IntervalDataTypes can be set</span>
     */
    readingValueColumnNumber: number | null | undefined;
    /**
     * A list of columns from the import sheet with their observation type and unit <span class='property-internal'>Cannot be Empty</span> <span class='property-internal'>NULL Valid</span> <span class='property-internal'>Required when DataPointImportId is set</span> <span class='property-internal'>Only one of ReadingValueColumnNumber, IntervalDataTypes can be set</span>
     */
    intervalDataTypes: Array<EsaReadingImportProfileColumn> | null | undefined;
}
