/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ColumnNumberOrOverrideValueNullableInt32 } from './columnNumberOrOverrideValueNullableInt32';
import { ColumnNumberOrOverrideValueString } from './columnNumberOrOverrideValueString';
import { EsaReadingImportProfileColumn } from './esaReadingImportProfileColumn';
import { Estimated } from './estimated';
import { TimeZoneChild } from './timeZoneChild';
import { UserChild } from './userChild';
export declare class EsaReadingImportProfileResponse {
    /**
     * Identifier of the record import profile
     */
    profileId: number | null | undefined;
    /**
     * Name of the import profile
     */
    profileInfo: string | null | undefined;
    /**
     * Description of the import profile
     */
    profileDescription: string | null | undefined;
    timeZone: TimeZoneChild | null | undefined;
    /**
     * The string that represents how the file contents are delimited
     */
    delimiter: string | null | undefined;
    /**
     * The string that represents how the decimal values are separated
     */
    decimalSeparator: string | null | undefined;
    /**
     * Number of header rows before the data begins
     */
    numberOfHeaderRows: number | null | undefined;
    dataPointImportId: ColumnNumberOrOverrideValueString | null | undefined;
    channelImportId: ColumnNumberOrOverrideValueString | null | undefined;
    /**
     * The format for the Date and Time of the readings. An example is MM/dd/yyyy mm:hh:ss:zzz
     */
    dateTimeFormat: string | null | undefined;
    /**
     * The number of the column that holds the Date and Time
     */
    dateTimeColumnNumber: number | null | undefined;
    /**
     * The format for the date of the readings. An example is MM/dd/yyyy
     */
    dateFormat: string | null | undefined;
    /**
     * The number of the column that holds the date
     */
    dateColumnNumber: number | null | undefined;
    /**
     * The format for the time of the readings. An example is mm:hh:ss:zzz
     */
    timeFormat: string | null | undefined;
    /**
     * The number of the column that holds the time
     */
    timeColumnNumber: number | null | undefined;
    estimated: Estimated | null | undefined;
    interval: ColumnNumberOrOverrideValueNullableInt32 | null | undefined;
    /**
     * Column number that holds a note to be stored with the reading
     */
    readingNoteColumnNumber: number | null | undefined;
    /**
     * Column number that holds reading value to be imported onto the ChannelImportId
     */
    readingValueColumnNumber: number | null | undefined;
    /**
     * A list of columns from the import sheet with their observation type and unit
     */
    intervalDataTypes: Array<EsaReadingImportProfileColumn> | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time the import profile was modified
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date and time the import profile was modified
     */
    modifiedDate: Date | null | undefined;
}
