/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { EsaReadingImportProfile } from './esaReadingImportProfile';
export declare class EsaReadingImportRequest {
    /**
     * Name of the import profile <span class='property-internal'>Must be between 0 and 64 characters</span> <span class='property-internal'>Only one of ProfileInfo, InlineProfile can be set</span>
     */
    profileInfo: string | null | undefined;
    inlineProfile: EsaReadingImportProfile | null | undefined;
    /**
     * FileName for the import file. Should include extension.  The extension allows the importer to read the data in the proper format (csv, xlsx, zip) <span class='property-internal'>Required</span>
     */
    fileName: string | null;
    /**
     * The base64 encoded file <span class='property-internal'>Required</span>
     */
    fileContent: string | null;
    /**
     * Optional note/comment.
     */
    importNote: string | null | undefined;
    /**
     * The type of notification to send when the import is completed with errors.  Default is \"SystemMessages\". <span class='property-internal'>Must be a valid value for NotificationTypeEnum: SystemMessages = 1, BillImportAutomation = 2, BillExportToApAutomation = 3, IntervalDataAutomation = 4, UserGroupMessages = 5, UpdatesAndNewFeatures = 6, HelpArticlesTipsAndSuggestions = 7, CustomerServiceMessages = 8, EnergyStarSubmissionFailures = 9, BillExportToGlAutomation = 10, AutomaticallyCreatedMetersOrAccounts = 11, ExceededLicensedObjectCount = 12, BillCaptureAutomation = 13</span>
     */
    completeWithErrorsNotificationType: EsaReadingImportRequest.CompleteWithErrorsNotificationTypeEnum;
}
export declare namespace EsaReadingImportRequest {
    enum CompleteWithErrorsNotificationTypeEnum {
        NUMBER_1,
        NUMBER_2,
        NUMBER_3,
        NUMBER_4,
        NUMBER_5,
        NUMBER_6,
        NUMBER_7,
        NUMBER_8,
        NUMBER_9,
        NUMBER_10,
        NUMBER_11,
        NUMBER_12,
        NUMBER_13
    }
}
