/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
/**
 * ESA reading value request
 */
export declare class EsaReadingValue {
    /**
     * The date and time of the reading. If the 'seconds' portion of the timestamp is greater than 0 the reading is rounded up to the next minute.<br />   If UseDataPointTimeZone is true any time zone information on the reading is ignored and the reading is saved in the data point's time zone.<br />  If UseDataPointTimeZone is false and a time zone is not present in the timestamp, the reading is saved in UTC.<br />  Else, the reading is saved in the time zone provided.<br />  Note that the time zone of existing readings are not updated. Delete and recreate a reading if you wish to change its 'raw' time zone.  In-app reporting will display the reading adjusted to the data point's time zone from the original time zone it was saved in. <span class='property-internal'>Required</span>
     */
    timestamp: Date | null;
    /**
     * If true, any time zone information on the timestamp property is ignored and the reading is saved in the data point's time zone. <br />  For example, if the timestamp provided is \"2024-01-01 05:00:00 -04:00\" and the data point's time zone offset is -07:00,  the reading will be saved as \"2024-01-01 05:00:00 -07:00\".<br />  If omitted, this property is presumed to be false, meaning the offset in the timestamp property is honored.
     */
    useDataPointTimeZone: boolean | null | undefined;
    /**
     * The reading's value <span class='property-internal'>Required</span> <span class='property-internal'>Max scale of 15, max precision of 30</span> <span class='property-internal'>Must be between -9999999999999 and 9999999999999</span>
     */
    value: number | null;
    /**
     * Indicates if the reading is estimated. If omitted, this is presumed to be false.
     */
    estimated: boolean | null | undefined;
    /**
     * A note pertaining to the reading <span class='property-internal'>Max length of 255</span>
     */
    note: string | null | undefined;
}
