/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { BatchChild } from './batchChild';
import { BillReversal } from './billReversal';
import { CostConversion } from './costConversion';
import { JsonBillExportAccount } from './jsonBillExportAccount';
import { UserChild } from './userChild';
export declare class JsonBillExportResponse {
    /**
     * The bill identifier
     */
    billId: number | null | undefined;
    /**
     * Indicates if the bill has been voided
     */
    void: boolean | null | undefined;
    /**
     * Indicates if the bill is from a vendor
     */
    fromVendor: boolean | null | undefined;
    /**
     * The method used to create the bill Automatic, Manual, Estimated, Simulated, Accrual, or Adjustment
     */
    creationMethod: string | null | undefined;
    /**
     * Indicates if the bill is an accrual
     */
    accrual: boolean | null | undefined;
    /**
     * Indicates if the bill is a reversed accrual
     */
    accrualReversed: boolean | null | undefined;
    batch: BatchChild | null | undefined;
    /**
     * The date the batch was closed
     */
    batchEndDate: Date | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time the bill was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date and time of the most recent modification
     */
    modifiedDate: Date | null | undefined;
    /**
     * Indicates if the bill has been approved
     */
    approved: boolean | null | undefined;
    /**
     * The date and time the bill was approved
     */
    approveDate: Date | null | undefined;
    approvedBy: UserChild | null | undefined;
    /**
     * Indicates if the bill has been split
     */
    hasBeenSplit: boolean | null | undefined;
    /**
     * The date and time the bill was split
     */
    wasSplitDate: Date | null | undefined;
    /**
     * Indicates if the bill is being withheld from bill exports
     */
    exportHold: boolean | null | undefined;
    /**
     * Indicates if the bill has been ap exported
     */
    apExported: boolean | null | undefined;
    /**
     * The date and time the bill was ap exported
     */
    apExportDate: Date | null | undefined;
    apExportedBy: UserChild | null | undefined;
    /**
     * Indicates if the bill has been gl exported
     */
    glExported: boolean | null | undefined;
    glExportedBy: UserChild | null | undefined;
    /**
     * The date and time the bill was exported to gl
     */
    glExportDate: Date | null | undefined;
    /**
     * Indicates if the bill has been exported to bill payment
     */
    paymentExported: boolean | null | undefined;
    paymentExportedBy: UserChild | null | undefined;
    /**
     * The date and time the bill was exported to bill payment
     */
    paymentExportDate: Date | null | undefined;
    /**
     * The method used to upload the bill to BillCAPture, if applicable
     */
    bcAcquisitionMethod: string | null | undefined;
    /**
     * The date and time the bill was received by BillCAPture
     */
    bcReceived: Date | null | undefined;
    /**
     * The date and time the bill entered processing in BillCAPture
     */
    bcSentToProcessing: Date | null | undefined;
    /**
     * The date and time the bill was returned from processing in BillCAPture
     */
    bcReturnedFromProcessing: Date | null | undefined;
    /**
     * The date and time the bill processing was completed in BillCAPture
     */
    bcProcessingComplete: Date | null | undefined;
    /**
     * The number of the check that the bill was paid with
     */
    checkNumber: string | null | undefined;
    /**
     * The date and time of the check
     */
    checkDate: Date | null | undefined;
    /**
     * The payment status of the bill
     */
    payStatus: string | null | undefined;
    /**
     * The date when funds were withdrawn
     */
    fundsWithdrawnDate: Date | null | undefined;
    /**
     * The date and time that the check cleared
     */
    clearedDate: Date | null | undefined;
    /**
     * The payment type of the bill.   For example, Check, VCard, and ACH.
     */
    paymentType: string | null | undefined;
    /**
     * The net amount of the payment event of the bill
     */
    paymentAmount: number | null | undefined;
    /**
     * The API URL that can be used to download the file of the payment voucher
     */
    paymentVoucher: string | null | undefined;
    account: JsonBillExportAccount | null | undefined;
    /**
     * The bill's begin date
     */
    beginDate: Date | null | undefined;
    /**
     * The bill's end date
     */
    endDate: Date | null | undefined;
    /**
     * The bill's billing period
     */
    billingPeriod: number | null | undefined;
    /**
     * The bill's number of days
     */
    days: number | null | undefined;
    /**
     * The bill's accounting period
     */
    accountPeriod: number | null | undefined;
    /**
     * The bill's accounting period name
     */
    accountPeriodName: string | null | undefined;
    /**
     * The bill's total cost in the system currency.  The system currency is the reporting/global currency unit.
     */
    totalCost: number | null | undefined;
    /**
     * The bill's total cost in the source currency.  The source currency is the native currency unit.
     */
    totalSourceCost: number | null | undefined;
    costConversion: CostConversion | null | undefined;
    /**
     * The bill's balance
     */
    balance: number | null | undefined;
    /**
     * Indicates if the bill is estimated
     */
    estimated: boolean | null | undefined;
    /**
     * The date of the billing statement
     */
    statementDate: Date | null | undefined;
    /**
     * The date and time the bill is due
     */
    dueDate: Date | null | undefined;
    /**
     * The bill's invoice number
     */
    invoiceNumber: string | null | undefined;
    /**
     * The bill's control code
     */
    controlCode: string | null | undefined;
    /**
     * The fully qualified url to the bill image
     */
    billImageUrl: string | null | undefined;
    /**
     * Bill note
     */
    billNote: string | null | undefined;
    /**
     * The bill's next reading date
     */
    nextReading: Date | null | undefined;
    reversalDetails: BillReversal | null | undefined;
    /**
     * Indicates whether this bill is excluded from accruals or not
     */
    excludedFromAccruals: boolean | null | undefined;
    /**
     * Indicates whether this bill is currently being analyzed
     */
    analyzing: boolean | null | undefined;
}
