/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { FilterEdit } from './filterEdit';
export declare class MapDashboardSettingsRequest {
    /**
     * The title of the dashboard. <span class='property-internal'>Required</span> <span class='property-internal'>Max length of 255</span>
     */
    title: string | null;
    /**
     * The description of the dashboard. <span class='property-internal'>Max length of 255</span> <span class='property-internal'>Required (defined)</span>
     */
    description: string | null | undefined;
    /**
     * Flag to indicate if Cost data should be shown on the dashboard. <span class='property-internal'>Required (defined)</span>
     */
    showCost: boolean | null | undefined;
    /**
     * Flag to indicate if Use data should be shown on the dashboard. <span class='property-internal'>Required (defined)</span>
     */
    showUse: boolean | null | undefined;
    /**
     * Flag to indicate if Greenhouse Gas data should be shown on the dashboard. <span class='property-internal'>Required (defined)</span>
     */
    showGHG: boolean | null | undefined;
    /**
     * Filters to apply to the map. <span class='property-internal'>Required (defined)</span>
     */
    mapDashboardFilter: Array<FilterEdit> | null | undefined;
    /**
     * Set how commodities should be ordered for each data type. Applied individually to Cost, Use, and GHG Emissions.  Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions  Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions  Fixed - Select up to 5 fixed commodities to display. <span class='property-internal'>One of 'Highest', 'Lowest', 'Fixed'</span> <span class='property-internal'>Required (defined)</span>
     */
    globalCommodityDisplay: string | null | undefined;
    /**
     * List of Commodities to display for each data type. Required if GlobalCommodityDisplay is Fixed, ignored otherwise. Maximum length of 5 items. <span class='property-internal'>Required when GlobalCommodityDisplay is set to Fixed</span> <span class='property-internal'>List cannot be empty</span>
     */
    fixedCommodityIds: Array<number> | null | undefined;
}
