/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { Claim } from './claim';
import { EnergyCapOptionsEnergyCapIDOptions } from './energyCapOptionsEnergyCapIDOptions';
import { EnergyStarSettings } from './energyStarSettings';
import { GHGSettings } from './gHGSettings';
import { Permissions } from './permissions';
import { Preference } from './preference';
import { TargetSettings } from './targetSettings';
import { TimeFormatResponse } from './timeFormatResponse';
import { TopmostCollection } from './topmostCollection';
import { TopmostCostCenter } from './topmostCostCenter';
import { TopmostPlace } from './topmostPlace';
import { TopmostSpace } from './topmostSpace';
import { UnitChild } from './unitChild';
import { UtilityPlatform } from './utilityPlatform';
export declare class Me {
    place: TopmostPlace | null | undefined;
    costCenter: TopmostCostCenter | null | undefined;
    collection: TopmostCollection | null | undefined;
    space: TopmostSpace | null | undefined;
    /**
     * User's authentication token
     */
    token: string | null | undefined;
    /**
     * User's external user ID
     */
    externalUserId: string | null | undefined;
    /**
     * Username
     */
    systemUserCode: string | null | undefined;
    /**
     * Unique identifier for the user
     */
    systemUserId: number | null | undefined;
    /**
     * Owner identifier
     */
    ownerId: number | null | undefined;
    /**
     * User's full name
     */
    fullName: string | null | undefined;
    /**
     * User's email address
     */
    email: string | null | undefined;
    /**
     * Number of accounting periods configured for the user's owner
     */
    numberOfAccountingPeriods: number | null | undefined;
    /**
     * Calendarization configured for user's owner
     */
    calendarizationMethod: string | null | undefined;
    /**
     * Fiscal year start month configured for the user's owner
     */
    fiscalYearStartMonth: number | null | undefined;
    /**
     * Method configured for identification of fiscal year for the user's owner
     */
    fiscalYearMethod: string | null | undefined;
    /**
     * List of the user's claims
     */
    claim: Array<Claim> | null | undefined;
    preference: Preference | null | undefined;
    /**
     * Available date formats
     */
    dateFormats: Array<string> | null | undefined;
    /**
     * Available time formats
     */
    timeFormats: Array<TimeFormatResponse> | null | undefined;
    currencyUnit: UnitChild | null | undefined;
    /**
     * Current account period calculated from configuration for the user's owner
     */
    currentAccountingPeriod: number | null | undefined;
    /**
     * User's user role
     */
    userRoleName: string | null | undefined;
    permissions: Permissions | null | undefined;
    /**
     * List of enabled feature flags
     */
    featureFlags: Array<string> | null | undefined;
    /**
     * Upgrade version number (Version 3)
     */
    upgradeVersionV3: string | null | undefined;
    /**
     * Upgrade version number (Version 7)
     */
    upgradeVersionV7: string | null | undefined;
    /**
     * Application SKU as set in the license code  Possible values are:  SaaS (Express), Professional, Online (Enterprise), ConsultantPlatform, ConsultantPlatformPlus, UtilityCompanyPlatform, and Other.
     */
    sku: string | null | undefined;
    /**
     * Current environment
     */
    environment: string | null | undefined;
    /**
     * Build date for the current application version
     */
    buildDate: Date | null | undefined;
    /**
     * The email address to use as the sender for report distribution
     */
    reportDistributionFromEmailAddress: string | null | undefined;
    /**
     * The email name to use as the sender for report distribution
     */
    reportDistributionFromEmailName: string | null | undefined;
    /**
     * The current mode of the application  Values: Online, Offline
     */
    applicationMode: string | null | undefined;
    /**
     * The current version of the database
     */
    currentDatabaseVersion: number | null | undefined;
    utilityPlatformSettings: UtilityPlatform | null | undefined;
    /**
     * Node where unplaced meters are assigned
     */
    unplacedMetersParentId: number | null | undefined;
    /**
     * Node where unplaced accounts are assigned
     */
    unplacedAccountsParentId: number | null | undefined;
    /**
     * Node where unplaced emmission sources are assigned
     */
    unplacedEmissionSourcesParentId: number | null | undefined;
    /**
     * Node where unplaced data points are assigned
     */
    unplacedDataPointsParentId: number | null | undefined;
    floorAreaUnit: UnitChild | null | undefined;
    /**
     * Alternate URL to use as a Support link
     */
    supportUrl: string | null | undefined;
    ghgSettings: GHGSettings | null | undefined;
    targetSettings: TargetSettings | null | undefined;
    /**
     * Months to exclude by default in charts
     */
    chartMonthsToExclude: number | null | undefined;
    energyCapIdSettings: EnergyCapOptionsEnergyCapIDOptions | null | undefined;
    energyStarSettings: EnergyStarSettings | null | undefined;
    /**
     * Owner’s external Identifier
     */
    externalOwnerId: string | null | undefined;
    /**
     * Indicates whether the user is in a production environment
     */
    isProduction: boolean | null | undefined;
    /**
     * Indicates which approach is used for bill image URL  0 indicates owner is set to use bill image name, 1 indicates use control code of the bill, 2 indicates use batch code.
     */
    webBillImageUseControlCode: Me.WebBillImageUseControlCodeEnum;
    /**
     * Indicates which extension should be used for bill images.
     */
    webBillImageExt: string | null | undefined;
    /**
     * Base URL used for bill images.
     */
    webBillImageUrl: string | null | undefined;
}
export declare namespace Me {
    enum WebBillImageUseControlCodeEnum {
        NUMBER_0,
        NUMBER_1,
        NUMBER_2
    }
}
