/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { RequiredAddressChild } from './requiredAddressChild';
export declare class MeterCreate {
    /**
     * The meter code <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    meterCode: string | null;
    /**
     * The meter info <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 50 characters</span>
     */
    meterInfo: string | null;
    /**
     * The identifier for the meter's commodity <span class='property-internal'>Required</span>
     */
    commodityId: number | null;
    /**
     * The identifier for the place the meter is assigned to <span class='property-internal'>Topmost (Place)</span> <span class='property-internal'>Required</span>
     */
    placeId: number | null;
    address: RequiredAddressChild | null;
    /**
     * The bill entry note <span class='property-internal'>Must be between 0 and 64 characters</span>
     */
    billEntryNote: string | null | undefined;
    /**
     * DEPRECATED  To be included in ENERGY STAR a meter needs to be linked to a meter in Portfolio Manager  This can be done with the PUT place/{placeId}/energyStar/link or the ENERGY STAR: Mappings Setup Sheet
     */
    includeInEnergyStar: boolean | null | undefined;
    /**
     * An array of meter properties
     */
    properties: {
        [key: string]: string;
    } | null | undefined;
    /**
     * The identifier for the meter's primary use
     */
    primaryUseId: number | null | undefined;
    /**
     * The identifier for the meter type. Allowed values include: 1 (standard meter) and 6 (chargeback meter) <span class='property-internal'>Required</span>
     */
    meterTypeId: number | null;
    /**
     * The identifier for the meter's time zone. If one is not specified, the global default meter time zone will be used.
     */
    meterTimeZoneId: number | null | undefined;
    /**
     * The use unit ID is the reporting unit for use for this meter.   It is used to determine initial bill format for this meter.  If not provided defaults to the common unit for the meter commodity
     */
    useUnitId: number | null | undefined;
    /**
     * The demand unit ID is the reporting unit for demand for this meter.   It is used to determine initial bill format for this meter.
     */
    demandUnitId: number | null | undefined;
    /**
     * A description of the meter <span class='property-internal'>Must be between 0 and 4000 characters</span>
     */
    meterDescription: string | null | undefined;
}
