/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AddressChild } from './addressChild';
export declare class MeterEdit {
    /**
     * The meter code <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    meterCode: string | null;
    /**
     * The meter info <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 50 characters</span>
     */
    meterInfo: string | null;
    /**
     * The identifier for the place the meter is assigned to <span class='property-internal'>Topmost (Place)</span> <span class='property-internal'>Required</span>
     */
    placeId: number | null;
    /**
     * The commodity identifier that the meter is assigned to.   If different from original commodity id, then a commodity change will be attempted. <span class='property-internal'>Required</span>
     */
    commodityId: number | null;
    address: AddressChild | null | undefined;
    /**
     * The bill entry note <span class='property-internal'>Must be between 0 and 64 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    billEntryNote: string | null | undefined;
    /**
     * DEPRECATED  To be included in ENERGY STAR a meter needs to be linked to a meter in Portfolio Manager  This can be done with the PUT place/{placeId}/energyStar/link or the ENERGY STAR: Mappings Setup Sheet <span class='property-internal'>Required (defined)</span>
     */
    includeInEnergyStar: boolean | null | undefined;
    /**
     * The identifier for the meter's primary use <span class='property-internal'>Required (defined)</span>
     */
    primaryUseId: number | null | undefined;
    /**
     * The identifier for the meter's time zone. <span class='property-internal'>Required</span>
     */
    meterTimeZoneId: number | null;
    /**
     * Is this meter active? <span class='property-internal'>Required</span>
     */
    active: boolean | null;
    /**
     * An array of meter properties <span class='property-internal'>Required (defined)</span>
     */
    properties: {
        [key: string]: string;
    } | null | undefined;
    /**
     * The use unit ID is the reporting unit for use for this meter.   If it is null the use unit will be removed (only if the commodity does not have a default use unit, otherwise an exception will be thrown) <span class='property-internal'>Required (defined)</span>
     */
    useUnitId: number | null | undefined;
    /**
     * The demand unit ID is the reporting unit for demand for this meter.   If it is null the demand unit will be removed <span class='property-internal'>Required (defined)</span>
     */
    demandUnitId: number | null | undefined;
    /**
     * A description of the meter <span class='property-internal'>Must be between 0 and 4000 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    meterDescription: string | null | undefined;
}
