/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AddressChild } from './addressChild';
import { ChannelChild } from './channelChild';
import { CommodityChild } from './commodityChild';
import { EmissionSourceLink } from './emissionSourceLink';
import { MeterAccountChild } from './meterAccountChild';
import { MeterSerialNumberHistoryChild } from './meterSerialNumberHistoryChild';
import { MeterTypeChild } from './meterTypeChild';
import { PlaceChild } from './placeChild';
import { PrimaryUseChild } from './primaryUseChild';
import { RouteChild } from './routeChild';
import { TimeZoneChild } from './timeZoneChild';
import { UnitChild } from './unitChild';
import { UserChild } from './userChild';
import { WatticsDataPoint } from './watticsDataPoint';
export declare class MeterResponse {
    /**
     * The identifier for the meter
     */
    meterId: number | null | undefined;
    /**
     * The meter code
     */
    meterCode: string | null | undefined;
    /**
     * The meter info
     */
    meterInfo: string | null | undefined;
    meterType: MeterTypeChild | null | undefined;
    /**
     * An array of channels assigned to this meter
     */
    channels: Array<ChannelChild> | null | undefined;
    /**
     *
     */
    accounts: Array<MeterAccountChild> | null | undefined;
    commodity: CommodityChild | null | undefined;
    place: PlaceChild | null | undefined;
    address: AddressChild | null | undefined;
    /**
     * The bill entry note
     */
    billEntryNote: string | null | undefined;
    /**
     * Indicates if the building is included in ENERGY STAR submissions
     */
    includeInEnergyStar: boolean | null | undefined;
    primaryUse: PrimaryUseChild | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date and time the meter was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date and time of the most recent modification of the meter
     */
    modifiedDate: Date | null | undefined;
    /**
     * An array of meter properties
     */
    properties: {
        [key: string]: string;
    } | null | undefined;
    /**
     * Indicates if the meter should be included in cost avoidance
     */
    includeInCostAvoidance: boolean | null | undefined;
    route: RouteChild | null | undefined;
    meterTimeZone: TimeZoneChild | null | undefined;
    /**
     * Indicates whether the Meter is Active
     */
    active: boolean | null | undefined;
    /**
     * Indicates whether the Meter is a calculated meter
     */
    isCalculatedMeter: boolean | null | undefined;
    /**
     * Indicates whether the Meter is a parent of a split
     */
    isSplitParentMeter: boolean | null | undefined;
    /**
     * Indicates whether the Meter is a child of a split
     */
    isSplitChildMeter: boolean | null | undefined;
    useUnit: UnitChild | null | undefined;
    demandUnit: UnitChild | null | undefined;
    /**
     * Meter's currently assigned serial number
     */
    serialNumber: string | null | undefined;
    serialNumberHistory: MeterSerialNumberHistoryChild | null | undefined;
    /**
     * A description of the meter
     */
    meterDescription: string | null | undefined;
    watticsDataPoint: WatticsDataPoint | null | undefined;
    emissionSource: EmissionSourceLink | null | undefined;
    /**
     * Provides some insight into the current Sentinel enabled status.
     */
    sentinelStatus: string | null | undefined;
}
