/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { GroupDisplaySetting } from './groupDisplaySetting';
import { WorkflowDisplaySetting } from './workflowDisplaySetting';
/**
 * Preferences specific to the logged-in user
 */
export declare class Preference {
    /**
     * Weather degree unit configured for the user's owner
     */
    weatherDegreeUnit: number | null | undefined;
    /**
     *
     */
    metersShowInactive: boolean | null | undefined;
    /**
     * Indicates whether or not to show inactive data points in the Data Points tree
     */
    dataPointsShowInactive: boolean | null | undefined;
    /**
     * Indicates whether or not to show the datasource name
     */
    showDataSource: boolean | null | undefined;
    /**
     *  <span class='property-internal'>One of 'name', 'code', 'namefirst', 'codefirst'</span> <span class='property-internal'>Case sensitive</span>
     */
    buildingTreeDisplaySetting: string | null | undefined;
    /**
     * Indicates whether or not to show inactive accounts in the Accounts tree
     */
    accountsShowInactive: boolean | null | undefined;
    /**
     * Indicates whether or not to show inactive emission sources in the Emission Sources tree
     */
    emissionSourcesShowInactive: boolean | null | undefined;
    /**
     * Name/Code display settings for the Accounts tree <span class='property-internal'>One of 'name', 'code', 'namefirst', 'codefirst'</span> <span class='property-internal'>Case sensitive</span>
     */
    costCenterTreeDisplaySetting: string | null | undefined;
    /**
     *
     */
    buildingTreeGroupToDisplay: number | null | undefined;
    /**
     *  <span class='property-internal'>One of 'name', 'code', 'namefirst', 'codefirst'</span> <span class='property-internal'>Case sensitive</span>
     */
    vendorTreeDisplaySetting: string | null | undefined;
    /**
     *
     */
    viewVendorsTreeByCommodity: boolean | null | undefined;
    groupDisplaySetting: GroupDisplaySetting | null | undefined;
    /**
     * Number of rows to display in bill lists
     */
    billListRowsPerPage: number | null | undefined;
    /**
     * Date format for the user
     */
    dateFormat: string | null | undefined;
    /**
     * Time format for the user
     */
    timeFormat: string | null | undefined;
    /**
     * Code of the default time zone configured for the user's owner
     */
    timeZoneCode: string | null | undefined;
    /**
     * Number of years to display in trend charts when the user views them
     */
    trendChartNumberOfYears: number | null | undefined;
    /**
     * User's language preference
     */
    language: string | null | undefined;
    /**
     * Value to use when displaying a single building or organization (name or code)
     */
    buildingAndOrganizationIdentifier: string | null | undefined;
    /**
     * Value to use when displaying a single meter (name or code)
     */
    meterIdentifier: string | null | undefined;
    /**
     * Value to use when displaying a single account (name or code)
     */
    accountIdentifier: string | null | undefined;
    /**
     * Value to use when displaying generic items (name or code)
     */
    otherIdentifier: string | null | undefined;
    /**
     * Value to use when displaying a single collection (name or code)
     */
    collectionIdentifier: string | null | undefined;
    /**
     * Value to use when displaying a single emission source (name or code)
     */
    emissionSourceIdentifier: string | null | undefined;
    /**
     * Value to use when displaying a single Space (name or code)
     */
    spaceIdentifier: string | null | undefined;
    /**
     * Value to use when displaying a single Data Point (name or code)
     */
    dataPointIdentifier: string | null | undefined;
    /**
     * Indicates whether or not in-app help is open
     */
    helpOpen: boolean | null | undefined;
    workflowDisplaySetting: WorkflowDisplaySetting | null | undefined;
}
