/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { GenericBodylineRequest } from './genericBodylineRequest';
import { UDFValue } from './uDFValue';
export declare class RateVersionRequest {
    /**
     * Effective date for the version <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 12/31/1899 and 1/1/3000</span>
     */
    effectiveDate: Date | null;
    /**
     * Note for the version <span class='property-internal'>Must be between 0 and 255 characters</span> <span class='property-internal'>Required (defined)</span>
     */
    note: string | null | undefined;
    /**
     * Unit cost for the use <span class='property-internal'>Required when UseUnitID is set</span> <span class='property-info'>Max scale of 8</span> <span class='property-internal'>NULL Valid</span>
     */
    useUnitCost: number | null | undefined;
    /**
     * Use unit ID <span class='property-internal'>Required when UseUnitCost is set</span>
     */
    useUnitId: number | null | undefined;
    /**
     * Unit cost for the demand <span class='property-internal'>Required when DemandUnitID is set</span> <span class='property-info'>Max scale of 8</span> <span class='property-internal'>NULL Valid</span>
     */
    demandUnitCost: number | null | undefined;
    /**
     * Demand unit ID <span class='property-internal'>Required when DemandUnitCost is set</span>
     */
    demandUnitId: number | null | undefined;
    /**
     * Cost bodylines for the account <span class='property-internal'>Required (defined)</span>
     */
    accountLineItems: Array<GenericBodylineRequest> | null | undefined;
    /**
     * Cost bodylines for the meter <span class='property-internal'>Required (defined)</span>
     */
    meterLineItems: Array<GenericBodylineRequest> | null | undefined;
    /**
     * List of user defined/custom fields and values for this version  If the Udfs list is null or empty no values are assigned  If a udf is omitted no value is assigned to that udf  To remove a value from an existing Udf, pass in the UdfId and set the Value to null <span class='property-internal'>Required (defined)</span>
     */
    udfs: Array<UDFValue> | null | undefined;
}
