/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { Reading } from './reading';
export declare class ReadingCreate {
    /**
     *  Channel Identification         The channel that receives the reading is determined by the following rules:        Direct pointers to a channel      If the channelId is supplied, then import to that channel.      If the channelId is not supplied look at the channelImportId property, which indicates a specific channel.  Inferred pointers to a channel      If the channelId and channelImportId are not supplied, look at the meterImportId property, which indicates a meter.If that meter has one channel, import to that channel.      If that meter has more than one channel, find the channel with the same observation type as the observationTypeCode property.If only one is found, import to that channel.      If more than one channel is found based on observation type, find the channel with the same output unit as the unitCode property.If only one is found, import to that channel.      If more than one channel is found based on unit, find the channel with the same channelIntervalInSeconds property. If only one is found, import to that channel. <span class='property-internal'>Topmost (Channel)</span>
     */
    channelId: number | null | undefined;
    /**
     * The import identifier for the channel on which to create the reading. See the channelId property for more information <span class='property-internal'>Must be between 0 and 255 characters</span>
     */
    channelImportId: string | null | undefined;
    /**
     * The import identifier for the meter on which to create the reading. See the channelId property for more information <span class='property-internal'>Must be between 0 and 255 characters</span>
     */
    meterImportId: string | null | undefined;
    /**
     *
     */
    channelIntervalInSeconds: number | null | undefined;
    /**
     * The observationType code of the reading. See the channelId property for more information <span class='property-internal'>Must be between 0 and 16 characters</span>
     */
    observationTypeCode: string | null | undefined;
    /**
     * The unit code of the reading. See the channelId property for more information <span class='property-internal'>Must be between 0 and 16 characters</span>
     */
    unitCode: string | null | undefined;
    /**
     * array of readings <span class='property-internal'>Required</span>
     */
    readings: Array<Reading> | null;
}
