/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { Estimated } from './estimated';
import { ReadingImportProfileColumn } from './readingImportProfileColumn';
export declare class ReadingImportProfileRequest {
    /**
     * The profile code <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 64 characters</span>
     */
    profileCode: string | null;
    /**
     * The interval of the readings in seconds
     */
    channelIntervalInSeconds: number | null | undefined;
    /**
     * The string that represents how the file contents are delimited.  Valid options are \"\\t\" for tab, \" \" for space and \",\" for comma. <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 2 characters</span> <span class='property-internal'>One of ' ', ' ', ','</span> <span class='property-internal'>Case sensitive</span>
     */
    delimiter: string | null;
    /**
     * Number of header rows before the data begins <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 2147483647</span>
     */
    numberOfHeaderRows: number | null;
    /**
     * The number of the column that holds the timestamp <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    timestampColumnNumber: number | null | undefined;
    /**
     * The format for the timestamp of the readings. An example is MM/dd/yyyy mm:hh:ss:zzz
     */
    timestampFormat: string | null | undefined;
    /**
     * The number of the column that holds the date <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    dateColumnNumber: number | null | undefined;
    /**
     * The number of the column that holds the time <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    timeColumnNumber: number | null | undefined;
    /**
     * The format for the date of the readings. An example is MM/dd/yyyy
     */
    dateFormat: string | null | undefined;
    /**
     * The format for the time of the readings. An example is mm:hh:ss:zzz
     */
    timeFormat: string | null | undefined;
    /**
     * The time zone for the readings
     */
    timeZoneId: number | null | undefined;
    /**
     * The number of the column that holds the meter import identifier <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    meterImportIdColumnNumber: number | null | undefined;
    /**
     * The number of the column that holds the channel import identifier <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    channelImportIdColumnNumber: number | null | undefined;
    /**
     * The minimum number of columns in the import sheet <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    numberOfColumns: number | null;
    /**
     * A list of columns from the import sheet with their observation type and unit
     */
    dataMapping: Array<ReadingImportProfileColumn> | null | undefined;
    estimated: Estimated | null | undefined;
    /**
     * Column number that holds a note to be stored with the reading <span class='property-internal'>Must be between 1 and 2147483647</span>
     */
    noteColumnNumber: number | null | undefined;
}
