/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class RecordImportProfileRequest {
    /**
     * Name of the import profile <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 64 characters</span>
     */
    profileCode: string | null;
    /**
     * The format for the record start/end dates.  It represents the regional convention for the order of day, month, and year. It is not a date format itself. <span class='property-internal'>Required</span> <span class='property-internal'>One of 'MM/dd/yyyy', 'dd/MM/yyyy', 'yyyy/MM/dd'</span> <span class='property-internal'>Case sensitive</span>
     */
    dateFormat: string | null;
    /**
     * The number of header rows before the data begins <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 9</span>
     */
    numberOfHeaderRows: number | null;
    /**
     * Flag to indicate if new emission sources or suppliers should be created if they do not already exist <span class='property-internal'>Required</span>
     */
    createNewEntities: boolean | null;
    /**
     * Optional notes field <span class='property-internal'>Max length of 255</span>
     */
    notes: string | null | undefined;
    /**
     * The index of the column that holds the emission source code <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 104</span>
     */
    emissionSourceCodeColumnIndex: number | null;
    /**
     * The index of the column that holds the emission source name <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>Required when CreateNewEntities is set to True, case sensitive.</span> <span class='property-internal'>Must be null when CreateNewEntities  is  set to False, case sensitive</span>
     */
    emissionSourceNameColumnIndex: number | null | undefined;
    /**
     * The index of the column that holds the emission source type <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>Required when CreateNewEntities is set to True, case sensitive.</span> <span class='property-internal'>Must be null when CreateNewEntities  is  set to False, case sensitive</span>
     */
    emissionSourceTypeColumnIndex: number | null | undefined;
    /**
     * The index of the column that holds the emission record start date <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 104</span>
     */
    startDateColumnIndex: number | null;
    /**
     * The index of the column that holds the emission record end date <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 1 and 104</span>
     */
    endDateColumnIndex: number | null;
    /**
     * The index of the column that holds the supplier name. This field is optional <span class='property-internal'>Must be between 1 and 104</span>
     */
    supplierColumnIndex: number | null | undefined;
    /**
     * The index of the column that holds the notes for a record. This field is optional <span class='property-internal'>Must be between 1 and 104</span>
     */
    notesColumnIndex: number | null | undefined;
    /**
     * The index of the column that holds the use for a record.   Required if no value is set for either the Cost Or Direct/Offset column numbers <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>At least one of UseColumnIndex, CostColumnIndex, DirectOffsetColumnIndex must not be null</span>
     */
    useColumnIndex: number | null | undefined;
    /**
     * The identifier for the use unit to use.  Required if UseColumnIndex is set <span class='property-internal'>Required when UseColumnIndex is set</span>
     */
    useUnitId: number | null | undefined;
    /**
     * The index of the column that holds the cost for a record.   Required if no value is set for either the Use Or Direct/Offset column numbers <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>At least one of UseColumnIndex, CostColumnIndex, DirectOffsetColumnIndex must not be null</span>
     */
    costColumnIndex: number | null | undefined;
    /**
     * The identifier for the cost unit to use.  Required if CostColumnIndex is set <span class='property-internal'>Required when CostColumnIndex is set</span>
     */
    costUnitId: number | null | undefined;
    /**
     * The index of the column that holds direct emissions/emission offsets for a record.   Required if no value is set for either the Use Or Cost column numbers <span class='property-internal'>Must be between 1 and 104</span> <span class='property-internal'>At least one of UseColumnIndex, CostColumnIndex, DirectOffsetColumnIndex must not be null</span>
     */
    directOffsetColumnIndex: number | null | undefined;
    /**
     * The identifier for the direct emissions/emission offset unit to use.  Required if DirectOffsetColumnIndex is set <span class='property-internal'>Required when DirectOffsetColumnIndex is set</span>
     */
    directOffsetUnitId: number | null | undefined;
}
