/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { Message } from './message';
import { UnitChild } from './unitChild';
/**
 * SavingsDaily Data - a class that represents CA Savings for a given day per meter/bill
 */
export declare class SavingsDailyData {
    /**
     * Baseline Adjusted to Current Conditions (BATCC) non-weather use in native units
     */
    batccNonWeatherNativeUse: number | null | undefined;
    /**
     * Baseline Adjusted to Current Conditions (BATCC) weather use in native units
     */
    batccWeatherNativeUse: number | null | undefined;
    /**
     * Baseline non-weather Use in native units
     */
    baselineNonWeatherNativeUse: number | null | undefined;
    /**
     * Baseline weather use in native units
     */
    baselineWeatherNativeUse: number | null | undefined;
    /**
     * Baseline Adjusted to Current Conditions (BATCC) cost
     */
    batccCost: number | null | undefined;
    /**
     * Average unit cost
     */
    averageUnitCost: number | null | undefined;
    /**
     * Number of cooling degrees used on this day in the baseline
     */
    baselineCoolingDegreeDays: number | null | undefined;
    /**
     * Number of cooling degrees used on this day
     */
    currentCoolingDegreeDays: number | null | undefined;
    /**
     * Number of heating degrees used on this day in the baseline
     */
    baselineHeatingDegreeDays: number | null | undefined;
    /**
     * Number of heating degrees used on this day
     */
    currentHeatingDegreeDays: number | null | undefined;
    /**
     * Indicates whether or not a Special Adjustment was in effect on this day
     */
    specialAdjustment: boolean | null | undefined;
    /**
     * Indicates whether or not an Area Adjustment was in effect on this day
     */
    areaAdjustment: boolean | null | undefined;
    /**
     * Indicates whether or not Weather Adjustment was in effect on this day
     */
    weatherAdjustment: boolean | null | undefined;
    /**
     * Indicates whether or not Other Adjustment was in effect on this day
     */
    otherAdjustment: boolean | null | undefined;
    /**
     * Daily savings date
     */
    date: Date | null | undefined;
    /**
     * List of Processor Messages for this day
     */
    messages: Array<Message> | null | undefined;
    costUnit: UnitChild | null | undefined;
}
