/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AccountChild } from './accountChild';
import { MeterChild } from './meterChild';
import { PlaceChild } from './placeChild';
import { Reviewed } from './reviewed';
import { UnitChild } from './unitChild';
export declare class SavingsMeterBillResponse {
    /**
     * Unique ID for this savings record (Bill Meter CAP)
     */
    billMtrCapId: number | null | undefined;
    /**
     * Unique ID of the bill processed for this savings record
     */
    billId: number | null | undefined;
    /**
     * Calendar Period Name (e.g. Jan)
     */
    periodName: string | null | undefined;
    /**
     * Calendar Period Number (e.g. 4)
     */
    calendarPeriod: number | null | undefined;
    /**
     * Calendar Year (e.g. 2019)
     */
    calendarYear: number | null | undefined;
    /**
     * Fiscal Period Number
     */
    fiscalPeriod: number | null | undefined;
    /**
     * Fiscal Year
     */
    fiscalYear: number | null | undefined;
    /**
     * Baseline Cost
     */
    baselineCost: number | null | undefined;
    /**
     * Baseline Native Use
     */
    baselineNativeUse: number | null | undefined;
    /**
     * Baseline Weather Native Use
     */
    baselineWeatherNativeUse: number | null | undefined;
    /**
     * Baseline Nonweather Native Use
     */
    baselineNonweatherNativeUse: number | null | undefined;
    /**
     * Baseline Adjusted to Current Conditions (BATCC) Cost
     */
    batccCost: number | null | undefined;
    /**
     * Baseline Adjusted to Current Conditions (BATCC) Native Use
     */
    batccNativeUse: number | null | undefined;
    /**
     * Baseline Adjusted to Current Conditions (BATCC) Weather Native Use
     */
    batccWeatherNativeUse: number | null | undefined;
    /**
     * Baseline Adjusted to Current Conditions (BATCC) Nonweather Native Use
     */
    batccNonweatherNativeUse: number | null | undefined;
    /**
     * Actual Cost
     */
    actualCost: number | null | undefined;
    /**
     * Actual Native Use
     */
    actualNativeUse: number | null | undefined;
    /**
     * Savings Cost
     */
    savingsCost: number | null | undefined;
    /**
     * Savings Native Use
     */
    savingsNativeUse: number | null | undefined;
    /**
     * Savings Cost Percent
     */
    savingsCostPercent: number | null | undefined;
    /**
     * Savings Native Use Percent
     */
    savingsNativeUsePercent: number | null | undefined;
    /**
     * Heating Degree Days
     */
    hdd: number | null | undefined;
    /**
     * Cooling Degree Days
     */
    cdd: number | null | undefined;
    /**
     * Heating Degree Days Adjusted
     */
    hddAdjusted: boolean | null | undefined;
    /**
     * Cooling Degree Days Adjusted
     */
    cddAdjusted: boolean | null | undefined;
    /**
     * Heating Use Per Degree Day
     */
    heatingUsePerDegreeDay: number | null | undefined;
    /**
     * Heating R2
     */
    heatR2: number | null | undefined;
    /**
     * Cooling Use Per Degree Day
     */
    coolingUsePerDegreeDay: number | null | undefined;
    /**
     * Cooling R2
     */
    coolR2: number | null | undefined;
    /**
     * Cost Avoidance Status
     */
    capStatus: string | null | undefined;
    /**
     * Indicates whether or not the bill's cost avoidance data is locked
     */
    locked: boolean | null | undefined;
    /**
     *
     */
    billMtrNotes: Array<string> | null | undefined;
    nativeUseUnit: UnitChild | null | undefined;
    review: Reviewed | null | undefined;
    account: AccountChild | null | undefined;
    meter: MeterChild | null | undefined;
    place: PlaceChild | null | undefined;
    costUnit: UnitChild | null | undefined;
}
