/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class ScheduleDayCreate {
    /**
     * The day of week that this record refers to. <span class='property-internal'>Required</span> <span class='property-internal'>Must be a valid value for DayOfWeek: Sunday = 0, Monday = 1, Tuesday = 2, Wednesday = 3, Thursday = 4, Friday = 5, Saturday = 6</span>
     */
    dayOfWeek: ScheduleDayCreate.DayOfWeekEnum;
    /**
     * The time of day that this schedule begins.   It is serialized as a \"HH:MM:SS\" string.  For example, \"17:29:59\".  Should only be informed when Is24Hours = false AND IsClosed = false, otherwise it should be null. <span class='property-internal'>Must be null when IsClosed, or Is24Hours are set to True, case sensitive</span>
     */
    beginTime: string | null | undefined;
    /**
     * The time of day that this schedule ends.  It is serialized as a \"HH:MM:SS\" string.  For example, \"17:29:59\".  Should only be informed when Is24Hours = false AND IsClosed = false, otherwise it should be null. <span class='property-internal'>Must be greater than BeginTime</span> <span class='property-internal'>Must be null when IsClosed, or Is24Hours are set to True, case sensitive</span>
     */
    endTime: string | null | undefined;
    /**
     * Indicates whether the record represents an opening period of 24 hours.  When Is24Hours = true, BeginTime and EndTime should be null because it will automatically be set to begin at \"00:00:00\" and finish at \"23:59:59\"
     */
    is24Hours: boolean | null | undefined;
    /**
     * Indicates whether the record represents being closed for the entire day.  When IsClosed = true, BeginTime and EndTime should be null because it does not apply for a closed day.
     */
    isClosed: boolean | null | undefined;
}
export declare namespace ScheduleDayCreate {
    enum DayOfWeekEnum {
        NUMBER_0,
        NUMBER_1,
        NUMBER_2,
        NUMBER_3,
        NUMBER_4,
        NUMBER_5,
        NUMBER_6
    }
}
