/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { EntityScheduleSummary } from './entityScheduleSummary';
import { ScheduleDay } from './scheduleDay';
import { UserChild } from './userChild';
/**
 * Represents a Schedule in the context of an interval data response. An interval data  response contain results for zero, one, or more \"Entities\" (for example, Data Points,  Places, or Commodities).  For each Entity, this DTO includes a summary containing its associated \"in-schedule\" and  \"out-schedule\" use (or demand).
 */
export declare class ScheduleWithEntitySummaries {
    /**
     *
     */
    entityScheduleSummaries: Array<EntityScheduleSummary> | null | undefined;
    /**
     * A longer description of this schedule.  For example, \"9-5, Mon-Fri\".
     */
    scheduleDescription: string | null | undefined;
    /**
     * A list of 7 ScheduleDay records, each of which defines  the open hours for a single day of the week.  They are returned in order, beginning with Sunday and  ending with Saturday.
     */
    scheduleDays: Array<ScheduleDay> | null | undefined;
    createdBy: UserChild | null | undefined;
    /**
     * The date when the schedule was created
     */
    createdDate: Date | null | undefined;
    modifiedBy: UserChild | null | undefined;
    /**
     * The date when the version was schedule
     */
    modifiedDate: Date | null | undefined;
    /**
     * The ID of this Schedule record.
     */
    scheduleId: number | null | undefined;
    /**
     * Information about this schedule. This can be thought of as a name.  For example, \"24/7\".
     */
    scheduleInfo: string | null | undefined;
}
