/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class SystemSettingsRequest {
    /**
     * Default topmost space ID for new users <span class='property-internal'>Required (defined)</span>
     */
    defaultTopmostSpaceId: number | null | undefined;
    /**
     * Default topmost collection ID for new users <span class='property-internal'>Required (defined)</span>
     */
    defaultTopmostCollectionId: number | null | undefined;
    /**
     * The organization name <span class='property-internal'>Required (defined)</span>
     */
    organizationName: string | null | undefined;
    /**
     * Indicates whether or not organization name should be displayed in the application header <span class='property-internal'>Required</span>
     */
    displayOrganizationNameInHeader: boolean | null;
    /**
     * The organization logo  May be a base64-encoded PNG, JPG, or SVG image or a URI for an image hosted online  A null value will clear the saved image <span class='property-internal'>Min length of 5</span> <span class='property-internal'>Required (defined)</span>
     */
    organizationLogo: string | null | undefined;
    /**
     * Number of minutes after which users will be automatically logged out <span class='property-internal'>Must be between 10 and 780</span> <span class='property-internal'>Required (defined)</span>
     */
    automaticLogoutMinutes: number | null | undefined;
    /**
     * Default country for new users <span class='property-internal'>Required (defined)</span>
     */
    defaultCountry: string | null | undefined;
    /**
     * ID of the default time zone for new meters <span class='property-internal'>Required</span>
     */
    defaultMeterTimeZoneId: number | null;
    /**
     * Default date format for new users <span class='property-internal'>One of 'MM/dd/yyyy', 'dd/MM/yyyy'</span> <span class='property-internal'>Case sensitive</span> <span class='property-internal'>Required (defined)</span>
     */
    defaultDateFormat: string | null | undefined;
    /**
     * Default topmost cost center ID for new users <span class='property-internal'>Required (defined)</span>
     */
    defaultTopmostCostCenterId: number | null | undefined;
    /**
     * Default topmost place ID for new users <span class='property-internal'>Required (defined)</span>
     */
    defaultTopmostPlaceId: number | null | undefined;
    /**
     * Default user role ID for new users <span class='property-internal'>Required (defined)</span>
     */
    defaultUserRoleId: number | null | undefined;
    /**
     * Months to exclude from charts, including the current month. Set to 2 months by default.  Ex. If the current month is October,   A value of 0 will not exclude any months,   A value of 1 will exclude the month of October,   A value of 2 will exclude October and September,   A value of 3 will exclude October, September, and August,   A value of 13 will exclude October and the last full year of data.   A null value will preserve the existing setting. <span class='property-internal'>Must be between 0 and 13</span> <span class='property-internal'>Required (defined)</span>
     */
    monthsToExcludeFromCharts: number | null | undefined;
}
