/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { UDFSelectValueCreate } from './uDFSelectValueCreate';
export declare class UDFCreate {
    /**
     * The UDF type. Possible value include: \"Vendor\", \"Place\", \"Account\", \"Meter\", \"ChannelVersion\", \"Rate\", \"Bill\", \"EnergyProject\", \"Collection\", and \"EmissionSource\". <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    udfType: string | null;
    /**
     * The UDF's name <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    name: string | null;
    /**
     * Description for the UDF. Displayed next to the field name during data entry. <span class='property-internal'>Must be between 0 and 128 characters</span>
     */
    description: string | null | undefined;
    /**
     * The UDF's data type identifier.   Possible value include:  1 (boolean), 2 (integer), 3 (string),   4 (double), 6 (date), 12 (select list),  13 (url), 15 (formatted text), 16 (image),  17 (pdf), 18 (document file), 19 (JSON text) <span class='property-internal'>Required</span>
     */
    dataTypeId: number | null;
    /**
     * <p>The UDF's display order</p>  <p>A value of 1 or less will put this record the beginning of the list</p>  <p>If the display order exists it will put this record at that spot. Display orders greater than or equal to this will be incremented by 1</p>  <p>A value greater than the stored max will put this record at the end of the list</p> <span class='property-internal'>Required</span>
     */
    displayOrder: number | null;
    /**
     * <p>An array of options to populate a UDF select list.</p>  <p>Required when dataTypeId is 12 otherwise this will be ignored.</p> <span class='property-internal'>Required when dataTypeId is set to 12, case sensitive.</span>
     */
    udfSelectValues: Array<UDFSelectValueCreate> | null | undefined;
    /**
     * Marks a UDF as important. Important fields are highlighted during data entry.
     */
    important: boolean | null | undefined;
}
