/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { UDFSelectValueEdit } from './uDFSelectValueEdit';
export declare class UDFEdit {
    /**
     * The UDF's name <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    name: string | null;
    /**
     * The description for the UDF.   Not required, if left blank the description will not be updated. <span class='property-internal'>Must be between 0 and 128 characters</span>
     */
    description: string | null | undefined;
    /**
     * <p>The UDF's display order</p>  <p>A value of 1 or less will put this record the beginning of the list</p>  <p>A value greater than the stored max will put this record at the end of the list</p>  <p>When the old display order of the UDF being updated is less than the new specified display order, decrement the display order of all other UDFs falling between the old and new display order</p>  <p>When the old display order of the UDF being updated is greater than the new specified display order, increment the display order of all other UDFs falling between the old and new display order</p>  <p>All UDF lying outside the range of display orders being updated retain their original values</p> <span class='property-internal'>Required</span>
     */
    displayOrder: number | null;
    /**
     * <p>An array of options to populate a UDF select list.</p>  <p>Required when the UDF being edited has a dataTypeId of 12 otherwise this will be ignored.</p>  <p>To remove an option from the select list, omit it from this array. Options that are in use may not be deleted. To add a new option, pass in null as the udfSelectValueId</p>
     */
    udfSelectValues: Array<UDFSelectValueEdit> | null | undefined;
    /**
     * Important flag for the UDF. UDFs marked as important will be highlighted during data entry.   Not required, if left blank the flag's value will not be changed.
     */
    important: boolean | null | undefined;
}
