/**
 * EnergyCAP SDK
 * Document used to generate the EnergyCAP SDK
 *
 * OpenAPI spec version: 8.2506
 * Contact: support@energycap.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export declare class UserCreateRequest {
    /**
     * The user code. This is the user name that is used on sign-in <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 65 characters</span>
     */
    userCode: string | null;
    /**
     * The user's full name <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 32 characters</span>
     */
    fullName: string | null;
    /**
     * The user's password. Password is not changed if this field is empty.  Not available for users whose identity is managed externally. <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 128 characters</span>
     */
    password: string | null;
    /**
     * The user's email address <span class='property-internal'>Required</span> <span class='property-internal'>Must be between 0 and 128 characters</span>
     */
    email: string | null;
    /**
     * Create User with one or multiple topmost cost center ids  The CostCenterIds must be in the creating user's topmost <span class='property-internal'>Required</span> <span class='property-internal'>Cannot be Empty</span>
     */
    topmostCostCenterIds: Array<number> | null;
    /**
     * Create User with one or multiple topmost place ids  The PlaceIds must be in the creating user's topmost <span class='property-internal'>Required</span> <span class='property-internal'>Cannot be Empty</span>
     */
    topmostPlaceIds: Array<number> | null;
    /**
     * Update a user to one or multiple topmost EsaSpace ids  The EsaSpaceIds must be in the editing user's topmost <span class='property-internal'>Required</span> <span class='property-internal'>Cannot be Empty</span>
     */
    topmostSpaceIds: Array<number> | null;
    /**
     * Create User with one or multiple topmost collection ids  The CollectionIds must be in the creating user's topmost <span class='property-internal'>Required</span> <span class='property-internal'>Cannot be Empty</span>
     */
    topmostCollectionIds: Array<number> | null;
    /**
     * Whether or not the user signs in using active directory. This is used for install client only
     */
    activeDirectory: boolean | null | undefined;
    /**
     * Whether or not the user is active
     */
    active: boolean | null | undefined;
    /**
     * Days until the user's password expires  Must be set to 0 for users whose identity is managed externally. <span class='property-internal'>Required</span>
     */
    passwordExpirationInterval: number | null;
    /**
     * Force the user's password to have a minimum of 8 characters,   containing at least 1 uppercase, 1 lowercase, 1 number, and 1 symbol.  Must be set to false for users whose identity is managed externally. <span class='property-internal'>Required</span>
     */
    strongPassword: boolean | null;
    /**
     * Force the user to change their password on next login.   Must be set to false for users whose identity is managed externally. <span class='property-internal'>Required</span>
     */
    forcePasswordChange: boolean | null;
    /**
     * User role id of the user being created  User role id is required <span class='property-internal'>Required</span>
     */
    userRoleId: number | null;
    /**
     * The maximum bill amount (in dollars) the user can approve  If not included, the user has no max limit
     */
    maxApprovalAmount: number | null | undefined;
    /**
     * The user's report group. If not included, set to the default report group
     */
    reportGroupId: number | null | undefined;
    /**
     * List of user group ids  If null or not passed the groups a user assigned to will NOT be modified  If an empty list the user will be removed from all groups
     */
    userGroups: Array<number> | null | undefined;
}
